<?php
//-----------------------------------------------------------------
// Import Cumulus Monthly Log file into MySql database
// Author: David A Jamieson, daj@findmyinbox.co.uk
//
// Version 1.1c - 11 March 2010
//-----------------------------------------------------------------
//
// USING THIS SCRIPT
//
// Currently you can import two file types from Cumulus -- the dayfile and the Monthly log files.
//
// Firstly decide the table to be populated in your SQL database.  If the table does not exist
// the script will create it.  Typically you have one table for the dayfile, and one or more for the
// Monthly Logs.  You could import every monthly log file into one large SQL table.
// If you re-import existing data the script will update the data in the table so you can run the
// import every day on the same file, dayfile, for example
//
//
// You must pass several options with your URL...
// They can be in any order but the first one must start with ? other with &
//
// type=xxxx
//			this must be either the phrase dayfile or monthly
//
// file=xxxxx
//			the location on your webserver, relative to this script location, of your Cumulus File
//			example file=dayfile.txt  or file=../data/dayfile.txt
//
// table=xxxx
//			the table within SQL to import the data.  If it does not exist the script will create it
//
// key=xxxxx
//			A security key, unique to you, to pass as part of the URL.  This stops others from
//			running the script on your server if the do not know the key.  
//
// An example URL...
//			htp://www.myserver.com/ImportCumulusFile.php?type=dayfile&key=letmein&table=Dayfile&file=/data/dayfile.txt
//
// EDIT THIS NEXT SECTION CAREFULLY
// ----------------------------------------------------------------
// Your security key you will pass in the URL, change this to 
// something unique to you
$key="8chocalatecake!!";
//
// The server host name or number running your MySQL database
// usually 127.0.0.1 or localhost will suffice
$dbhost 	= "localhost";
//
// The username used to log-in to your database server
$dbuser 	= "jww";
//
// The password used to log-in to your database server
$dbpassword	= "g04itn0w!";
//
// The name of the MySQL database we will store the tables in
$database	= "LomaPinon_Weather_db";
//
// The following three variables tell the system about how your
// data file is structure.
// They are set to the UK format, however if you are in another
// country please consider these carefully
//
// You need to tell the script how your file is delimited -- That is,
// how each entry in the line of the file is separated
// in the UK this is a comma.  It may be a semi-colon or something else
// Also consider how your date is delimited.  In the UK this is a slash 
// but it may be a dash.  Look at the file you are importing
//
// You need to also note what your decimal separator is, either a comma
// or a dot
//

$field_delimiter=",";
$date_delimiter="/";
$decimal_separator=".";
//
//
// --------- Nothing to edit below here ---------------------------
//-----------------------------------------------------------------


$importfname=$_GET["file"];
// $importfname="dayfile.txt";
// echo " importfname = ".$importfname;
$table_name=$_GET["table"];
// echo " table_name = ".$table_name;
// $table_name='DayData';
$type=strtolower($_GET["type"]);
// echo " type = ".$type;
// $type='dayfile';
$validtypes = array( 'dayfile', 'monthly');
$compassp=array('N','NNE','NE','ENE','E','ESE','SE','SSE','S','SSW','SW','WSW','W','WNW','NW','NNW');

// exit();

if (!in_array($type,$validtypes)) { echo "invalid import 'type' supplied - ".$type; exit(); }
if ($table_name == "") { echo "no table name provided!"; exit(); }

// $key="8chocalatecake!!";
// if ($key == "8chocalatecake!!")
if ($_GET["key"] == $key) 
{
// Setup the variables depending on what type of file we are importing -- Day file or Monthly Log

if ($type == "dayfile")
	{
		$CreateQuery="CREATE TABLE " . $table_name . " (LogDate date NOT NULL ,HighWindGust decimal(4,1) NOT NULL ,HWindGBear varchar(4) NOT NULL ,THWindG varchar(5) NOT NULL ,MinTemp decimal(5,1) NOT NULL ,TMinTemp varchar(5) NOT NULL ,MaxTemp decimal(5,1) NOT NULL ,TMaxTemp varchar(5) NOT NULL ,MinPress decimal(6,2) NOT NULL ,TMinPress varchar(5) NOT NULL ,MaxPress decimal(6,2) NOT NULL ,TMaxPress varchar(5) NOT NULL ,MaxRainRate decimal(4,1) NOT NULL ,TMaxRR varchar(5) NOT NULL ,TotRainFall decimal(6,2) NOT NULL ,AvgTemp decimal(4,2) NOT NULL ,TotWindRun decimal(5,1) NOT NULL,HighAvgWSpeed decimal(3,1),THAvgWSpeed varchar( 5 ), PRIMARY KEY(LogDate) ) COMMENT = \"Dayfile from Cumulus\"";	
		$WindBearField=2;
		$StartOfReplaceSQL="REPLACE INTO " . $table_name . " (LogDate,HighWindGust,HWindGBear,THWindG,MinTemp,TMinTemp,MaxTemp,TMaxTemp,MinPress,TMinPress,MaxPress,TMaxPress,MaxRainRate,TMaxRR,TotRainFall,AvgTemp,TotWindRun,HighAvgWSpeed,THAvgWSpeed)";
		$EndFieldCount=18;
	}
	else
	{
		$CreateQuery="CREATE TABLE " . $table_name . " (LogDate DATE NOT NULL ,LogTime TIME NOT NULL,Temp decimal(4,1) NOT NULL,Humidity decimal(4,1) NOT NULL,Dewpoint decimal(4,1) NOT NULL,Windspeed decimal(4,1) NOT NULL,Windgust decimal(4,1) NOT NULL,Windbearing VARCHAR(3) NOT NULL,RainRate decimal(4,1) NOT NULL,TodayRainSoFar decimal(4,1) NOT NULL,Pressure decimal(6,2) NOT NULL,Raincounter decimal(6,2) NOT NULL,InsideTemp decimal(4,1) NOT NULL,InsideHumidity decimal(4,1) NOT NULL,LatestWindGust decimal(5,1) NOT NULL,WindChill decimal(4,1) NOT NULL,HeatIndex decimal(4,1) NOT NULL,PRIMARY KEY (LogDate,LogTime)) COMMENT = \"Monthly log\"";
		$WindBearField=7;
		$StartOfReplaceSQL="REPLACE INTO " . $table_name . " (LogDate,LogTime,Temp,Humidity,Dewpoint,Windspeed,Windgust,Windbearing,RainRate,TodayRainSoFar,Pressure,Raincounter,InsideTemp,InsideHumidity,LatestWindGust,WindChill,HeatIndex)";
		$EndFieldCount=16;
	}	


$handle = @fopen($importfname, "r");
if ($handle)  
	{
	// Connect to the datbase
	$con=mysql_connect($dbhost,$dbuser,$dbpassword);
	if (!$con) { echo "failed to connect to the database server"; exit(); }

	if (!mysql_select_db($database,$con)) { echo "Failed to connect to the database on the server"; exit();}

	// check if the table is available
	if (mysql_num_rows(mysql_query("SHOW TABLES LIKE '" . $table_name . "'")) == 0) 
	{
		// no table, so create it
		$result = mysql_query($CreateQuery);
	}

	while (!feof($handle)) 
		{
   		$buffer = fgets($handle);
   		$buf_arr = explode($field_delimiter, $buffer);
		if ($buf_arr['0'] != "") 
   			{
			// Calculate the compass point based on the bearing
			$buf_arr[$WindBearField]= $compassp[((((int)$buf_arr[$WindBearField] + 11) / 22.5) % 16 )];
			
			// format the date -- this assume dd/mm/yy but will convert to a format for SQL
			$datearr = explode($date_delimiter,$buf_arr['0']);
			$dtimestamp = $datearr[2] ."-" . $datearr[1] . "-" . $datearr[0];			
			
			// start building the SQL REPLACE statement
			$insert = $StartOfReplaceSQL;
			$insert  .= ' Values("' . $dtimestamp .'",';
			for ($i = 1; $i <= $EndFieldCount ; $i++) 
				{
				// fix decimal separation to . for SQL
				if ($decimal_separator == ",")
				{	
					// remove .  replace decimal , with . 
					$buf_arr[$i]=str_replace(".","",$buf_arr[$i]);
					$buf_arr[$i]=str_replace(",",".",$buf_arr[$i]);
				}
				if ($decimal_separator == ".")
					// remove ,
				{
					$buf_arr[$i]=str_replace(",","",$buf_arr[$i]);
				}				
				$insert .= '"' . $buf_arr[$i] ;
				if ($i==$EndFieldCount) 
					{ $insert .=  '")'; } else { $insert .=  '",'; }
				}
			if (! mysql_query($insert)) 
				{
				echo "failed to insert data -- " . $insert;
				}
			}
		}
	fclose($handle);
	mysql_close($con);
	echo "done";
	}
else
	{
	echo "failed to open file";
	}
}
else
{
echo "failed security key check";
}
?>