<?php
// PHP script by Ken True, webmaster@saratoga-weather.org
// ec-forecast.php  version 1.00 - 10-Aug-2006
// Version 1.01 - 14-Dec-2006 - fixed script to handle changes in EC website
// Version 1.02 - 14-Dec-2006 - fixed problems with include mode/no printing.
// Version 1.03 - 14-Mar-2007 - fixed to handle changes to EC website
// Version 1.04 - 16-May-2007 - fixed to handle changes to EC website
// Version 1.05 - 15-Jun-2007 - handle printable/regular EC URL + table, debugging improvements
// Version 1.06 - 27-Jun-2007 - added parsing/printing for alerts/watches/warnings $alertstring
// Version 1.07 - 06-Aug-2007 - corrected php delim at top of file (missing php)
// Version 1.08 - 14-Dec-2007 - added optional current conditions report table $currentConditions
// Version 2.00 - 24-Jan-2008 - major rewrite to handle many changes to EC forecast website + new icons
// Version 2.01 - 26-Jan-2008 - added 'Air Quality Health Index' to optional conditions display
// Version 2.02 - 26-Feb-2008 - added support for Carterlake/WD/PHP template settings.
// Version 2.03 - 01-Mar-2008 - fixed to handle changes to EC website for conditions
// Version 2.04 - 19-Mar-2008 - fixed to handle changes to EC website for forecast
// Version 2.05 - 19-Mar-2008 - corrected extraction of Update date from EC website
// Version 2.06 - 05-Jun-2008 - fixed to handle changes to EC website for historical conditions
// Version 2.07 - 21-Dec-2008 - added printing/formatting for historical conditions
// Version 2.08 - 10-Mar-2009 - fixed to handle change to EC website for abnormal temperature trend indicator
// Version 2.09 - 09-Nov-2009 - fixed missing-space in warning titles problem
// Version 2.10 - 10-Nov-2009 - fixed to handle changes to EC website for normals conditions display
// Version 2.11 - 26-May-2010 - fixed to handle changes to EC website for humidex/wind-chill
// Version 2.12 - 19-Feb-2011 - added formatting to EC watch/warning/ended message alerts
//
  $Version = "V2.12 - 19-Feb-2011";

//error_reporting(E_ALL); // uncomment for checking errata in code

/* based on ORIGINAL CODE:
 * Canadian Weather Script
 * Gets Weather Information and Displays it on your Website
 *
 *  Author :   JMan
 *  HomePage : www.bedpan.ca
 *  Email :    jman@bedpan.ca
 *  issued under open-source GNU license 
 */
//  with lots of mods by Ken True - webmaster@saratoga-weather.org
//    -- use Text caching (no SQL required), 
//    -- return forecast in variables like Carterlake advforecast.php
//    -- use modified images with embedded PoP 
//    -- allow use as included program
//
//
//
// Settings:
// --------- start of settings ----------
// you need to set the $ECURL to the printable forecast for your area
//
//  Go to http://weatheroffice.gc.ca/ and select your language (sorry, I don't 
//  speak French, so these instructions are all in English)
//
//  Click on your province on the map.
//  Choose a location and click go from the menu on the right.
//
//  Select the 'Format for Print' version if available, or just copy the URL
//  of the forecast page for your city , and paste it into $ECURL 
//
$ECURL = 'http://weatheroffice.gc.ca/city/pages/qc-c6_metric_e.html';
//$ECURL = 'http://www.weatheroffice.gc.ca/city/pages/qc-147_metric_e.html';
//  Newfoundland and Labrador - Map of the provinxe
//$ECURL = 'http://www.weatheroffice.gc.ca/city/pages/nf-24_metric_e.html';
//  St. John's (Newfoundland)
//$ECURL = 'http://www.weatheroffice.gc.ca/city/pages/nf-24_metric_e.html';
//  Prince Edward Island
//$ECURL = 'http://weatheroffice.gc.ca/forecast/canada/index_e.html?id=PE';
//  Charlottetown (Prince Edward Island)
//$ECURL = 'http://www.weatheroffice.gc.ca/city/pages/pe-5_metric_e.html';
//  Nova Scotia
//$ECURL = 'http://weatheroffice.gc.ca/forecast/canada/index_e.html?id=NS';
//  Halifax (Nova Scotia)
//$ECURL = 'http://www.weatheroffice.gc.ca/city/pages/ns-19_metric_e.html';
//  New Brunswick
//$ECURL = 'http://weatheroffice.gc.ca/forecast/canada/index_e.html?id=NB';
//  Fredericton (New Brunswick)
//$ECURL = 'http://www.weatheroffice.gc.ca/city/pages/nb-29_metric_e.html';
//  Québec
//$ECURL = 'http://weatheroffice.gc.ca/forecast/canada/index_e.html?id=QC';
//  Québec (Québec)
//$ECURL = 'http://www.weatheroffice.gc.ca/city/pages/qc-133_metric_e.html';
//  Montréal (Québec)
//$ECURL = 'http://www.weatheroffice.gc.ca/city/pages/qc-147_metric_e.html';
//  Ontario
//$ECURL = 'http://weatheroffice.gc.ca/forecast/canada/index_e.html?id=ON';
//  Ottawa/Kanata/Orléans (Ontario)
//$ECURL = 'http://www.weatheroffice.gc.ca/city/pages/on-118_metric_e.html';
//  Toronto (Ontario)
//$ECURL = 'http://www.weatheroffice.gc.ca/city/pages/on-143_metric_e.html';
//  Manitoba
//$ECURL = 'http://weatheroffice.gc.ca/forecast/canada/index_e.html?id=MB';
//  Winnipeg (Manitoba)
//$ECURL = 'http://www.weatheroffice.gc.ca/city/pages/mb-38_metric_e.html';
//  Saskatchewan
//$ECURL = 'http://weatheroffice.gc.ca/forecast/canada/index_e.html?id=SK';
//  Regina (Saskatchewan)
//$ECURL = 'http://www.weatheroffice.gc.ca/city/pages/sk-32_metric_e.html';
//  Saskatoon (Saskatchewan)
//  Alberta
//$ECURL = 'http://weatheroffice.gc.ca/forecast/canada/index_e.html?id=AB';
//$ECURL = 'http://www.weatheroffice.gc.ca/city/pages/sk-40_metric_e.html';
//  Edmonton (Alberta)
//$ECURL = 'http://www.weatheroffice.gc.ca/city/pages/ab-50_metric_e.html';
//  Calgary (Alberta)
//$ECURL = 'http://www.weatheroffice.gc.ca/city/pages/ab-52_metric_e.html';
//  British Columbia
//$ECURL = 'http://weatheroffice.gc.ca/forecast/canada/index_e.html?id=BC';
//  Vancouver (British Columbia)
//$ECURL = 'http://www.weatheroffice.gc.ca/city/pages/bc-74_metric_e.html';
//  Malahat, Vancouver Island (British Columbia)
//$ECURL = 'http://www.weatheroffice.gc.ca/city/pages/bc-29_metric_e.html';
//  Victoria (Airport), Vancouver Island (British Columbia)
//$ECURL = 'http://www.weatheroffice.gc.ca/city/pages/bc-85_metric_e.html';
//  Victoria (Harbour), Vancouver Island (British Columbia)
//$ECURL = 'http://www.weatheroffice.gc.ca/city/pages/bc-75_metric_e.html';
//  Victoria (University of), Vancouver Island (British Columbia)
//$ECURL = 'http://www.weatheroffice.gc.ca/city/pages/bc-66_metric_e.html';
//  Nanaimo, Vancouver Island (British Columbia)
//$ECURL = 'http://weatheroffice.gc.ca/city/pages/bc-20_metric_e.html';
//  Northwest Territories
//$ECURL = 'http://weatheroffice.gc.ca/forecast/canada/index_e.html?id=NT';
//  Yellowknife (Northwest Territories)
//$ECURL = 'http://weatheroffice.gc.ca/city/pages/nt-24_metric_e.html';
//  Nunavut
//$ECURL = 'http://weatheroffice.gc.ca/forecast/canada/index_e.html?id=NU
//  Iqaluit (Nunavut)
//$ECURL = 'http://weatheroffice.gc.ca/city/pages/nu-21_metric_e.html';
//$ECURL = 'http://weatheroffice.gc.ca/city/pages/bc-88_metric_e.html';
//
$defaultLang = 'en';  // set to 'fr' for french default language
//                    // set to 'en' for english default language
//
$printIt = true;    // set to false if you want to manually print on your page
//
$showConditions = true; // set to true to show current conditions box
//
$imagedir = "images/ec-icons/";
//directory with your image icons WITH the trailing slash
//
$cacheName = 'ec-forecast.txt'; // note: will be changed to -en.txt or 
//                                  -fr.txt depending on language choice
//
$refetchSeconds = 600;  // get new forecast from EC 
//                         every 10 minutes (600 seconds)
//
//$LINKtarget = 'target="_blank"';  // to launch new link in new page
$LINKtarget = '';  // to launch new link in same page
//
// ---------- end of settings -----------
// overrides from Settings.php if available
global $SITE;
if (isset($SITE['fcsturlEC'])) 	{$ECURL = $SITE['fcsturlEC'];}
if (isset($SITE['defaultlang'])) 	{$defaultLang = $SITE['defaultlang'];}
if (isset($SITE['LINKtarget'])) 	{$LINKtarget = $SITE['LINKtarget'];}
// end of overrides from Settings.php if available
//------------------------------------------------
//
// The program will return with bits of the forecast items in various 
// PHP variables:
//  $i = 0 to 4  with 0=now, 1=next day, 2=day+2, 3=day+3, 4=day+4
//
// $forecasttitles[$i] = Day/night day of week for forecast
// $forecasticon[$i] = <img> statement for forecast icon
// $forecasttemp[$i] = Red Hi, Blue Lo temperature(s)
// $forecasttext[$i] = Summary of forecast for icon
//
// $forecastdays[$n] = Day/night day of week for detail forecast
// $forecastdetail[$n] = detailed forecast text
//
// Also returned are these useful variables filled in:
// $title = updated/issued text in language selected
// $textfcsthead = 'Current Forecast' or 'Textes des prévisions'
//
// $weather = fully formed html table with one row of Icons and text 
// $textforecast = fully formed <div> with text forecast as <dl>
//
// $alertstring = styled box with hotlinks to advisories/warnings
// $currentConditions = table with current conditions at EC forecast site
//
// so, you can set $printIT = false; and just echo/print the variables above
//  in your page to precisely position them.  Or use $forecast[$i] to
//  print just one of the items where you need it.
// 
//  I'd recommend you NOT change any of the main code.  You can do styling
//  for the results by using CSS.  See the companion test page
//  ec-forecast-testpage.php to demonstrate CSS styling of results.
//
// ---------- main code -----------------
if (isset($_REQUEST['sce']) and strtolower($_REQUEST['sce']) == 'view' ) {
//--self downloader --
   $filenameReal = __FILE__;
   $download_size = filesize($filenameReal);
   header('Pragma: public');
   header('Cache-Control: private');
   header('Cache-Control: no-cache, must-revalidate');
   header("Content-type: text/plain");
   header("Accept-Ranges: bytes");
   header("Content-Length: $download_size");
   header('Connection: close');
   readfile($filenameReal);
   exit;
}
if (! isset($PHP_SELF) ) { $PHP_SELF = $_SERVER['PHP_SELF']; }

$t = pathinfo($PHP_SELF);  // get our program name for the HTML comments
$Program = $t['basename'];
$Status = "<!-- $Program - $Version -->\n";

if (! isset($doInclude)) { $doInclude = false ; }
if( (isset($_REQUEST['inc']) and strtolower($_REQUEST['inc']) == 'y') or 
    $doInclude )
 {$printIt = false;}

if(isset($doPrint)) { $printIt = $doPrint; }
if(!isset($_REQUEST['lang'])) { $_REQUEST['lang'] = '';}

if(isset($_REQUEST['lang'])) {
  $Lang = strtolower($_REQUEST['lang']);
} else {
  $Lang = '';
}
if (isset($doLang)) {$Lang = $doLang;};
if (! $Lang) {$Lang = $defaultLang;};

if ($Lang == 'fr') {
  $LMode = 'f';
  $ECNAME = "Environnement Canada";
  $ECHEAD = 'Tendances à long terme...';
  $abnormalString = '<p class="ECforecast"><strong>*</strong> - Indique une tendance inverse de la température.</p>' . "\n";
} else {
  $Lang = 'en';
  $LMode = 'e';
  $ECNAME = "Environment Canada";
  $ECHEAD = 'Detailed Forecast...';
  $abnormalString = '<p class="ECforecast"><strong>*</strong> - Denotes an abnormal temperature trend.</p>' . "\n";
}
// support both french and english caches
//$ECURL = preg_replace('|city_.\.html|',"city_$LMode.html",$ECURL);
$ECURL = preg_replace('|_.\.html|',"_$LMode.html",$ECURL);
$cacheName = preg_replace('|.txt$|',"-$Lang.txt",$cacheName);

// force refresh of cache
if (isset($_REQUEST['cache'])) { $refetchSeconds = 1; }

// refresh cached copy of page if needed
// fetch/cache code by Tom at carterlake.org
if (file_exists($cacheName) and filemtime($cacheName) + $refetchSeconds > time()) {
      $Status .= "<!-- using Cached version from $cacheName -->\n";
      $site = implode('', file($cacheName));
    } else {
      $Status .= "<!-- loading $cacheName from\n  '$ECURL' -->\n";
      $site = fetchUrlWithoutHang($ECURL);
      $fp = fopen($cacheName, "w");
	  if ($fp) {
        $write = fputs($fp, $site);
        fclose($fp);  
        $Status .= "<!-- loading finished. New cache saved to $cacheName -->\n";
	  } else {
        $Status .= "<!-- unable to open $cacheName for writing .. cache not saved -->\n";
		$Status .= "<!-- loading finished -->\n";
	  }
	}
$conditions = array();

$site = str_replace("	", "", $site);
$site = str_replace("  ", " ", $site);
$site = str_replace("\n", "", $site);
$site = str_replace("\r", "", $site);

// get current conditions (which may vary in format based on region)
$obsGroups = array(
// English
            'Currently' => 'obs',
            'Yesterday' => 'yday', 
            'Normals' => 'norms',
            'Today' => '',
// French
			'Conditions actuelles' => 'obs',
            'Hier' => 'yday',
            'Normales' => 'norms',
            "Soleil (aujourd'hui)" => ''
			);
$obsTypes = array(
// English
      'Condition' => 'citycondition',
	  'Date' => 'obsdate',
	  'Observed at' => 'cityobserved',	  
      'Temperature' => 'temp',
      'Pressure' => 'baro',
	  'Tendency' => 'barotrend',
      'Humidity' => 'humid',
      'Wind Chill' => 'wchill',
	  'Humidex' => 'humidex',
	  'Visibility' => 'vis',
      'Dewpoint' => 'dew',
      'Wind' => 'wind',
	  'Air Quality Health Index' => 'aqhi',
      'Max' => 'maxtemp',
      'Min' => 'mintemp',
      'Precip' => 'precip',
      'Sunrise' => 'sunrise',
      'Sunset' => 'sunset',
      'Moonrise' => 'moonrise',
      'Moonset' => 'moonset',
	  
// French	  
      'Condition' => 'citycondition',
	  'Date' => 'obsdate',
	  'Enregistrées à' => 'cityobserved',	  
      'Température' => 'temp',
      'Pression' => 'baro',
	  'Tendance' => 'barotrend',
      'Humidité' => 'humid',
      'Refr. éolien' => 'wchill',
	  'Humidex' => 'humidex',
	  'Visibilité' => 'vis',
      'Point de rosée' => 'dew',
      'Vent' => 'wind',
	  'Cote air santé' => 'aqhi',
      'Maximum' => 'maxtemp',
      'Minimum' => 'mintemp',
      'Précip' => 'precip',
      'Lever' => 'sunrise',
      'Coucher' => 'sunset',
      'Lever de la lune' => 'moonrise',
      'Coucher de la lune' => 'moonset',
	  
	  );


$startgrab = strpos($site, '<div id="currentcond">');
$start = strpos($site, '<div id="currentcond-left">',$startgrab);
$finish = strpos($site, '<div id="currentcond-content">',$start);
$length = $finish-$start;
$code = substr($site, $start, $length);

preg_match_all('!<p\s+class="([^"]*)"[^>]*>(.*)</p>!Uis',$code,$matches);  // get current temperature
//  $Status .= "<!-- matches \n" . print_r($matches,true) . "-->\n";
  foreach ( $matches[1] as $key => $val) {
    $conditions[strtolower($val)] = trim(strip_tags($matches[2][$key]));
 }
preg_match('!<img.*/weathericons/(.*)"!Uis',$code,$matches); // snag the current icon
//  $Status .= "<!-- matches \n" . print_r($matches,true) . "-->\n";

$ec_observ = '<div id="currentcond">'."\n".'<div id="currentcond-left">'."\n";

if(isset($matches[1])) {
  $conditions['icon'] = $matches[1];
  $ec_observ .= '<img id="currentimg" src="images/ec-icons/'.$conditions['icon'].'" alt="" title="" />';
 } else {
  $conditions['icon'] = '';
  $ec_observ .= '<img id="currentimg" src="images/ec-icons/na.gif" alt="" title="" />';
}

$ec_observ .= '<div>'."\n".'<p class="temperature">'.$conditions['temperature']."</p>\n</div>\n</div>\n";

//print $ec_observ;
//var_dump($conditions);

// snag the normal min/max, sunrise/set (etc) from the <dl><dt><dd> sets
$startgrab = strpos($site, '<div id="historicaldata">');
$start = strpos($site, '<div id="data">',$startgrab);
$finish = strpos($site, '</div>',$start);
$length = $finish-$start;
$code = substr($site, $start, $length);
$ec_historic = $code;
$ec_historic = preg_replace('!(<a[^>]+>|</a>|<abbr[^>]+>|</abbr>|<span[^>]+>|</span>)!is','',$ec_historic);

$code = preg_replace('| class="longContent"|is','',$code);
preg_match_all('|<dl.*>(.*)</dl>|Uis',$code,$sets);
  //$Status .= "<!-- sets (history) \n" . print_r($sets,true) . "-->\n";

foreach ($sets[1] as $setIndex => $code) { // loop over the groups of observations
    preg_match_all('|<dt class="colHeading">(.*?)</dt>|i',$code,$matches);
	// $Status .= "<!-- type " . print_r($matches,true) . " -->\n";
	$thisType = strip_tags($matches[1][0]);
	$thisSet  = $obsGroups[$thisType];
	// $Status .= "<!-- thisType='$thisType' thisSet='$thisSet' -->\n";
	$conditions[$thisSet.'heading'] = $thisType;
	$code = strip_tags($code,'<dt><dd><dl>');  // remove all unnecessary markup
//    $code = preg_replace('!(<a[^>]+>|</a>|<span[^>]+>|</span>)!is','',$code); // remove funny embedded html
	preg_match_all('!<dt>\s*(\S+):\s*</dt>.*<dd>(.*)</dd>!Uis',$code,$matches);  // get current conditions text
    // $Status .= "<!-- dt/dd history matches \n" . print_r($matches,true) . "-->\n";

  	foreach ($matches[1] as $n => $val) {
        $obsType = $obsTypes[$val];
    	$t = trim($val) . ': <b>' . trim($matches[2][$n])  . '</b>';
		if ($LMode == 'f' and preg_match('|^sun|',$obsType) ) {
		   $t = trim($val) . '  du soleil: <b>' . trim($matches[2][$n])  . '</b>';
		 }
    	$conditions[$thisSet . $obsType] = preg_replace('!<br />&nbsp;!Uis','',$t);
   	}
	
} // end of loop over sets.


// snag the current conditions (etc) from the <dl><dt><dd> sets
$startgrab = strpos($site, '<div id="currentcond-content">');
$start = strpos($site, '<div id="cityobserved">',$startgrab);
$finish = strpos($site, '<li class="rightList footer">',$start);
$length = $finish-$start;
$code = substr($site, $start, $length);
$ec_observ .= $code;
$ec_observ = preg_replace('!(<a[^>]+>|</a>|<span[^>]+>|</span>)!is','',$ec_observ);

//$code = preg_replace('| class="longContent"|is','',$code);
//$code = preg_replace('<dd>','td',$code);
//$code = preg_replace('<dt>','td',$code);
//$code = preg_replace('<dl>','tr',$code);
//$code = preg_replace('<div>','table',$code);
//$code = preg_replace('|<li>|','',$code);
//$code = preg_replace('|<ul>|','',$code);

//+++++++preg_match_all('|<dl.*>(.*)</dl>|Uis',$code,$sets);
preg_match_all('|<li.*>(.*)</li>|Uis',$code,$sets);
//$Status .= "<!-- sets \n" . print_r($sets,true) . "-->\n";

foreach ($sets[1] as $setIndex => $code) { // loop over the groups of observations

//    $Status .= "<!-- code='$code' -->\n";  

    $code = preg_replace('!(<a[^>]+>|</a>|<span[^>]+>|</span>)!is','',$code); // remove funny embedded html
	$code = preg_replace('!disse - ment!is','dissement',$code); // fix hyphenated 'wind chill' in french

	preg_match_all('!<td>(.*):\s*</td>.*<td>(.*)</td>!Uis',$code,$matches);  // get current conditions text
//    $Status .= "<!-- dt/dd matches \n" . print_r($matches,true) . "-->\n";

  	foreach ($matches[1] as $n => $val) {
        $obsType = $obsTypes[trim($val)];
    	$t = trim($val) . ': <b>' . trim($matches[2][$n])  . '</b>';
		if ($obsType == 'citycondition') {
		  $t = '<b>' . trim($matches[2][$n])  . '</b>';
		}
//		if($obsType == 'wind' and $Lang == 'fr') {
//		  $t = preg_replace('|km/hrafale|is','km/h rafale',$t);
//		}
    	$conditions[$obsType] = preg_replace('!<br />&nbsp;!Uis','',$t);
   	}
	
} // end of loop over sets.
// +++++++++print $code;
$brute = $code;
    if (isset($conditions['cityobserved']) and isset($conditions['obsdate']) ) {
	
	   $conditions['cityobserved'] .= '<br/> ' . $conditions['obsdate'];
	}

  	$Status .= "<!-- conditions\n" . print_r($conditions,true) . " -->\n";
/* new so far
(
    [temperature] => 3&deg;C
    [icon] => 10.gif
    [ydayheading] => Yesterday
    [ydaymaxtemp] => Max: <b>4.7&deg;C</b>
    [ydaymintemp] => Min: <b>-3.8&deg;C</b>
    [ydayprecip] => Precip: <b>0.0 mm</b>
    [normsheading] => Normals
    [normsmaxtemp] => Max: <b>7&deg;C</b>
    [normsmintemp] => Min: <b>1&deg;C</b>
    [heading] => Today
    [sunrise] => Sunrise: <b>7:52</b>
    [sunset] => Sunset: <b>16:58</b>
    [cityobserved] => Observed at: <b>Vancouver Int'l Airport</b><br/> Date: <b>12:00 PM PST Saturday 26 January 2008</b>
    [obsdate] => Date: <b>12:00 PM PST Saturday 26 January 2008</b>
    [citycondition] => <b>Cloudy</b>
    [baro] => Pressure: <b>100.8&nbsp;kPa</b>
    [barotrend] => Tendency: <b>falling</b>
    [vis] => Visibility: <b>32 km</b>
    [aqhi] => Air Quality Health Index: <b>3</b>
    [temp] => Temperature: <b>2.6&deg;C</b>
    [dew] => Dewpoint: <b>-3.4&deg;C</b>
    [humid] => Humidity: <b>65 %</b>
    [wind] => Wind: <b>ESE 21 km/h</b>
*/
/* Old
//Array
//(
//    [cityobserved] => Observed at: St. Catharines Airport 7:55 PM EST Tuesday 11 December 2007
//    [citycondition] => Light Drizzle
//    [icon] => 28.gif
//    [temp] => Temperature: 2&deg;C
//    [baro] => Pressure/ Tendency: 101.5 kPa<span class="steady" id="steadyPressure">&nbsp;&mdash;</span>
//    [vis] => Visibility: 8 km
//    [humid] => Humidity: 92 %
//    [dew] => Dewpoint: 1&deg;C
//    [wind] => Wind: calm
//    [maxtemp] => Max Temp.: 3&deg;C
//    [mintemp] => Min Temp.: -4&deg;C
//    [sunrise] => Sunrise: 7:38
//    [sunset] => Sunset: 16:42
//    [moonrise] => Moonrise: 9:37
//    [moonset] => Moonset: 18:09
//)
*/
    $nC = 3;
	$currentConditions = '';
	
if (isset($conditions['cityobserved']) ) { // only generate if we have the data
	if (! $conditions['icon'] ) { $nC = 2; };
	
	
	$currentConditions = '<table class="ECforecast" cellpadding="3" cellspacing="0">' . "\n";
	
    if ($conditions['icon']) {
	$currentConditions .= '
  <tr"><td rowspan="2" align="center" valign="middle" class="lines">&nbsp</td><td colspan="' . $nC . '"' . $conditions['cityobserved'] . '</td></tr>' . "\n";
    $currentConditions .= '
  <tr>
    <td align="center" valign="middle">' . 
"    <img src=\"$imagedir" . $conditions['icon'] . "\"\n" .
               "     height=\"51\" width=\"60\" \n" . 
			   "     alt=\"" . strip_tags($conditions['citycondition']) . "\"\n" .
			   "     title=\"" . strip_tags($conditions['citycondition']) . "\" /> <br />" . 
			   $conditions['citycondition'] . "\n";
	$currentConditions .= '    </td>
';
    } // end of icon
    else
    {
	$currentConditions .= '
  <tr><td rowspan="2" align="center" valign="middle" class="lines">' . 
"    <img src=\"$imagedir" . 'na.gif' . "\"\n" .
               "     height=\"51\" width=\"60\"" . 'alt="" title="" /><br />' .
               $conditions['citycondition'] . '</td>'; 
	$currentConditions .= '
  <td colspan="' . $nC . '">' . $conditions['cityobserved'] . '</td></tr>' . "\n";
      $currentConditions .= '
  <tr>';

    }
    $currentConditions .= '
    <td valign="middle" class="lines">' .
	$conditions['temp'] . "<br/>\n";
	
	if (isset($conditions['wchill'])) {
	  $currentConditions .=
	  $conditions['wchill'] . "<br/>\n";
	}
	if (isset($conditions['humidex'])) {
	  $currentConditions .=
	  $conditions['humidex'] . "<br/>\n";
	}
	$currentConditions .= 
	$conditions['wind'] . "<br/>\n" .
	$conditions['humid'] . "<br/>\n" .
	$conditions['dew'] . "<br/></td><td>\n";
	
	if (isset($conditions['precip'])) {
	  $currentConditions .=
	  $conditions['precip'] . "<br/>\n";
	}
	
	$currentConditions .= 
	$conditions['baro'] . "<br/>\n";
	
	if (isset($conditions['barotrend'])) {
	  $currentConditions .=
	  $conditions['barotrend'] . "<br/>\n" ;
	}
	if (isset($conditions['aqhi'])) {
	  $currentConditions .=
	  $conditions['aqhi'] . "<br/>\n" ;
	}
	if (isset($conditions['vis'])) {
	  $currentConditions .=
	  $conditions['vis'] . "\n" ;
	}
	$currentConditions .= '	   </td>
';
	$currentConditions .= '    </tr><tr><td valign="middle">
';
    if(isset($conditions['normsheading'])) {
		$currentConditions .= $conditions['normsheading'] . "<br/>\n" .
		'&nbsp;&nbsp;' . $conditions['normsmaxtemp'] . "<br/>\n" .
		'&nbsp;&nbsp;' . $conditions['normsmintemp'] . "<br/>\n";
		$currentConditions .= "<br/></td><td>\n";

	}
    if(isset($conditions['ydayheading'])) {
		$currentConditions .= $conditions['ydayheading'] . "<br/>\n" .
		'&nbsp;&nbsp;' . $conditions['ydaymaxtemp'] . "<br/>\n" .
		'&nbsp;&nbsp;' . $conditions['ydaymintemp'] . "<br/>\n";
		if(isset($conditions['ydayprecip'])) {
			$currentConditions .= 
		'&nbsp;&nbsp;' . $conditions['ydayprecip'] . "<br/>\n";
		}
		$currentConditions .= "<br/></td><td>\n";
	}
    $currentConditions .= 
    $conditions['heading'] . "<br/>\n" .
	'&nbsp;&nbsp;' . $conditions['sunrise'] . "<br/>\n" .
	'&nbsp;&nbsp;' . $conditions['sunset'] . "<br/>\n" ;
	if (isset($conditions['moonrise']) ) {
  	  $currentConditions .=
	  $conditions['moonrise'] . "<br/>\n" .
	  $conditions['moonset'] ;
	}
	$currentConditions .= '
	</td>
  </tr>
';
	$currentConditions .= '
</table>
';
} // end of if isset($conditions['cityobserved'])
// end of current conditions mods

// locate the forecast icons information
$startgrab = strpos($site , 'id="cityf">');
$start = strpos($site , 'class="fperiod"', $startgrab);
$finish = strpos($site , 'id="historicaldata"', $start) + 8;
$length = $finish-$start;
$code=Substr($site , $start, $length);
//
// $Status .= "<div style=\"display:none\">\n $code\n </div>\n";

// slice up the icons, hi/low/pop and summary
preg_match_all("'<h3>(.*?)</div>'", $code, $matches);
//  $Status .= "<!-- matches \n" . print_r($matches,true) . "-->\n";
		$matches = $matches[1];
// $Status .= "<!-- matches\n" . print_r($matches,true) . " -->\n";

$forecasticons = array();
$forecasttemp  = array();
$forecastpop   = array();
$forecasttitles = array();
$forecast = array();
$updated = '';

if ($matches){
	foreach ($matches as $b => $r){ // preprocess the selection into forecast days
	    $t = strip_tags($matches[$b],'<h3></h3><ul></ul><li></li><img><a></a>');
//		$Status .= "<!-- t='$t' -->\n";
		preg_match_all('/(.*?)<\/h3>.*?\/weathericons\/(.*?)".*?alt="(.*?)".*?<ul>(.*?)<\/ul>/', $t, $matches[$b]);
	}
//  $Status .= "<!-- matches (after) \n" . print_r($matches,true) . "-->\n";

	   $wdth = intval(100/count($matches));

// now place results in arrays:
// forecasticons for icon link and text
// forecasttemp for temperature (hi/low)
// forecastpop for Prob of Precipitation
// forecasttitles for legend (today, tonight or day of week)

	// slice up one forecast icon set
	$i = 0;
	$nday = 0;
	
    $striptags = '!<font.*>|</font>|<br>!Uis';
	$foundAbnormal = 0;
    foreach ($matches as $b => $r) { // loop over icon parts

	   $forecasttitles[$i] = ucwords($matches[$b][1][0]);
	   $forecasticon[$i] = $matches[$b][2][0];
	   $forecasttext[$i] = ucfirst($matches[$b][3][0]);
	   $t = $matches[$b][4][0]; // temps, pops and forecast short text

//	   preg_match_all('|<li class=\"(.*)\" title=\"(.*)\".*>(.*)</li>|Uis',$t,$tmatch);
	   preg_match_all('|<li class=\"(.*)\".*>(.*)</li>|Uis',$t,$tmatch);

//       $Status .= "<!-- $b :tmatch\n" . print_r($tmatch,true) . " -->\n";
	   $types = $tmatch[1];
	   $descr = $tmatch[1];
	   $values = $tmatch[2];
	   $forecasttemp[$i] = '';
	   $forecastpop[$i] = '';
	   foreach ($types as $c => $v) {
	      $tt = $types[$c];
		  $tv = $values[$c];
		  $td = ucfirst($tt);
		  if (preg_match('/high|low/i',$tt) ) {
		     $tc = 'red';
			 $td = 'Max: ';
			 if (preg_match('/low/i',$tt)) {$tc = 'blue'; $td = 'Min: ';}
		     if($tv == '&nbsp;') {$td = ''; }
			 $forecasttemp[$i] .= "$td<span style=\"color: $tc;\"><b>$tv</b></span><br/>\n";
			 if (strpos($tv,'*') > 0) {$foundAbnormal++;}
		  } else {
		     $forecastpop[$i] .= "$tv<br/>\n";
		  }
	   }
	   $forecastpop[$i] = preg_replace('|[^\d]+|i','',trim($forecastpop[$i]));
	   $forecasticon[$i] = replace_icon($forecasticon[$i],$forecastpop[$i]); // select PoP Icon if needed
	   
	   $i++;
	   $nday++;
	}
	
	
// Extract the forecast details (new with V2.04 and EC site design change)

$startgrab = strpos($site , '<div class="fdetails">');
$start = strpos($site , '<p class="fissued">', $startgrab);
$finish = strpos($site , '<!-- fdetails -->', $start) + 8;
$length = $finish-$start;
$code=Substr($site , $start, $length);
//
// $Status .= "<div style=\"display:none\">\n $code\n </div>\n";
$t = $code;
       // now get the forecastdays and forecastdetails
//	   $Status .= "<!-- t='$t' -->\n";
	   $t = preg_replace('|<span class="bold">([^<]+?)</span>|Uis',"<b>$1</b>",$t);
//	   $t = preg_replace('|</span><b>(.*): </b>(.*)<span|is',
//	     '</span><span class="section"><b>$1: </b>$2</span><span',$t);// fix their HTML
//	   $t = preg_replace('|<!--.*-->|Uis','',$t);
       $t = strip_tags($t,'<dd><dt><b><br><p>');
	   $t = preg_replace("|Hauteur|","Quantité",$t);  // Ray's correction
//	   $Status .= "<!-- t(after)='$t' -->\n";

// slice up the days and summary text
preg_match_all("'<dt>(.*?)</dt>.*?<dd>(.*?)</dd>'", $t, $matches);
//  $Status .= "<!-- matches \n" . print_r($matches,true) . "-->\n";

  $forecastdays = $matches[1];
  $forecastdetail = $matches[2];
  
  preg_match_all('|<p class="fissued">(.*?)</p>|i',$t,$matches);
//  $Status .= "<!-- matches \n" . print_r($matches,true) . "-->\n";
  
  $updated = $matches[1][0];
  
  $weather7days = 'Extended Forecast';
//  if ($Lang == 'fr') {$weather7days = 'Pronostics étendus'; }
  if ($Lang == 'fr') {$weather7days = 'Prévisions étendues'; }  
  
// now make the table
  $weather = '<div class="ECforecast">'."\n";
  $weather .= '<table class="ECtable">'."\n";
//  $weather .= "<tr>\n";
//  $weather .= '<td colspan="7" class="table-top">&nbsp;'.$weather7days." - Environment Canada</td>\n";
//  $weather .= "</tr>\n";

  $weather .= "<tr>\n";
  $inc = 0;
   foreach ($forecasticon as $i => $v) {
    $weather .= '<td style="width: '.$wdth.'%; text-align: center; vertical-align: top;"><b>'.$forecasttitles[$i]."</b><br />\n";
    $alttext = strip_tags($forecasttext[$i]);
    if ($forecastpop[$i] <> '') {
      $alttext .= " (" . $forecastpop[$i] ."%)";
    }
    $forecasticon[$i] = "    <img src=\"$imagedir" . $forecasticon[$i] . 
               "\"\n" .
               "     height=\"51\" width=\"60\" \n" . 
			   "     alt=\"$alttext\"\n" .
			   "     title=\"$alttext\" /> <br />\n";
   $weather .= "<br />" . $forecasticon[$i] . "\n";
   $weather .= "    " . $forecasttemp[$i] . "\n";
   $weather .= "    " . $forecasttext[$i] . "\n";
   $weather .= "  </td>\n";
   
   $forecast[$i] = $forecasttitles[$i] . "<br />\n" .
                   $forecasticon[$i] . "\n" .
				   $forecasttemp[$i] .
				   $forecasttext[$i] . "\n";
   $inc = $inc + 1;
   if ($inc == 4) $weather .= "</tr>\n<tr>\n";

   }
  $weather .= '<td style="width: '.$wdth.'%; text-align: center; vertical-align: top; color: #646C75"><p><strong>Special thanks</strong></p><br /><p>This page is an adaptation of script ec-forecast-V2-12</p><br />original made&nbsp;by<br /><a href="http://saratoga-weather.org">Saratoga-Weather</a></td>';
  $weather .= "</tr>\n</table>\n</div>\n\n";
}

//
// grab and slice alerts
$start = strpos($site , '<h1 id="c1">');
$finish = strpos($site , '<div id="mainContent">', $start) + 8;
$length = $finish-$start;
$code=substr($site , $start, $length);
//$Status .= "<!-- code='$code' -->\n";

// find Forecast for <name>
preg_match_all("'<h1.*>(.*?)</h1>'",$code,$matches);
$title = $matches[1][0];

		
// find watches/warnings/ended alerts
preg_match_all('!<div id="(watch|warning|ended)".*>(.*?)</div>!Uis',$code,$matches);
//$Status .= "<!-- alert div matches\n" . print_r($matches,true) . "-->\n";
if (isset($matches[1])) {
  $alerttype = $matches[1];
  $alerts = $matches[2];
} else {
  $alerttype = array();
  $alerts = array();
}
$Status .= "<!-- alerttype\n" . print_r($alerttype,true) . "-->\n";
$Status .= "<!-- alerts\n" . print_r($alerts,true) . "-->\n";

if (isset($alerts[0])) {
  foreach($alerts as $i => $testtext) {
    preg_match_all("'<h2>\s*<a href=\"(.*)\">(.*)</a>\s*</h2>'Uis",$testtext,$matches);
    // $Status .= "<!-- alert testtext matches\n" . print_r($matches,true) . "-->\n";
    $alertlinks[$i] = $matches[1];
    $alertlinkstext[$i] = $matches[2];
  }
} else {
  $alertlinks = array();
  $alertlinkstext = array();
}
$Status .= "<!-- alertlinks\n" . print_r($alertlinks,true) . "-->\n";
$Status .= "<!-- alertlinkstext\n" . print_r($alertlinkstext,true) . "-->\n";
// Alert testing parameters
//  $alertlinks = '1';
//  $alertlinkstext[0] = "This is an alert and this is where the thext of that alert would appear";

if (count($alertlinks) > 0) {

  $alertstyles = array(
    'warning' => 'color: white; background-color: red; border: 2px solid black;',
    'watch'   => 'color: black; background-color: yellow; border: 2px solid black;',
    'ended'   => 'color: white; background-color: #339966; border: 2px solid black;'
  );

/* note: finish styling of alert links in your .css by adding:
 
.ECwarning a:link,
.ECended a:link,
.ECended a:visited
{
	color:white;
}
.ECwarning a:hover,
.ECended a:hover {
	color:black !important;
}

.ECwarning a:visited
{
	color:white;
}

.ECwatch a:link,
.ECwatch a:visited
{
	color:black;
}

.ECwatch a:hover {
	color:red;
}

*/
  $ECURLPARTS = parse_url($ECURL);
  $ECHOST = $ECURLPARTS['host'];
  $alertstring = '';
  foreach ($alerttype as $i => $atype) { 
    $alertstring .= '<p class="ECforecast EC'.$atype.'" 
    style="'.$alertstyles[$atype].' padding: 5px;text-align: center;">'."\n";
	
    foreach ($alertlinks[$i] as $g => $alks ) {
      $alertstring .= '<b><a ' . $LINKtarget . 
	  ' href="http://' . $ECHOST . $alertlinks[$i][$g] . '">  ' . $alertlinkstext[$i][$g] . '  </a></b><br />'."\n";
    }
    $alertstring .= "</p><!-- finished for type='$atype' alerts -->\n";
  }
  
} else {
  $alertstring = '';
}
// ---- end of alerts mods---


// remove extra junk from forecastdays
for ($g=0;$g < count($forecastdays);$g++) {
   $forecastdays[$g] = preg_replace('|<a name=.*>|','',$forecastdays[$g]);
}


$textfcsthead = $ECHEAD;
// assemble the text forecast as a definition list
$textforecast = '<div class="ECforecast"><h2>'.$textfcsthead.'</h2>'."\n<h6>$title ($updated)</h6>\n<dl>\n";

// put alerts text in Details area
$didAlerts = false;
$alertDisplayColors = array(
  'warning' => 'color: red;',
  'watch'   => 'color: black; background-color: yellow',
  'ended'   => 'color: #339966;'
);

foreach ($alerttype as $i => $atype) {
  $textforecast .= ' <dt></dt><dd>';
  $ttext = '';
  foreach ($alertlinkstext[$i] as $g => $text) {
    $ttext .= $alertlinkstext[$i][$g] . "<br/>\n";
  }
  $textforecast .= "<span style=\"".$alertDisplayColors[$atype]."\"><strong>" . $ttext . "</strong></span>";
  $didAlerts = true;
}
if($didAlerts) { $textforecast .= "</dd>\n"; }

for ($g=0;$g < count($forecastdays);$g++) {
   $textforecast .= "  <dt><b>" . $forecastdays[$g] ."</b></dt>\n";
   $textforecast .= "  <dd>" . $forecastdetail[$g] . "</dd>\n";
}
$textforecast .= "</dl>\n";
$textforecast .= "</div>\n";

// print it out:
if ($printIt and  ! $doInclude ) {
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<title><?php print "$ECHEAD - $ECNAME"; ?></title>
<style type="text/css">
/* styling for EC alert boxes */ 
.ECwarning a:link,
.ECended a:link,
.ECended a:visited
{
	color:white;
}
.ECwarning a:hover,
.ECended a:hover {
	color:black !important;
}

.ECwarning a:visited
{
	color:white;
}

.ECwatch a:link,
.ECwatch a:visited
{
	color:black;
}

.ECwatch a:hover {
	color:red;
}
</style>
</head>
<body>
<?php 
print '<table>'.$brute.'</table>';
}

if ($printIt) {
  $ECURL = preg_replace('|&|Ui','&amp;',$ECURL); // make link XHTML compatible
  print $Status;
  print $alertstring;
  if ($showConditions) {
	print "<table border=\"0\" width=\"99%\"><tr><td align=\"center\">\n";
    print $currentConditions;
	print "</td></tr></table>\n";
  }
  print $weather;
  if ($foundAbnormal > 0) {print $abnormalString; }
  print $textforecast;
  print "<p><a $LINKtarget href=\"$ECURL\">$ECNAME</a></p>\n";
}

if ($printIt  and ! $doInclude ) {?>
</body>
</html>
<?php
}

// ----------------------------functions ----------------------------------- 
 
 function fetchUrlWithoutHang($url) // thanks to Tom at Carterlake.org for this script fragment
   {
   global $Status;
   // Set maximum number of seconds (can have floating-point) to wait for feed before displaying page without feed
   $numberOfSeconds=4;   

   // Suppress error reporting so Web site visitors are unaware if the feed fails
   error_reporting(0);

   // Extract resource path and domain from URL ready for fsockopen

   $url = str_replace("http://","",$url);
   $urlComponents = explode("/",$url);
   $domain = $urlComponents[0];
   $resourcePath = str_replace($domain,"",$url);

   // Establish a connection
   $socketConnection = fsockopen($domain, 80, $errno, $errstr, $numberOfSeconds);

   if (!$socketConnection)
       {
       // You may wish to remove the following debugging line on a live Web site
       $Status .= "<!-- Network error: $errstr ($errno) -->\n";
       }    // end if
   else    {
       $xml = '';
       fputs($socketConnection, "GET $resourcePath HTTP/1.0\r\nHost: $domain\r\n\r\n");
   
       // Loop until end of file
       while (!feof($socketConnection))
           {
           $xml .= fgets($socketConnection, 4096);
           }    // end while

       fclose ($socketConnection);

       }    // end else

   return($xml);

   }    // end function
   
// -------------------------------------------------------
function replace_icon($icon,$pop) {
// now replace icon with spiffy updated icons with embedded PoP to
//    spruce up the dull ones from www.weatheroffice.ec.gc.ca 
  global $imagedir;
			  
  $curicon = $icon;
  if ($pop > 0) {
	$testicon = preg_replace("|.gif|","p$pop.gif",$curicon);
	if (file_exists("$imagedir/$testicon")) {
	  $newicon = $testicon;
	} else {
	  $newicon = $curicon;
	}
  } else {
	$newicon = $curicon;
  }
  return($newicon);  
}
// ------------------------------------------------------------------
   
?>