<?php
/*
  http://mysrc.blogspot.ca/2007/02/php-xml-to-array-and-backwards.html
  Working with XML. Usage: 
  $xml=xml2ary(file_get_contents('1.xml'));
  $link=&$xml['ddd']['_c'];
  $link['twomore']=$link['onemore'];
  // ins2ary(); // display only data, without structure!
  echo ary2xml($xml);
*/
error_reporting(E_ALL);
ini_set('display_errors', '1');

// XML to Array fuction
function xml2ary(&$string) {
  $parser = xml_parser_create();
  xml_parser_set_option($parser, XML_OPTION_CASE_FOLDING, 0);
  xml_parser_set_option($parser,XML_OPTION_TARGET_ENCODING, "ISO-8859-1").
  xml_parse_into_struct($parser, $string, $vals, $index);
  xml_parser_free($parser);
  $mnary=array();
  $ary=&$mnary;
  foreach ($vals as $r) {
    $t=$r['tag'];
    if ($r['type']=='open') {
      if (isset($ary[$t])) {
          if (isset($ary[$t][0])) $ary[$t][]=array(); else $ary[$t]=array($ary[$t], array());
          $cv=&$ary[$t][count($ary[$t])-1];
      } else $cv=&$ary[$t];
      if (isset($r['attributes'])) {foreach ($r['attributes'] as $k=>$v) $cv['_a'][$k]=$v;}
      $cv['_c']=array();
      $cv['_c']['_p']=&$ary;
      $ary=&$cv['_c'];
    } elseif ($r['type']=='complete') {
      if (isset($ary[$t])) { // same as open
          if (isset($ary[$t][0])) $ary[$t][]=array(); else $ary[$t]=array($ary[$t], array());
          $cv=&$ary[$t][count($ary[$t])-1];
      } else $cv=&$ary[$t];
      if (isset($r['attributes'])) {foreach ($r['attributes'] as $k=>$v) $cv['_a'][$k]=$v;}
      $cv['_v']=(isset($r['value']) ? $r['value'] : '');
    } elseif ($r['type']=='close') {
      $ary=&$ary['_p'];
    }
  }
  _del_p($mnary);
  return $mnary;
}
// _Internal: Remove recursion in result array
function _del_p(&$ary) {
  foreach ($ary as $k=>$v) {
    if ($k==='_p') unset($ary[$k]);
    elseif (is_array($ary[$k])) _del_p($ary[$k]);
  }
}
// Read remote station file
function fetchURL( $url ) {
  $url_parsed = parse_url($url);
  $host = $url_parsed["host"];
  $port = 80;
  $path = $url_parsed["path"];
  $out = "GET $path HTTP/1.0\r\nHost: $host\r\n\r\n";
  $fp = fsockopen($host, $port, $errno, $errstr, 30);
  fwrite($fp, $out);
  $body = false;
  $in = '';
  while (!feof($fp)) {
    $s = fgets($fp, 1024);
    if ( $body ) $in .= $s;
    if ( $s == "\r\n" ) $body = true;
  }
  fclose($fp);
  return $in;
}
// Write remote file locally
$cacheName = 'station.xml';
$site=fetchURL('http://dd.meteo.gc.ca/citypage_weather/xml/QC/s0000148_e.xml');
$fp = fopen($cacheName, "w");
if ($fp) {
  $write = fputs($fp, $site);
  fclose($fp);
}
else echo 'Unable to open local file';

// Transform xml file to php array
$xml=xml2ary(file_get_contents($cacheName));
// print_r($xml['siteData']['_c']['forecastGroup']['_c']['forecast']);

// Derailed information on station
$ec_date_read = $xml['siteData']['_c']['dateTime'][1]['_c']['textSummary']['_v'];
$ec_city = $xml['siteData']['_c']['location']['_c']['name']['_v'];
$ec_region = $xml['siteData']['_c']['location']['_c']['region']['_v'];
$ec_sta_code = $xml['siteData']['_c']['location']['_c']['name']['_a']['code'];
$ec_sta_lat = $xml['siteData']['_c']['location']['_c']['name']['_a']['lat'];
$ec_sta_lon = $xml['siteData']['_c']['location']['_c']['name']['_a']['lon'];

// Test to see if there is a weather warning to diaplay
if (!isset($xml['siteData']['_c']['warnings']['_v'])) {
  if (isset($xml['siteData']['_c']['warnings']['_c']['event'][0])) {
		$inc = 0;
		while(isset($xml['siteData']['_c']['warnings']['_c']['event'][$inc])) {
			$ec_alert[] = $xml['siteData']['_c']['warnings']['_c']['event'][$inc]['_a']['description'];
			$ec_alert_type[] = $xml['siteData']['_c']['warnings']['_c']['event'][$inc]['_a']['type'];
			$ec_alert_date[] = $xml['siteData']['_c']['warnings']['_c']['event'][$inc]['_c']['dateTime'][1]['_c']['textSummary']['_v'];
			$ec_alert_priority[] = $xml['siteData']['_c']['warnings']['_c']['event'][$inc]['_a']['priority'];
			$inc = $inc + 1;
		}
	}
	else {
		$ec_alert[] = $xml['siteData']['_c']['warnings']['_c']['event']['_a']['description'];
		$ec_alert_type[] = $xml['siteData']['_c']['warnings']['_c']['event']['_a']['type'];
		$ec_alert_date[] = $xml['siteData']['_c']['warnings']['_c']['event']['_c']['dateTime'][1]['_c']['textSummary']['_v'];
		$ec_alert_priority[] = $xml['siteData']['_c']['warnings']['_c']['event']['_a']['priority'];
	}
}
$ec_station = $xml['siteData']['_c']['currentConditions']['_c']['station']['_v'];
$ec_sta_metar = $xml['siteData']['_c']['currentConditions']['_c']['station']['_a']['code'];

// Temperatures
$ec_temp_unit = $xml['siteData']['_c']['currentConditions']['_c']['temperature']['_a']['units'];
$ec_curr_temp = $xml['siteData']['_c']['currentConditions']['_c']['temperature']['_v'].'&deg;'.$ec_temp_unit;
$ec_curr_rtemp = (round($ec_curr_temp)).'&deg;'.$ec_temp_unit; // Rounded temperature

// Check if humidex today
$ec_curr_humidex = '--';
if (isset($xml['siteData']['_c']['currentConditions']['_c']['humidex']))
  $ec_curr_humidex = $xml['siteData']['_c']['currentConditions']['_c']['humidex']['_v'].'&deg;'.$ec_temp_unit;
$ec_fnow_period = $xml['siteData']['_c']['forecastGroup']['_c']['forecast'][0]['_c']['period']['_a']['textForecastName'];
$ec_curr_fdate = $xml['siteData']['_c']['currentConditions']['_c']['dateTime'][1]['_c']['textSummary']['_v'];
$ec_curr_ftext = $xml['siteData']['_c']['forecastGroup']['_c']['forecast'][0]['_c']['textSummary']['_v'];
$ec_curr_cond = $xml['siteData']['_c']['currentConditions']['_c']['condition']['_v'];
if ($ec_curr_cond =='')
	$ec_curr_cond = 'Not observed';

// If current conditions icon is available
if ($xml['siteData']['_c']['currentConditions']['_c']['iconCode']['_v'] == "")
  $ec_now_icon = 'na';
else
  $ec_now_icon = $xml['siteData']['_c']['currentConditions']['_c']['iconCode']['_v'];
$ec_curr_dew = $xml['siteData']['_c']['currentConditions']['_c']['dewpoint']['_v']. '&deg;'.$ec_temp_unit;
$ec_press_unit = $xml['siteData']['_c']['currentConditions']['_c']['pressure']['_a']['units'];
$ec_curr_press = $xml['siteData']['_c']['currentConditions']['_c']['pressure']['_v'].' '.$ec_press_unit;
$ec_press_tend = $xml['siteData']['_c']['currentConditions']['_c']['pressure']['_a']['tendency'];
$ec_press_change = $xml['siteData']['_c']['currentConditions']['_c']['pressure']['_a']['change'];
$ec_visib = $xml['siteData']['_c']['currentConditions']['_c']['visibility']['_v'];
$ec_visib_unit = $xml['siteData']['_c']['currentConditions']['_c']['visibility']['_a']['units'];
$ec_curr_hum = $xml['siteData']['_c']['currentConditions']['_c']['relativeHumidity']['_v'].' %';
$ec_wind_unit = $xml['siteData']['_c']['currentConditions']['_c']['wind']['_c']['speed']['_a']['units'];
$ec_curr_wspeed = $xml['siteData']['_c']['currentConditions']['_c']['wind']['_c']['speed']['_v'].' '.$ec_wind_unit;
if ($xml['siteData']['_c']['currentConditions']['_c']['wind']['_c']['gust']['_v'] == '')
	$ec_curr_wgust = '--';
else
	$ec_curr_wgust = $xml['siteData']['_c']['currentConditions']['_c']['wind']['_c']['gust']['_v'].' '.$ec_wind_unit;
$ec_curr_wdir = $xml['siteData']['_c']['currentConditions']['_c']['wind']['_c']['direction']['_v'];
$ec_curr_wbea = $xml['siteData']['_c']['currentConditions']['_c']['wind']['_c']['bearing']['_v'].'&deg;';

// Forecast timestamp
$ec_fnow_date = $xml['siteData']['_c']['forecastGroup']['_c']['dateTime'][1]['_c']['textSummary']['_v'];
$ec_fnow_time = $xml['siteData']['_c']['forecastGroup']['_c']['dateTime'][1]['_c']['hour']['_v'].'h'.$xml['siteData']['_c']['forecastGroup']['_c']['dateTime'][1]['_c']['minute']['_v'];

// Forecast from (current) 0 to 7
for ($inc = 0; $inc <= 7; $inc++) {
  $ec_fperiod[$inc] = $xml['siteData']['_c']['forecastGroup']['_c']['forecast'][$inc]['_c']['period']['_v'];
  $ec_ftext[$inc] = $xml['siteData']['_c']['forecastGroup']['_c']['forecast'][$inc]['_c']['textSummary']['_v'];
  $ec_ficode[$inc] = $xml['siteData']['_c']['forecastGroup']['_c']['forecast'][$inc]['_c']['abbreviatedForecast']['_c']['iconCode']['_v'];
  $ec_fpop[$inc] = $xml['siteData']['_c']['forecastGroup']['_c']['forecast'][$inc]['_c']['abbreviatedForecast']['_c']['pop']['_v'];
  $ec_fstext[$inc] = $xml['siteData']['_c']['forecastGroup']['_c']['forecast'][$inc]['_c']['abbreviatedForecast']['_c']['textSummary']['_v'];
  $ec_ficon[$inc] = $ec_ficode[$inc].'p'.$ec_fpop[$inc];
	$ec_fpop[$inc] = $ec_fpop[$inc].' %';

  // See if Min and/or max Temperature
  if (isset($xml['siteData']['_c']['forecastGroup']['_c']['forecast'][$inc]['_c']['temperatures']['_c']['temperature'][0])) {
    $ec_ftemp_max[$inc] = $xml['siteData']['_c']['forecastGroup']['_c']['forecast'][$inc]['_c']['temperatures']['_c']['temperature'][0]['_v'].'&deg;'.$ec_temp_unit;
    $ec_ftemp_min[$inc] = $xml['siteData']['_c']['forecastGroup']['_c']['forecast'][$inc]['_c']['temperatures']['_c']['temperature'][1]['_v'].'&deg;'.$ec_temp_unit;
  }
  else {
    if ($xml['siteData']['_c']['forecastGroup']['_c']['forecast'][$inc]['_c']['temperatures']['_c']['temperature']['_a']['class'] == 'high') {
      $ec_ftemp_max[$inc] = $xml['siteData']['_c']['forecastGroup']['_c']['forecast'][$inc]['_c']['temperatures']['_c']['temperature']['_v'].'&deg;'.$ec_temp_unit;
      $ec_ftemp_min[$inc] = '';
    }
    else {
      $ec_ftemp_max[$inc] = '';
      $ec_ftemp_min[$inc] = $xml['siteData']['_c']['forecastGroup']['_c']['forecast'][$inc]['_c']['temperatures']['_c']['temperature']['_v'].'&deg;'.$ec_temp_unit;
    }
  }
  // If winds forecast
  if (isset($xml['siteData']['_c']['forecastGroup']['_c']['forecast'][$inc]['_c']['winds']['_c']))
    $ec_fwind[$inc] = $xml['siteData']['_c']['forecastGroup']['_c']['forecast'][$inc]['_c']['winds']['_c']['textSummary'];
  $ec_fhum[$inc] = '';
	if (isset($xml['siteData']['_c']['forecastGroup']['_c']['forecast'][$inc]['_c']['relativeHumidity']))
		$ec_fhum[$inc] = $xml['siteData']['_c']['forecastGroup']['_c']['forecast'][$inc]['_c']['relativeHumidity']['_v'].' %'; 
  // If comfort is available
  if (isset ($xml['siteData']['_c']['forecastGroup']['_c']['forecast'][$inc]['_c']['comfort']['_c']))
    $ec_fcomf[$inc] = $xml['siteData']['_c']['forecastGroup']['_c']['forecast'][$inc]['_c']['comfort']['_c']['textSummary']['_v'];
}
// Regional normals
$ec_rnor_text = $xml['siteData']['_c']['forecastGroup']['_c']['regionalNormals']['_c']['textSummary']['_v'];
$ec_rnor_max = $xml['siteData']['_c']['forecastGroup']['_c']['regionalNormals']['_c']['temperature'][0]['_v'].'&deg;'.$ec_temp_unit;;
$ec_rnor_min = $xml['siteData']['_c']['forecastGroup']['_c']['regionalNormals']['_c']['temperature'][1]['_v'].'&deg;'.$ec_temp_unit;;

// Yesterday observations
$ec_yest_max = $xml['siteData']['_c']['yesterdayConditions']['_c']['temperature'][0]['_v'].'&deg;'.$ec_temp_unit;
$ec_yest_min = $xml['siteData']['_c']['yesterdayConditions']['_c']['temperature'][1]['_v'].'&deg;'.$ec_temp_unit;
$ec_rain_units = $xml['siteData']['_c']['yesterdayConditions']['_c']['precip']['_a']['units'];
$ec_yest_rain = $xml['siteData']['_c']['yesterdayConditions']['_c']['temperature'][1]['_v'].' '.$ec_rain_units;

// Sunset and sunrise sets
$ec_rise_note = $xml['siteData']['_c']['riseSet']['_c']['disclaimer']['_v'];
$ec_sunrise_hour = $xml['siteData']['_c']['riseSet']['_c']['dateTime'][1]['_c']['hour']['_v'].'h'.$xml['siteData']['_c']['riseSet']['_c']['dateTime'][1]['_c']['minute']['_v'];
$ec_sunrise_text = $xml['siteData']['_c']['riseSet']['_c']['dateTime'][1]['_c']['textSummary']['_v'];
$ec_sunset_hour = $xml['siteData']['_c']['riseSet']['_c']['dateTime'][3]['_c']['hour']['_v'].'h'.$xml['siteData']['_c']['riseSet']['_c']['dateTime'][3]['_c']['minute']['_v'];
$ec_sunset_text = $xml['siteData']['_c']['riseSet']['_c']['dateTime'][3]['_c']['textSummary']['_v'];

// Normals for the day
$ec_nor_tempmax = $xml['siteData']['_c']['almanac']['_c']['temperature'][2]['_v'].'&deg;'.$ec_temp_unit;
$ec_nor_tempmin = $xml['siteData']['_c']['almanac']['_c']['temperature'][3]['_v'].'&deg;'.$ec_temp_unit;
$ec_nor_tempmean = $xml['siteData']['_c']['almanac']['_c']['temperature'][4]['_v'].'&deg;'.$ec_temp_unit;

// Records readings
$ec_rec_tempmaxy = $xml['siteData']['_c']['almanac']['_c']['temperature'][0]['_a']['year'];
$ec_rec_tempmax = $xml['siteData']['_c']['almanac']['_c']['temperature'][0]['_v'].'&deg;'.$ec_temp_unit;
$ec_rec_tempminy = $xml['siteData']['_c']['almanac']['_c']['temperature'][1]['_a']['year'];
$ec_rec_tempmin = $xml['siteData']['_c']['almanac']['_c']['temperature'][1]['_v'].'&deg;'.$ec_temp_unit;
$ec_rec_rfally = $xml['siteData']['_c']['almanac']['_c']['precipitation'][0]['_a']['year'];
$ec_rec_rfall = $xml['siteData']['_c']['almanac']['_c']['precipitation'][0]['_v'].' '.$ec_rain_units;
$ec_snow_units = $xml['siteData']['_c']['almanac']['_c']['precipitation'][1]['_a']['units'];
$ec_rec_sfally = $xml['siteData']['_c']['almanac']['_c']['precipitation'][1]['_a']['year'];
$ec_rec_sfall = $xml['siteData']['_c']['almanac']['_c']['precipitation'][1]['_v'].' '.$ec_snow_units;
$ec_rec_rainy = $xml['siteData']['_c']['almanac']['_c']['precipitation'][2]['_a']['year'];
$ec_rec_rain = $xml['siteData']['_c']['almanac']['_c']['precipitation'][2]['_v'].' '.$ec_rain_units;
$ec_rec_snowy = $xml['siteData']['_c']['almanac']['_c']['precipitation'][3]['_a']['year'];
$ec_rec_snow = $xml['siteData']['_c']['almanac']['_c']['precipitation'][3]['_v'].' '.$ec_rain_units;

//echo "<p>\nTrace no.4\n</p>";
//print_r($xml);
?>