<?php
$tpl_version = "1.0";
if (isset($_GET['ver'])) {
  echo $tpl_version;
  exit;
}
// Version: 2012-06-29

session_start(); // start PHP session
// Check if a language has been selected
if (isset($_POST['langue'])) {
  $lang = $_POST['langue'];
  $_SESSION['langue'] = $lang; // store session data
}
elseif(isset($_SESSION['langue'])){
  $lang = $_SESSION['langue']; // Default language
}
else {
  $lang = 'en'; // Default language
  $_SESSION['langue'] = $lang;
}

// Include text and data file
require('lang/text_standard_'.$lang.'.php');
include('wt_data_inc.php');

// Include language files available in lang folder
include('include/local_lang.php');

// --------------- do this to include the forecast in your page --------
   $doInclude = true; // shut off the HTML printing with ec-forecast.php
   $doLang = 'en';  // set to 'fr' for french, 'en' for english
   require("ec-forecast.php");
// ---------------------------------------------------------------------
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<meta http-equiv="content-type" content="text/html; charset=iso8559-1" />
	<title><?php echo $location; ?> | Environement Canada Forecast</title>
	<meta name="keywords" content="Environement Canada, forecast, 7 daus" />
	<meta name="description" content="Forecast for Sorel-Tracy region" />
	<link href="styles.css" rel="stylesheet" type="text/css" />
	<link rel="stylesheet" href="nivo-slider.css" type="text/css" media="screen" />
	<link rel="stylesheet" href="ec_forecast.css" type="text/css" media="screen" />
  <script type="text/javascript" src="lib/dropmenu/dropdowntabs.js"></script>
<style type="text/css">
<!--
.codebox {
	color: #000000;
	padding: 5px;
	margin: 5%;
	width: 85%;
}
.ECtable {
  margin-left: 5px;
  font-family: Verdana, Arial, Helvetica, sans-serif;
  font-size: 12px;
  color: #0000FF;
/*  border: 1px solid #5594DE;  */
}
.ECtable td {
  border: 1px solid #5594DE;
}
.ECtable b {
  color: #000;
}
.ECforecast {
  width: 600px;
  font-family: Tahoma, Arial, Helvetica, sans-serif;
  font-size: 12px;
/*    color: #996633;  */
}
.lines {
  border: 1px solid #5594DE;
}
-->
</style>
<script type="text/javascript">
  function SetHeight() {
    var rien = 0;
    document.getElementById("currentcond-left").style.height = document.getElementById("currentcond").clientHeight  + 'px';
    document.getElementById("currentcond").style.height = document.getElementById("currentcond").clientHeight  + 'px';
  }
</script>
</head>
<body>
<div id="bg_clouds">
	<div id="main">
		<!-- header and main menu begins -->
    <?php
      require_once('header_menu.php');
    ?>
    <script type="text/javascript">
    // Select menu current item highlight
    //SYNTAX: tabdropdown.init("menu_id", [item menu, start from 0])
    tabdropdown.init("mainmenu", 0)
    </script>
		<div style="height:13px"></div>
		<!-- header ends -->
		<div class="header_top"></div>
		<div class="header">
			<div id="wrapper">
				<div id="slider-wrapper">        
					<div id="slider" class="nivoSlider">
						<img src="style/header1.jpg" alt="" />
						<img src="style/header2.jpg" alt=""/>
						<img src="style/header3.jpg" alt="" />
					</div>
				</div>
			</div>
			<script type="text/javascript" src="lib/jquery-1.4.3.min.js"></script>
			<script type="text/javascript" src="lib/jquery.nivo.slider.pack.js"></script>
			<script type="text/javascript">
				$(window).load(function() {
				$('#slider').nivoSlider();
				});
			</script>
		</div>
		<div class="header_bot"></div>
		<div style="height:15px"></div>
		<!-- content begins -->
   	<div class="cont_top"></div>
   	<div id="content">
			<div class="sep_vert">
				<!--  28 gras et Papyrus 84 italiq gras couleur 5594DE, transparent 160   -->
				<img src="style/forecast.gif" alt="" title="" style="padding:0px 0px 20px 30px" />
				<div id="right_h" style="width:600px; margin-right: 80px;">
          <h1 style="text-align: center;">Environnement Canada's Forecast</h1>
          <br />
          <p class="separator">Observations</p>
          <div id="conditionscontainer" style="margin-left: 5px">
            <?php print $ec_observ.'</ul></div></div>'."\n"; ?>
          </div>
          <br />
          <table style="width:610px">
          <col width="125" />
          <col width="100" />
          <tr>
            <td colspan="2" align="center"><?php print $currentConditions; ?></td>
          </tr>
          <tr style="line-height:30px; ">
            <td colspan="3" class="tableseparator" style="padding-top: 0px;">Today's forecast</td>
          </tr><tr>
            <td style="text-align: center"><?php print $forecasticon[0]; ?></td>
            <td valign="top"><?php print "<br /><b>" .$forecastdays[0] . "</b>:</td><td> " . $forecastdetail[0]; ?></td>
          </tr>
          </table>
          <table style="width:610px">
          <tr>
            <td colspan="2" class="tableseparator">Historical data</td>
          </tr>
          </table>
          <br />
          <div id="historicaldata" style="margin-left: 5px">
            <?php print $ec_historic.'</div></div>'."\n"; ?>
          </div>
          <script type="text/javascript">SetHeight();</script>
          <table style="width:610px">
          <tr style="line-height:30px; ">
            <td colspan="3" class="tableseparator" style="padding-top: 0px">Long term forecast</td>
          </tr>
          </table>
          <?php print $weather; ?>
      </div>
			<p style="margin:350px 0px 0px -30px">&nbsp;&nbsp;<strong>Forecast by</strong>:<br /><img src="style/ecfip_f.gif" alt="" title="" /></p>
        <!-- content ends --> 
    </div>
  </div>
    <div class="cont_bot"></div>
    <!-- footer begins -->
    <div id="footer">
      <a href="http://validator.w3.org/check/referer" title="This page validates as XHTML 1.0 Transitional"><abbr title="eXtensible HyperText Markup Language">XHTML</abbr></a> | <a href="http://jigsaw.w3.org/css-validator/check/referer" title="This page validates as CSS"><abbr title="Cascading Style Sheets">CSS</abbr></a> | Weather Blues Template by <a href="http://weatherbyyou.com">Weather by You!</a>
      <p style="width:100%; font-family:helvetica; font-size:10px; color:#fff">Copyright  2011. <!-- Do not remove -->Designed by <a href="http://www.metamorphozis.com/free_templates/free_templates.php" title="Free Web Templates">Free Web Templates</a>, coded by <a href="http://www.myfreecsstemplates.com/" title="Free CSS Templates">Free CSS Templates</a><!-- end --></p>
    </div>
    <!-- footer ends -->
  </div>
</div>
<script type="text/javascript">
 var pkBaseURL = (("https:" == document.location.protocol) ? "https://meteoduquebec.com/piwik/" : "http://meteoduquebec.com/piwik/");
 document.write(unescape("%3Cscript src='" + pkBaseURL + "piwik.js' type='text/javascript'%3E%3C/script%3E"));
 </script><script type="text/javascript">
 try {
 var piwikTracker = Piwik.getTracker(pkBaseURL + "piwik.php", 3);
 piwikTracker.trackPageView();
 piwikTracker.enableLinkTracking();
 } catch( err ) {}
 </script><noscript><p><img src="http://meteoduquebec.com/piwik/piwik.php?idsite=3" style="border:0" alt="" /></p></noscript>
 <!-- End Piwik Tracking Code -->
</body>
</html>