<?php
$tpl_version = "1.0";
if (isset($_GET['ver'])) {
  echo $tpl_version;
  exit;
}

session_start(); // start PHP session
// Check if a language has been selected
if (isset($_POST['langue'])) {
  $lang = $_POST['langue'];
  $_SESSION['langue'] = $lang; // store session data
}
elseif(isset($_SESSION['langue'])){
  $lang = $_SESSION['langue']; // Default language
}
else {
  $lang = 'en'; // Default language
  $_SESSION['langue'] = $lang;
}

// Include text and data file
require('lang/text_standard_'.$lang.'.php');
include('wt_data_inc.php');

// Include language files available in lang folder
include('include/local_lang.php');

function getord($d){
//convert to range 0-360 - provided for Cumulus by Mark Crossley
if($d>=360) $d = $d - 360;
$deg = ($d + 11.25) / 22.5;
$ords = Array("N","NNE","NE","ENE","E","ESE","SE","SSE","S","SSW","SW","WSW","W","WNW","NW","NNW");
return($ords[$deg - 1]);
}
?>
<!DOCTYPE html>
<html lang="en">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
	<title><?php echo $location.' | '.$Tr_gau_view; ?></title>
	<meta name="keywords" content="gauges, instruments, abalog" />
	<meta name="description" content="Current weather data, intrumental view" />
	<!-- <script src="dbimages/wz_jsgraphics.js" type="text/javascript" ></script> -->
	<link href="styles.css" rel="stylesheet" type="text/css" />
	<link rel="stylesheet" href="nivo-slider.css" type="text/css" media="screen" />
	<!-- added for SteelSerries -->
	<link rel="stylesheet" href="css/gauges-ss.css" />
    <link rel="stylesheet" href="css/ddimgtooltip.css" />
	<!-- End SteelSeries -->
  <script type="text/javascript" src="lib/dropmenu/dropdowntabs.js"></script>
  	<script type="text/javascript">
		function Remplace(expr,a,b) {
			var i=0
			while (i!=-1) {
				i=expr.indexOf(a,i);
				if (i>=0) {
					expr=expr.substring(0,i)+b+expr.substring(i+a.length);
					i+=b.length;
				}
			}
			return expr
		}
	</script>
</head>
<body>
<div id="bg_clouds">
	<div id="main">
		<!-- header and main menu begins -->
    <?php
      require_once('header_menu.php');
    ?>
    <script type="text/javascript">
    // Select menu current item highlight
    //SYNTAX: tabdropdown.init("menu_id", [item menu, start from 0])
    tabdropdown.init("mainmenu", 4)
    </script>
		<div style="height:13px"></div>
		<!-- header ends -->
		<div class="header_top"></div>
		<div class="header">
			<div id="wrapper">
				<div id="slider-wrapper">        
					<div id="slider" class="nivoSlider">
						<!-- <img src="style/header.jpg" alt="" /> -->
						<img src="style/header1.jpg" alt="" />
						<img src="style/header2.jpg" alt=""/>
						<img src="style/header3.jpg" alt="" />
						<!-- <img src="style/header4.jpg" alt="" /> -->
					</div>
				</div>
			</div>
		</div>
		<div class="header_bot"></div>
		<div style="height:15px"></div>
		<!-- content begins -->
		<div class="cont_top"></div>
		<div id="content" style="height: 1219px;">
			<div id="gauges_title">
				<h1><em>LomaPinon</em>, Rio Rancho, New Mexico, USA!</h1>
				<h2><?php echo $Tr_latitude.' '.$latitude.'   ' .$Tr_longitude.' '.$longitude.'   '.$Tr_Altitude. ' '.$altitude; ?></h2>
    			<noscript>
      			   <h2 style="color:red; text-align:center">&gt;&gt;This pages requires JavaScript enabling in your browser.&lt;&lt;<br/>&gt;&gt;Please enable scripting it to enjoy this site at its best.&lt;&lt;</h2>
    			</noscript>
			</div>
			<!-- WEATHER DATA BEGIN -->

             <!-- hidden span to force early .TTF font download, required for web servers that do not serve .WOFF files -->
      <span style="visibility:hidden; font-family:LCDMono2Ultra">Dummy</span>
      <table class="gaugeTable">
        <tr>
          <td colspan="3" style="text-align: center;">
            <canvas id="canvas_led" width="25" height="25"></canvas>&nbsp;&nbsp;&nbsp;
            <canvas id="canvas_status" width="350" height="25"></canvas>&nbsp;&nbsp;
            <canvas id="canvas_timer" width="50" height="25"></canvas>
          </td>
        </tr>
        <tr>
          <td>
            <div id="tip_0">
              <canvas id="canvas_temp" width="251" height="251"></canvas>
            </div>
			<input id="rad_temp1" type="radio" name="rad_temp" value="out" checked onclick="doTemp(this)" />
			<label id="lab_temp1" for="rad_temp1">Outside</label>
			<input id="rad_temp2" type="radio" name="rad_temp" value="in" onclick="doTemp(this)" />
            <label id="lab_temp2" for="rad_temp2">Inside</label>
       </td>
          <td>
            <div id="tip_1">
              <canvas id="canvas_dew" width="251" height="251"></canvas>
            </div>
            <input id="rad_dew1" type="radio" name="rad_dew" value="dew" onclick="doDew(this)" />
            <label id="lab_dew1" for="rad_dew1">Dew Point</label>
        	<input id="rad_dew2" type="radio" name="rad_dew" value="app" checked onclick="doDew(this)" />
            <label id="lab_dew2" for="rad_dew2">Apparent</label>
         	<input id="rad_dew3" type="radio" name="rad_dew" value="wnd" onclick="doDew(this)" />
            <label id="lab_dew3" for="rad_dew3">Wind Chill</label>
           	<br />
            <input id="rad_dew4" type="radio" name="rad_dew" value="hea" onclick="doDew(this)" />
            <label id="lab_dew4" for="rad_dew4">Heat Index</label>
       		<input id="rad_dew5" type="radio" name="rad_dew" value="hum" onclick="doDew(this)" />
            <label id="lab_dew5" for="rad_dew5">Humidex</label>
     </td>
          <td>
            <div id="tip_4">
              <canvas id="canvas_hum" width="251" height="251"></canvas>
            </div>
        	<input id="rad_hum1" type="radio" name="rad_hum" value="out" checked onclick="doHum(this)" />
            <label id="lab_hum1" for="rad_hum1">Outside</label>
            <input id="rad_hum2" type="radio" name="rad_hum" value="in" onclick="doHum(this)" />
            <label id="lab_hum2" for="rad_hum2">Inside</label>
       </td>
        </tr>
        <tr>
          <td>
            <div id="tip_5">
              <canvas id="canvas_baro" width="251" height="251"></canvas>
            </div>
          </td>
          <td>
            <div id="tip_6">
              <canvas id="canvas_wind" width="251" height="251"></canvas>
            </div>
          </td>
          <td>
            <div id="tip_7">
              <canvas id="canvas_dir" width="251" height="251"></canvas>
            </div>
          </td>
        </tr>
      </table>
      <table class="gaugeTable">
        <tr>
          <td>
            <div id="tip_2">
              <canvas id="canvas_rain" width="251" height="251"></canvas>
            </div>
          </td>
          <td>
            <div id="tip_3">
              <canvas id="canvas_rrate" width="251" height="251"></canvas>
            </div>
          </td>
		  <td>
            <div id="tip_9">
              <canvas id="canvas_solar" width="251" height="251"></canvas>
            </div>
         </td>
		 </tr>
		 <tr>
		  <td colspan="3" style="text-align: center;">
            <div id="tip_8">
              <canvas id="canvas_uv" width="251" height="251"></canvas>
            </div>
          </td>
        </tr>
       
      </table>      
      <!-- credits begins -->
      <hr />
      <table style="width: 100%;">
        <tr>
          <td style="text-align: left;">
            Scripts by Mark Crossley - version <span id="scriptVer"></span>
            <br />
            Gauges drawn using Gerrit Grunwald's <a href="http://harmoniccode.blogspot.com" target="_blank">SteelSeries</a> JavaScript library
          </td>
          <td style="text-align: right;">
            <?php echo $Tr_update.' : '.$update.'<br />'.$Tr_version; ?>
			    <!-- <a href="http://sandaysoft.com/products/cumulus">Cumulus</a> 1.9.2 (1032)          </td> -->
			    <a href="http://sandaysoft.com/products/cumulus">Cumulus</a> v<?php echo $version.' ('.$build.')'; ?></td>
        </tr>
      </table>
      <!-- credits ends -->  
    </div>
		<div class="cont_bot"></div>
    <!-- content ends --> 

	
		<!-- footer begins -->
		<div id="footer">
			<a href="http://validator.w3.org/check/referer" title="This page validates as XHTML 1.0 Transitional"><abbr title="eXtensible HyperText Markup Language">XHTML</abbr></a> | <a href="http://jigsaw.w3.org/css-validator/check/referer" title="This page validates as CSS"><abbr title="Cascading Style Sheets">CSS</abbr></a> | Weather Blues Template by <a href="http://weatherbyyou.com">Weather by You!</a>
			<p style="width:100%; font-family:helvetica; font-size:10px; color:#fff">Copyright  2011. <!-- Do not remove -->Designed by <a href="http://www.metamorphozis.com/free_templates/free_templates.php" title="Free Web Templates">Free Web Templates</a>, coded by <a href="http://www.myfreecsstemplates.com/" title="Free CSS Templates">Free CSS Templates</a><!-- end --></p>
		</div>
		<!-- Code for Site Counters initiated 12/13/2012 -->
	
		 <!-- End of Site Counters Code 12/13/2012 -->
		<!-- footer ends -->
	</div>
</div>
<script type="text/javascript" src="lib/jquery-1.4.3.min.js"></script>
<script type="text/javascript" src="lib/jquery.nivo.slider.pack.js"></script>
<script type="text/javascript">
	$(window).load(function() {
	$('#slider').nivoSlider();
	});
</script>
<script type="text/javascript" src="scripts/tween.min.js"></script>
<script type="text/javascript" src="scripts/language.js"></script>
<script type="text/javascript" src="scripts/steelseries.js"></script>
<script type="text/javascript" src="scripts/gauges.js"></script>
<script type="text/javascript" src="scripts/ddimgtooltip.min.js"></script>
<!-- Piwik --> 
<script type="text/javascript">
 var pkBaseURL = (("https:" == document.location.protocol) ? "https://meteoduquebec.com/piwik/" : "http://meteoduquebec.com/piwik/");
 document.write(unescape("%3Cscript src='" + pkBaseURL + "piwik.js' type='text/javascript'%3E%3C/script%3E"));
 </script><script type="text/javascript">
 try {
 var piwikTracker = Piwik.getTracker(pkBaseURL + "piwik.php", 3);
 piwikTracker.trackPageView();
 piwikTracker.enableLinkTracking();
 } catch( err ) {}
 </script><noscript><p><img src="http://meteoduquebec.com/piwik/piwik.php?idsite=3" style="border:0" alt="" /></p></noscript>
 <!-- End Piwik Tracking Code -->
 <script type="text/javascript"> document.getElementById("bg_clouds").style.height = document.getElementById("bg_clouds").clientHeight + 460 + 'px'; </script>
 </body>
</html>
