<?php
$tpl_version = "1.0";
if (isset($_GET['ver'])) {
  echo $tpl_version;
  exit;
}

session_start(); // start PHP session
// Check if a language has been selected
if (isset($_POST['langue'])) {
  $lang = $_POST['langue'];
  $_SESSION['langue'] = $lang; // store session data
}
elseif(isset($_SESSION['langue'])){
  $lang = $_SESSION['langue']; // Default language
}
else {
  $lang = 'en'; // Default language
  $_SESSION['langue'] = $lang;
}

// Include text and data file
require('lang/text_standard_'.$lang.'.php');
include('wt_data_inc.php');

// Include language files available in lang folder
include('include/local_lang.php');

function getord($d){
//convert to range 0-360 - provided for Cumulus by Mark Crossley
if($d>=360) $d = $d - 360;
$deg = ($d + 11.25) / 22.5;
$ords = Array("N","NNE","NE","ENE","E","ESE","SE","SSE","S","SSW","SW","WSW","W","WNW","NW","NNW");
return($ords[$deg - 1]);
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
	<title><?php echo $location.' | '.$Tr_gau_view; ?></title>
	<meta name="keywords" content="gauges, instruments, abalog" />
	<meta name="description" content="Current weather data, intrumental view" />
	<script src="dbimages/wz_jsgraphics.js" type="text/javascript" ></script>
	<link href="styles.css" rel="stylesheet" type="text/css" />
	<link rel="stylesheet" href="nivo-slider.css" type="text/css" media="screen" />
  <script type="text/javascript" src="lib/dropmenu/dropdowntabs.js"></script>
</head>
<body>
<div id="bg_clouds" style="background-attachment: scroll">
	<div id="main">
		<!-- header and main menu begins -->
    <?php
      require_once('header_menu.php');
    ?>
    <script type="text/javascript">
    // Select menu current item highlight
    //SYNTAX: tabdropdown.init("menu_id", [item menu, start from 0])
    tabdropdown.init("mainmenu", 3)
    </script>
		<div style="height:13px"></div>
		<!-- header ends -->
		<div class="header_top"></div>
		<div class="header">
			<div id="wrapper">
				<div id="slider-wrapper">        
					<div id="slider" class="nivoSlider">
						<!-- <img src="style/header.jpg" alt="" /> -->
						<img src="style/header1.jpg" alt="" />
						<img src="style/header2.jpg" alt=""/>
						<img src="style/header3.jpg" alt="" />
						<!-- <img src="style/header4.jpg" alt="" /> -->
					</div>
				</div>
			</div>
		</div>
		<div class="header_bot"></div>
		<div style="height:15px"></div>
		<!-- content begins -->
		<div class="cont_top"></div>
		<div id="content" style="height: 959px;">
			<div id="gauges_title">
				<h1><em>Weather Blues Template</em>, by Weather by You!</h1>
				<h2><?php echo $Tr_gau_view. ' '.$hour.'h'.$minute; ?></h2>
			</div>
			<!-- WEATHER DATA BEGIN -->
      <p id="tit_compass" class="g_title"><?php echo $Tr_currentwdir; ?></p>
      <p id="tit_speed" class="g_title"><?php echo $Tr_wind; ?></p>
      <p id="tit_winds" class="g_title"><?php echo $TT_Wind; ?></p>
      <p id="tit_dist" class="g_title"><?php echo $Tr_currentwdir; ?></p>
      <div style="clear:both"></div>
			<div id="gauges">
				<table>
				<tr>
					<td><div id="gauges1"></div></td>
					<td><div style="text-align: center" id="barometer">analog</div></td>
					<td><div id="gauges3"></div></td>
				</tr>
				</table>
				<table style="margin: 285px 0px 0px 43px">
				<tr>
					<td><div style="text-align: center" id="wind">wind</div></td>
					<td style="padding-left:404px">
						<img src="images/windrose.png" id="WindRose" alt="" title="" />
					</td>
				</tr>
				</table>
				<div id="gauge_view">
					<table id="gauges_center" cellspacing="0" cellpadding="0">
					<tr>
						<td style="max-width: 100px;">
							<table cellspacing="0" cellpadding="0">
								<tr><td><div id="outsidehumidity">small</div></td></tr>
								<tr><td style="padding-left: 20px"><?php echo $Tr_hum; ?></td></tr>							
							</table>
						</td>
						<td style="padding:0px">
							<!--  Real time wind data -->
							<div id="flash_wind">
								<object classid="clsid:D27CDB6E-AE6D-11cf-96B8-444553540000"
									id="CumulusRealtime" width="600" height="300"
									codebase="http://fpdownload.macromedia.com/get/flashplayer/current/swflash.cab">
									<param name="movie" value="CumulusRealtime.swf" />
									<param name="quality" value="high" />
									<param name="wmode" value="transparent" />
									<param name='flashVars' value='interval=3'/>
									<param name="allowScriptAccess" value="sameDomain" />
									<embed src="CumulusRealtime.swf" quality="high" wmode="transparent"
										width="600" height="300" name="CumulusRealtime" align="center"
										play="true"
										loop="false"
										allowScriptAccess="sameDomain"
										flashVars='interval=3'
										type="application/x-shockwave-flash"
										pluginspage="http://www.adobe.com/go/getflashplayer">
									</embed>
								</object>
							</div>
							<!-- end Real time data -->  
						</td>
						<td style="padding:0px; max-width: 100px;">
							<table>
								<tr><td><div id="cloudbase">small</div></td></tr>
								<tr><td><?php echo $Tr_cloudbase; ?></td></tr>							
							</table>
						</td>
					</tr>
					</table>
				</div>
				<table id="gauges_bot">
				<tr>
					<td><div id="outsidetemp">small</div></td>
					<td><div id="heatindex">small</div></td>
					<td><div id="dewpoint">small</div></td>
					<td><div id="rain">small</div></td>
				</tr><tr>
					<td><?php echo $now_temp; ?></td>
					<td><?php echo $Tr_heatindex; ?></td>
					<td><?php echo $Tr_dew; ?></td>
					<td><?php echo $TT_Rainfall; ?></td>
				</tr>
				</table>
        <div style="clear: both"></div>
        <a id="wdir_pop" href="#" title="header=[<?php echo $Tr_windd.' ('.$pressunit.')'; ?>] body=[<table cellpadding=3 style='font-family: Verdana,Arial,Helvetica; font-size: 9px; color: #000055;'><tr><td><font color=red><b>Current hearing: <?php echo $bearing; ?>&deg;</b></font></td></tr><tr><td><font color=blue><b>10 Min Avg: <?php echo $avgbearing; ?>&deg; (N)</b></font></td></tr></table>] delay=[1000]"></a>
        <a id="baro_pop" href="#" title="header=[<?php echo $Tr_press.' ('.$pressunit.')'; ?>] body=[<table cellpadding=3 style='font-family: Verdana,Arial,Helvetica; font-size: 9px; color: #000055;'><tr><td><font color=red><b>Current: <?php echo $RCpress.$pressunit; ?></b></font></td></tr> <tr><td><font color=green><b><?php echo $Tr_MonthPressL.': '.$RCpressTL.$pressunit; ?></b></font></td></tr><tr><td><font color=blue><b><?php echo $Tr_MonthPressH.': '.$RCpressTH.$pressunit; ?></b></font></td></tr></table>] delay=[1000]"></a>
        <a id="wspeed_pop" href="#" title="header=[<?php echo $Tr_wind.' ('.$windunit.')'; ?>] body=[<table cellpadding=3 style='font-family: Verdana,Arial,Helvetica; font-size: 9px; color: #000055;'><tr><td><b>Needle = <?php echo $Tr_wlatest.': '.$wlatest.' '.$windunit; ?></b></td></tr><tr><td><font color=green><b>10 Minute Avg: <?php echo $wspeed.' '.$windunit; ?></b></font></td></tr><tr><td><font color=red><b>10 Minute Max: <?php echo $windTM.' '.$windunit; ?></b></font></td></tr></table>] delay=[1000]"></a>
        <div style="clear:both"></div>
        <a id="winds_pop" href="#" title="header=[<?php echo $TT_Wind.' ('.$windunit.')'; ?>] body=[<table cellpadding=3 style='font-family: Verdana,Arial,Helvetica; font-size: 9px; color: #000055;'><tr><td><b>Gust: <?php echo $RCwgust.' '.$windunit.' - '.getord($bearing); ?></b></td></tr><tr><td><font color=green><b>Avg: <?php echo $RCwspeed.' '.getord($avgbearing); ?></b></font></td></tr><tr><td><font color=red><b>Max: <?php echo $RCwgustTM.' '.$windunit.' - '.getord($bearingTM); ?></b></font></td></tr></table>] delay=[1000]"></a>
        <a id="wdist_pop" href="#" name="WindRose" title="header=[Wind Histogram] body=[<table cellpadding=3 style='font-family: Verdana,Arial,Helvetica; font-size: 9px; color: #000055;'><tr><td><b>Graphical representation  of wind direction and speed over time<br />(upto last 3600 readings)</b></td></tr></table>] delay=[1000]"></a>
			</div>
		</div>
		<div class="cont_bot"></div>
    <!-- content ends --> 
<script type="text/javascript">
 var mo = new Array("","","","");
 var tempunits = "&deg;C";
 var tempos = new Array("0","999.0","-999.0","Steady","Steady");
 var tempis = new Array("0","","","");
 var tempex1 = new Array("","","","");
 var tempex2 = new Array("","","","");
 var tempdp = new Array("0","","","");
 var temphi = new Array("0.0","","","");
 var tempwc = new Array("0","","","");
 var humos = new Array("0","","","");
 var humis = new Array("00","","","");
 var humex1 = new Array("","","","");
 var humex2 = new Array("","","","");
 var cloudbase = "0 ft";
 var raintoday = new Array("0","mm","0","0.0");
 var winddata = new Array("0","0","0","0","0 km/h,0&#176; at 00:00");
 var hwdir = new Array(0);
 var hwspd = new Array(0,0);
 var wsu = "km/h";
 var bardata = new Array("0000","hPa","Steady","0.0","9999.0","Steady");
 var TempColor = "";
 var HumColor = "";
 var RainColor = "";
 var WindAvgColor = "";
 var WindGustColor = "";
 var WindHistColor = "";
 var CloudTextColor = "";
 var AnalogBaroTextColor = "";
 var AnalogBaroNeedleColor = "";
 var ExtraSensor1Name = "";
 var ExtraSensor2Name = "";
</script>
	<script type="text/javascript" src="dbimages/dashboard.js"></script>
	<script type="text/javascript" src="dbimages/boxover.js"></script>
		<!-- footer begins -->
		<div id="footer">
			<a href="http://validator.w3.org/check/referer" title="This page validates as XHTML 1.0 Transitional"><abbr title="eXtensible HyperText Markup Language">XHTML</abbr></a> | <a href="http://jigsaw.w3.org/css-validator/check/referer" title="This page validates as CSS"><abbr title="Cascading Style Sheets">CSS</abbr></a> | Weather Blues Template by <a href="http://weatherbyyou.com">Weather by You!</a>
			<p style="width:100%; font-family:helvetica; font-size:10px; color:#fff">Copyright  2011. <!-- Do not remove -->Designed by <a href="http://www.metamorphozis.com/free_templates/free_templates.php" title="Free Web Templates">Free Web Templates</a>, coded by <a href="http://www.myfreecsstemplates.com/" title="Free CSS Templates">Free CSS Templates</a><!-- end --></p>
		</div>
		<!-- footer ends -->
	</div>
</div>
<script type="text/javascript" src="lib/jquery-1.4.3.min.js"></script>
<script type="text/javascript" src="lib/jquery.nivo.slider.pack.js"></script>
<script type="text/javascript">
	$(window).load(function() {
	$('#slider').nivoSlider();
	});
</script>

<!-- Piwik --> 
<script type="text/javascript">
 var pkBaseURL = (("https:" == document.location.protocol) ? "https://meteoduquebec.com/piwik/" : "http://meteoduquebec.com/piwik/");
 document.write(unescape("%3Cscript src='" + pkBaseURL + "piwik.js' type='text/javascript'%3E%3C/script%3E"));
 </script><script type="text/javascript">
 try {
 var piwikTracker = Piwik.getTracker(pkBaseURL + "piwik.php", 3);
 piwikTracker.trackPageView();
 piwikTracker.enableLinkTracking();
 } catch( err ) {}
 </script><noscript><p><img src="http://meteoduquebec.com/piwik/piwik.php?idsite=3" style="border:0" alt="" /></p></noscript>
 <!-- End Piwik Tracking Code -->
 <script type="text/javascript"> document.getElementById("bg_clouds").style.height = document.getElementById("bg_clouds").clientHeight + 460 + 'px'; </script>
 </body>
</html>