<?php
$tpl_version = "1.0";
if (isset($_GET['ver'])) {
  echo $tpl_version;
  exit;
}

session_start(); // start PHP session
// Check if a language has been selected
if (isset($_POST['langue'])) {
  $lang = $_POST['langue'];
  $_SESSION['langue'] = $lang; // store session data
}
elseif(isset($_SESSION['langue'])){
  $lang = $_SESSION['langue']; // Default language
}
else {
  $lang = 'en'; // Default language
  $_SESSION['langue'] = $lang;
}

// Include text and data file
require('lang/text_standard_'.$lang.'.php');
include('wt_data_inc.php');

// Include language files available in lang folder
include('include/local_lang.php');
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<meta http-equiv="content-type" content="text/html; charset=utf-8" />
	<title><?php echo $location.' | '.$TT_now; ?></title>
	<meta name="keywords" content="" />
	<meta name="description" content="" />
	<link href="styles.css" rel="stylesheet" type="text/css" />
	<link rel="stylesheet" type="text/css" href="http://www.highcharts.com/highslide/highslide.css" />
	<link rel="stylesheet" href="nivo-slider.css" type="text/css" media="screen" />
    <script type="text/javascript" src="lib/dropmenu/dropdowntabs.js"></script>
     
<script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.8.2/jquery.min.js"></script>
<script type="text/javascript">
function changeImage(im, period) {
  switch (im) {
  case 'temp':
    temperature.update(period);
    break;
  case 'press':
    pressure.update(period);
    break;
  case 'wind':
    wind.update(period);
    break;
  case 'rain':
    rainDaily.update(period);
    break;
  case 'rainMon':
    rainMonthly.update(period);
    break;
  case 'rainYr':
    rainByYear.update();
    break;
  }
}
$(document).ready(function () {
  temperature.update(1);
});
</script>
<style type="text/css">
    .style1 {
    text-align: center;
    }
	a:hover {color:#0000FF;}
	a:active {color:#FF00FF;}
</style>
<style type="text/css">
  	.highslide img {
		cursor: url(http://www.highcharts.com/highslide/graphics/zoomin.cur), pointer !important;
		}
	.highslide-viewport-size {
		position: fixed; width: 100%; height: 100%; left: 0; top: 0;
		}
</style>
</head>
<body>
<div id="bg_clouds">
	<div id="main">
		<!-- header and main menu begins -->
    <?php
      require_once('header_menu.php');
    ?>
    <script type="text/javascript">
    // Select menu current item highlight
    //SYNTAX: tabdropdown.init("menu_id", [item menu, start from 0])
    tabdropdown.init("mainmenu", 3)
    </script>
		<div style="height:13px"></div>
		<!-- header ends -->
		<div class="header_top"></div>
		<div class="header">
			<div id="wrapper">
				<div id="slider-wrapper">        
					<div id="slider" class="nivoSlider">
						<!-- <img src="style/header.jpg" alt="" /> -->
						<img src="style/header2.jpg" alt=""/>
						<img src="style/header3.jpg" alt="" />
						<!-- <img src="style/header4.jpg" alt="" /> -->
					</div>
				</div>
			</div>
			<script type="text/javascript" src="lib/jquery-1.4.3.min.js"></script>
			<script type="text/javascript" src="lib/jquery.nivo.slider.pack.js"></script>
			<script type="text/javascript">
				$(window).load(function() {
				$('#slider').nivoSlider();
				});
			</script>
		</div>
		<div class="header_bot"></div>
		<div style="height:15px"></div>
		<!-- content begins -->
   	<div class="cont_top"></div>
   	<div id="content">
<h1>Historic Weather Graphs</h1>
<h2></h2>
	<br />
	<center>
	<p style="font-size: 135%;">Historic Data Graphs for Temperature, Pressure, Wind <small>(Speed &amp; Gust)</small> &amp; Rainfall</p>
	<p style="font-size: 125%;">Weather Data Recorded since July 8, 2012</p>
	<br />
	<p style="font-size: 95%;">( Graphs are sampled once a Day )</p>  
  <br />
  <div id="container" style="min-width: 450px; height: 400px; margin: 0 auto; padding-top: 20px"></div> 
	    <table width="100%"  border="0" cellpadding="0" cellspacing="0"  align="center">
      <tr>
        <td colspan="5" class="tableseparator_temp" >Click on a button to show a large graph in the panel above.</td>
      </tr>
      <tr>
        <td class="buttonHeader">Temperature</td>
        <td class="buttonHeader">Pressure</td>
        <td class="buttonHeader">Wind</td>
        <td class="buttonHeader">Rain Daily</td>
        <td class="buttonHeader">Rain Monthly</td>
      </tr>
      <tr>
        <td class="td_thumbnails">
          <!-- <input name="btnTemp" style="width: 130px; height: 35px" tabindex="1" type="button" value="1 month" onclick='changeImage("temp", 1);' /></td> -->
		  <a onclick='changeImage("temp", 1);' tabindex="1" href="#">1 Month</a></td>
        <td class="td_thumbnails">
          <!-- <input name="btnPress" style="width: 130px; height: 35px" tabindex="2" type="button" value="1 month" onclick='changeImage("press", 1);' /></td> -->
		  <a onclick='changeImage("press", 1);' tabindex="2" href="#">1 Month</a></td>
        <td class="td_thumbnails">
          <!-- <input name="btnWind" style="width: 130px; height: 35px" tabindex="3" type="button" value="1 month" onclick='changeImage("wind", 1);' /></td> -->
		  <a onclick='changeImage("wind", 1);' tabindex="3" href="#">1 Month</a></td>
        <td class="td_thumbnails">
          <!-- <input name="btnRain" style="width: 130px; height: 35px" tabindex="4" type="button" value="1 month" onclick='changeImage("rain", 1);' /></td> -->
		  <a onclick='changeImage("rain", 1);' tabindex="4" href="#">1 Month</a></td>
        <td class="td_thumbnails">
          <!-- <input name="btnRainMon" style="width: 130px; height: 35px" tabindex="4" type="button" value="1 year" onclick='changeImage("rainMon", 12);' /></td> -->
		  <a onclick='changeImage("rainMon", 12);' tabindex="4" href="#">1 Year</a></td>
      </tr>
      <tr>
        <td class="td_thumbnails">
          <!-- <input name="btnTemp" style="width: 130px; height: 35px" tabindex="1" type="button" value="6 months" onclick='changeImage("temp", 6);' /></td> -->
		  <a onclick='changeImage("temp", 6);' tabindex="1" href="#">6 Month</a></td>
        <td class="td_thumbnails">
          <!-- <input name="btnPress" style="width: 130px; height: 35px" tabindex="2" type="button" value="6 months" onclick='changeImage("press", 6);' /></td> -->
		  <a onclick='changeImage("press", 6);' tabindex="2" href="#">6 Month</a></td>
        <td class="td_thumbnails">
          <!-- <input name="btnWind" style="width: 130px; height: 35px" tabindex="3" type="button" value="6 months" onclick='changeImage("wind", 6);' /></td> -->
		  <a onclick='changeImage("wind", 6);' tabindex="3" href="#">6 Month</a></td>
        <td class="td_thumbnails">
          <!-- <input name="btnRain" style="width: 130px; height: 35px" tabindex="4" type="button" value="3 months" onclick='changeImage("rain", 3);' /></td> -->
		  <a onclick='changeImage("rain", 3);' tabindex="4" href="#">3 Month</a></td>
        <td class="td_thumbnails">
          <!-- <input name="btnRainMon" style="width: 130px; height: 35px" tabindex="4" type="button" value="2 years" onclick='changeImage("rainMon", 24);' /></td> -->
		  <a onclick='changeImage("rainMon", 24);' tabindex="4" href="#">2 Years</a></td>
      </tr>
      <tr>
        <td class="td_thumbnails">
          <!-- <input name="btnTemp" style="width: 130px; height: 35px" tabindex="1" type="button" value="1 year" onclick='changeImage("temp", 12);' /></td> -->
		  <a onclick='changeImage("temp", 12);' tabindex="1" href="#">1 Year</a></td>
        <td class="td_thumbnails">
          <!-- <input name="btnPress" style="width: 130px; height: 35px" tabindex="2" type="button" value="1 year" onclick='changeImage("press", 12);' /></td> -->
		  <a onclick='changeImage("press", 12);' tabindex="2" href="#">1 Year</a></td>
        <td class="td_thumbnails">
          <!-- <input name="btnWind" style="width: 130px; height: 35px" tabindex="3" type="button" value="1 year" onclick='changeImage("wind", 12);' /></td> -->
		  <a onclick='changeImage("wind", 12);' tabindex="3" href="#">1 Year</a></td>
        <td class="td_thumbnails">
          <!-- <input name="btnRain" style="width: 130px; height: 35px" tabindex="4" type="button" value="6 months" onclick='changeImage("rain", 6);' /></td> -->
		  <a onclick='changeImage("rain", 6);' tabindex="4" href="#">6 Month</a></td>
        <td class="td_thumbnails">
          <!-- <input name="btnRainMon" style="width: 130px; height: 35px" tabindex="4" type="button" value="3 years" onclick='changeImage("rainMon", 36);' /></td> -->
		  <a onclick='changeImage("rainMon", 36);' tabindex="4" href="#">3 Years</a></td>
      </tr>
      <tr>
        <td class="td_thumbnails">
          <!-- <input name="btnTemp" style="width: 130px; height: 35px" tabindex="1" type="button" value="2 years" onclick='changeImage("temp", 24);' /></td> -->
		  <a onclick='changeImage("temp", 24);' tabindex="1" href="#">2 Years</a></td>
        <td class="td_thumbnails">
          <!-- <input name="btnPress" style="width: 130px; height: 35px" tabindex="2" type="button" value="2 years" onclick='changeImage("press", 24);' /></td> -->
		  <a onclick='changeImage("press", 24);' tabindex="2" href="#">2 Years</a></td>
        <td class="td_thumbnails">
          <!-- <input name="btnWind" style="width: 130px; height: 35px" tabindex="3" type="button" value="2 years" onclick='changeImage("wind", 24);' /></td> -->
		  <a onclick='changeImage("wind", 24);' tabindex="3" href="#">2 Years</a></td>
        <td class="td_thumbnails">
          <!-- <input name="btnRain" style="width: 130px; height: 35px" tabindex="4" type="button" value="1 year" onclick='changeImage("rain", 12);' /></td> -->
		  <a onclick='changeImage("rain", 12);' tabindex="4" href="#">1 Year</a></td>
        <td class="td_thumbnails">
          <!-- <input name="btnRainMon" style="width: 130px; height: 35px" tabindex="4" type="button" value="By Year" onclick='changeImage("rainYr");' /></td> -->
		  <a onclick='changeImage("rainYr");' tabindex="4" href="#">By Year</a></td>
      </tr>
<!--
      <tr>
        <td class="td_thumbnails">&nbsp;</td>
        <td class="td_thumbnails">&nbsp;</td>
        <td class="td_thumbnails">&nbsp;</td>
        <td class="td_thumbnails">&nbsp;</td>
        <td class="td_thumbnails">&nbsp;</td>
      </tr>
       </tbody>
-->
    </table>
	<br />
	</center>
	<!-- credits -->
	<p class="credits" style="margin:10px 25px 0px 0px; text-align:right">
	<?php echo $Tr_update.' : '.$update.'<br />'.$Tr_version; ?>
	<a href="http://sandaysoft.com/products/cumulus">Cumulus</a> <?php echo $version.' ('.$build.')'; ?>
	<br />
	<?php echo "Scripts by David A Jamieson &amp; Mark Crossley"; ?>
	<!-- <div id="copyright"><p class="credits" style="margin:0px 25px 0px 0px; text-align:right">Menu Copyright &copy; 2012 <a href="http://apycom.com/">Apycom jQuery Menus</a></p> </div> -->
	</p>
	<br />
	<!-- credits end -->
	<div style="clear: both"></div>
</div>
		<div class="cont_bot"></div>

    <!-- content ends --> 
		<!-- footer begins -->
		<div id="footer">
			<a href="http://validator.w3.org/check/referer" title="This page validates as XHTML 1.0 Transitional"><abbr title="eXtensible HyperText Markup Language">XHTML</abbr></a> | <a href="http://jigsaw.w3.org/css-validator/check/referer" title="This page validates as CSS"><abbr title="Cascading Style Sheets">CSS</abbr></a> | Weather Blues Template by <a href="http://weatherbyyou.com">Weather by You!</a>
			<p style="width:100%; font-family:helvetica; font-size:10px; color:#fff">Copyright  2011. <!-- Do not remove -->Designed by <a href="http://www.metamorphozis.com/free_templates/free_templates.php" title="Free Web Templates">Free Web Templates</a>, coded by <a href="http://www.myfreecsstemplates.com/" title="Free CSS Templates">Free CSS Templates</a><!-- end --></p>
		</div>
		<center>
				<p>
        		   <a href="http://validator.w3.org/check?uri=referer"><img src="http://www.w3.org/Icons/valid-xhtml10-blue.png" alt="Valid XHTML 1.0 Transitional" height="31" width="88" /></a>
				   <a href="http://jigsaw.w3.org/css-validator/check/referer">
    			   	  <img style="border:0;width:88px;height:31px"
        		   	  	   src="http://jigsaw.w3.org/css-validator/images/vcss-blue.png"
        		   		   alt="Valid CSS!" />
				   </a>
      			</p>	 
		</center>
		<!-- footer ends -->
  </div>
</div>
<script type="text/javascript" src="highcharts/js/highcharts.js"></script>
<script type="text/javascript" src="highcharts/js/highcharts-more.js"></script>
<script type="text/javascript" src="highcharts/js/themes/grid.js"></script>
<script type="text/javascript" src="http://www.highcharts.com/highslide/highslide-full.min.js"></script>
<script type="text/javascript" src="http://www.highcharts.com/highslide/highslide.config.js"></script>
<script type="text/javascript" src="historicGraphs.js"></script>
<!-- <script type="text/javascript" src="menu.js"></script> -->
<script type="text/javascript"> document.getElementById("bg_clouds").style.height = document.getElementById("bg_clouds").clientHeight + 460 + 'px'; </script>
</body>
</html>