<?php
$tpl_version = "1.0";
if (isset($_GET['ver'])) {
  echo $tpl_version;
  exit;
}

session_start(); // start PHP session
// Check if a language has been selected
if (isset($_POST['langue'])) {
  $lang = $_POST['langue'];
  $_SESSION['langue'] = $lang; // store session data
}
elseif(isset($_SESSION['langue'])){
  $lang = $_SESSION['langue']; // Default language
}
else {
  $lang = 'en'; // Default language
  $_SESSION['langue'] = $lang;
}

// Include text and data file
require('lang/text_standard_'.$lang.'.php');
include('wt_data_inc.php');

// Include language files available in lang folder
include('include/local_lang.php');
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<meta http-equiv="content-type" content="text/html; charset=utf-8" />
	<title><?php echo $location; ?> | Images from our area</title>
	<meta name="keywords" content="Images, photos, slideshow" />
	<meta name="description" content="Images from our area" />
	<link rel="stylesheet" href="nivo-slider.css" type="text/css" media="screen" />
  <link rel="stylesheet" type="text/css" href="lib/gallery/jquery.ad-gallery.css" />
  <link rel="stylesheet" type="text/css" href="lib/gallery/gallery.css" />
	<link href="styles.css" rel="stylesheet" type="text/css" />
	<script type="text/javascript" src="lib/jquery-1.4.3.min.js"></script>
  <script type="text/javascript" src="lib/gallery/jquery.ad-gallery.pack.js"></script>
	<script type="text/javascript" src="lib/jquery.nivo.slider.pack.js"></script>
	<script type="text/javascript">
		$(window).load(function() {
		$('#slider').nivoSlider();
		});
	</script>
  <script type="text/javascript">
	/* <![CDATA[ */
		$(function() {
			var galleries = $('.ad-gallery').adGallery();
		});
	/* ]]> */
	</script>
  <script type="text/javascript" src="lib/dropmenu/dropdowntabs.js"></script>
</head>
<body>
<div id="bg_clouds">
	<div id="main">
		<!-- header and main menu begins -->
    <?php
      require_once('header_menu.php');
    ?>
    <script type="text/javascript">
    // Select menu current item highlight
    //SYNTAX: tabdropdown.init("menu_id", [item menu, start from 0])
    tabdropdown.init("mainmenu", 5)
    </script>
		<div style="height:13px"></div>
		<!-- header ends -->
		<div class="header_top"></div>
		<div class="header">
			<div id="wrapper">
				<div id="slider-wrapper">        
					<div id="slider" class="nivoSlider">
						<!-- <img src="style/header.jpg" alt="" /> -->
						<img src="style/header1.jpg" alt="" />
						<img src="style/header2.jpg" alt=""/>
						<img src="style/header3.jpg" alt="" />
						<!-- <img src="style/header4.jpg" alt="" /> -->
					</div>
				</div>
			</div>
		</div>
		<div class="header_bot"></div>
		<div style="height:15px"></div>
		<!-- content begins -->
		<div class="cont_top"></div>
		<div id="content">
			<h1 style="text-align:center">Some pictures taken in our area</h1>
			<div id="container">
				<div id="gallery" class="ad-gallery">
					<div class="ad-image-wrapper"></div>
					<div class="ad-controls"></div>
					<div class="ad-nav">
						<div class="ad-thumbs">
							<ul class="ad-thumb-list">
								<li>
									<a href="images/slides/1.jpg">
										<img src="images/slides/thumbs/t1.jpg" class="image0" alt="" />
									</a>
								</li>
								<li>
									<a href="images/slides/2.jpg">
										<img src="images/slides/thumbs/t2.jpg" title="A title for 2.jpg" alt="This is a nice, and incredibly descriptive, description of the image 2.jpg" class="image6" />
									</a>
								</li>
								<li>
									<a href="images/slides/3.jpg">
										<img src="images/slides/thumbs/t3.jpg" title="A title for 3.jpg" alt="This is a nice, and incredibly descriptive, description of the image 3.jpg" class="image7" />
									</a>
								</li>
								<li>
									<a href="images/slides/4.jpg">
										<img src="images/slides/thumbs/t4.jpg" title="A title for 4.jpg" alt="This is a nice, and incredibly descriptive, description of the image 4.jpg" class="image8" />
									</a>
								</li>
								<li>
									<a href="images/slides/5.jpg">
										<img src="images/slides/thumbs/t5.jpg" title="A title for 5.jpg" alt="This is a nice, and incredibly descriptive, description of the image 5.jpg" class="image9" />
									</a>
								</li>
								<li>
									<a href="images/slides/6.jpg">
										<img src="images/slides/thumbs/t6.jpg" title="A title for 6.jpg" alt="This is a nice, and incredibly descriptive, description of the image 6.jpg" class="image10" />
									</a>
								</li>
								<li>
									<a href="images/slides/7.jpg">
										<img src="images/slides/thumbs/t7.jpg" title="A title for 7.jpg" alt="This is a nice, and incredibly descriptive, description of the image 7.jpg" class="image11" />
									</a>
								</li>
								<li>
									<a href="images/slides/8.jpg">
										<img src="images/slides/thumbs/t8.jpg" title="A title for 8.jpg" alt="This is a nice, and incredibly descriptive, description of the image 8.jpg" class="image12" />
									</a>
								</li>
								<li>
									<a href="images/slides/9.jpg">
										<img src="images/slides/thumbs/t9.jpg" title="A title for 9.jpg" alt="This is a nice, and incredibly descriptive, description of the image 9.jpg" class="image13" />
									</a>
								</li>
								<li>
									<a href="images/slides/10.jpg">
										<img src="images/slides/thumbs/t10.jpg" title="A title for 10.jpg" alt="This is a nice, and incredibly descriptive, description of the image 10.jpg" class="image1" />
									</a>
								</li>
								<li>
									<a href="images/slides/11.jpg">
										<img src="images/slides/thumbs/t11.jpg" title="A title for 11.jpg" longdesc="http://coffeescripter.com" alt="This is a nice, and incredibly descriptive, description of the image 11.jpg" class="image2" />
									</a>
								</li>
								<li>
									<a href="images/slides/12.jpg">
										<img src="images/slides/thumbs/t12.jpg" title="A title for 12.jpg" alt="This is a nice, and incredibly descriptive, description of the image 12.jpg" class="image3" />
									</a>
								</li>
								<li>
									<a href="images/slides/13.jpg">
										<img src="images/slides/thumbs/t13.jpg" title="A title for 13.jpg" alt="This is a nice, and incredibly descriptive, description of the image 13.jpg" class="image4" />
									</a>
								</li>
								<li>
									<a href="images/slides/14.jpg">
										<img src="images/slides/thumbs/t14.jpg" title="A title for 14.jpg" alt="This is a nice, and incredibly descriptive, description of the image 14.jpg" class="image5" />
									</a>
								</li>
							</ul>
						</div>
					</div>
				</div>
			</div>
		</div>
		<div class="cont_bot"></div>
		<!-- content ends --> 
		<!-- footer begins -->
		<div id="footer">
			<a href="http://validator.w3.org/check/referer" title="This page validates as XHTML 1.0 Transitional"><abbr title="eXtensible HyperText Markup Language">XHTML</abbr></a> | <a href="http://jigsaw.w3.org/css-validator/check/referer" title="This page validates as CSS"><abbr title="Cascading Style Sheets">CSS</abbr></a> | Weather Blues Template by <a href="http://weatherbyyou.com">Weather by You!</a>
			<p style="width:100%; font-family:helvetica; font-size:10px; color:#fff">Copyright  2011. <!-- Do not remove -->Designed by <a href="http://www.metamorphozis.com/free_templates/free_templates.php" title="Free Web Templates">Free Web Templates</a>, coded by <a href="http://www.myfreecsstemplates.com/" title="Free CSS Templates">Free CSS Templates</a><!-- end --></p>
		</div>
		<!-- Code for Site Counters initiated 12/13/2012 -->

		 <!-- End of Site Counters Code 12/13/2012 -->
		<!-- footer ends -->
	</div>
</div>
<script type="text/javascript"> document.getElementById("bg_clouds").style.height = document.getElementById("bg_clouds").clientHeight + 460 + 'px'; </script>
</body>
</html>