<?php
$tpl_version = "1.0";
if (isset($_GET['ver'])) {
  echo $tpl_version;
  exit;
}

session_start(); // start PHP session
// Check if a language has been selected
if (isset($_POST['langue'])) {
  $lang = $_POST['langue'];
  $_SESSION['langue'] = $lang; // store session data
}
elseif(isset($_SESSION['langue'])){
  $lang = $_SESSION['langue']; // Default language
}
else {
  $lang = 'en'; // Default language
  $_SESSION['langue'] = $lang;
}

// Include text and data file
require('lang/text_standard_'.$lang.'.php');
include('wt_month_inc.php');

// Include language files available in lang folder
include('include/local_lang.php');
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<meta http-equiv="content-type" content="text/html; charset=utf-8" />
	<title><?php echo $location; ?> | Extreme monthly</title>
	<meta name="keywords" content="data collection station forecasts LomaPinon" />
	<meta name="description" content="Summary of the data for the current month" />
	<link href="styles.css" rel="stylesheet" type="text/css" />
	<link rel="Stylesheet" type="text/css" href="monthrecords.css" />
	<link rel="stylesheet" href="nivo-slider.css" type="text/css" media="screen" />
	<script type="text/javascript" src="lib/dropmenu/dropdowntabs.js"></script>
	<script type="text/javascript">
		var monthnames = new Array("January","February","March","April","May","June","July","August","September","October","November","December");
		var hightemp = new Array(<?php echo '"'.$ByMonth01TempH.'","'.$ByMonth02TempH.'","'.$ByMonth03TempH.'","'.$ByMonth04TempH.'","'.$ByMonth05TempH.'","'.$ByMonth06TempH.'","'.$ByMonth07TempH.'","'.$ByMonth08TempH.'","'.$ByMonth09TempH.'","'.$ByMonth10TempH.'","'.$ByMonth11TempH.'","'.$ByMonth12TempH.'"'; ?>);
		var hightempT = new Array(<?php echo '"'.$ByMonth01TempHT.'","'.$ByMonth02TempHT.'","'.$ByMonth03TempHT.'","'.$ByMonth04TempHT.'","'.$ByMonth05TempHT.'","'.$ByMonth06TempHT.'","'.$ByMonth07TempHT.'","'.$ByMonth08TempHT.'","'.$ByMonth09TempHT.'","'.$ByMonth10TempHT.'","'.$ByMonth11TempHT.'","'.$ByMonth12TempHT.'"'; ?>);
		var lowtemp = new Array(<?php echo '"'.$ByMonth01TempL.'","'.$ByMonth02TempL.'","'.$ByMonth03TempL.'","'.$ByMonth04TempL.'","'.$ByMonth05TempL.'","'.$ByMonth06TempL.'","'.$ByMonth07TempL.'","'.$ByMonth08TempL.'","'.$ByMonth09TempL.'","'.$ByMonth10TempL.'","'.$ByMonth11TempL.'","'.$ByMonth12TempL.'"'; ?>);
		var lowtempT = new Array(<?php echo '"'.$ByMonth01TempLT.'","'.$ByMonth02TempLT.'","'.$ByMonth03TempLT.'","'.$ByMonth04TempLT.'","'.$ByMonth05TempLT.'","'.$ByMonth06TempLT.'","'.$ByMonth07TempLT.'","'.$ByMonth08TempLT.'","'.$ByMonth09TempLT.'","'.$ByMonth10TempLT.'","'.$ByMonth11TempLT.'","'.$ByMonth12TempLT.'"'; ?>);
		var highDP = new Array(<?php echo '"'.$ByMonth01DewPointH.'","'.$ByMonth02DewPointH.'","'.$ByMonth03DewPointH.'","'.$ByMonth04DewPointH.'","'.$ByMonth05DewPointH.'","'.$ByMonth06DewPointH.'","'.$ByMonth07DewPointH.'","'.$ByMonth08DewPointH.'","'.$ByMonth09DewPointH.'","'.$ByMonth10DewPointH.'","'.$ByMonth11DewPointH.'","'.$ByMonth12DewPointH.'"'; ?>);
		var highDPT = new Array(<?php echo '"'.$ByMonth01DewPointHT.'","'.$ByMonth02DewPointHT.'","'.$ByMonth03DewPointHT.'","'.$ByMonth04DewPointHT.'","'.$ByMonth05DewPointHT.'","'.$ByMonth06DewPointHT.'","'.$ByMonth07DewPointHT.'","'.$ByMonth08DewPointHT.'","'.$ByMonth09DewPointHT.'","'.$ByMonth10DewPointHT.'","'.$ByMonth11DewPointHT.'","'.$ByMonth12DewPointHT.'"'; ?>);
		var lowDP = new Array(<?php echo '"'.$ByMonth01DewPointL.'","'.$ByMonth02DewPointL.'","'.$ByMonth03DewPointL.'","'.$ByMonth04DewPointL.'","'.$ByMonth05DewPointL.'","'.$ByMonth06DewPointL.'","'.$ByMonth07DewPointL.'","'.$ByMonth08DewPointL.'","'.$ByMonth09DewPointL.'","'.$ByMonth10DewPointL.'","'.$ByMonth11DewPointL.'","'.$ByMonth12DewPointL.'"'; ?>);
		var lowDPT = new Array(<?php echo '"'.$ByMonth01DewPointLT.'","'.$ByMonth02DewPointLT.'","'.$ByMonth03DewPointLT.'","'.$ByMonth04DewPointLT.'","'.$ByMonth05DewPointLT.'","'.$ByMonth06DewPointLT.'","'.$ByMonth07DewPointLT.'","'.$ByMonth08DewPointLT.'","'.$ByMonth09DewPointLT.'","'.$ByMonth10DewPointLT.'","'.$ByMonth11DewPointLT.'","'.$ByMonth12DewPointLT.'"'; ?>);
		var highapptemp = new Array(<?php echo '"'.$ByMonth01AppTempH.'","'.$ByMonth02AppTempH.'","'.$ByMonth03AppTempH.'","'.$ByMonth04AppTempH.'","'.$ByMonth05AppTempH.'","'.$ByMonth06AppTempH.'","'.$ByMonth07AppTempH.'","'.$ByMonth08AppTempH.'","'.$ByMonth09AppTempH.'","'.$ByMonth10AppTempH.'","'.$ByMonth11AppTempH.'","'.$ByMonth12AppTempH.'"'; ?>);
		var highapptempT = new Array(<?php echo '"'.$ByMonth01AppTempHT.'","'.$ByMonth02AppTempHT.'","'.$ByMonth03AppTempHT.'","'.$ByMonth04AppTempHT.'","'.$ByMonth05AppTempHT.'","'.$ByMonth06AppTempHT.'","'.$ByMonth07AppTempHT.'","'.$ByMonth08AppTempHT.'","'.$ByMonth09AppTempHT.'","'.$ByMonth10AppTempHT.'","'.$ByMonth11AppTempHT.'","'.$ByMonth12AppTempHT.'"'; ?>);
		var lowapptemp = new Array(<?php echo '"'.$ByMonth01AppTempL.'","'.$ByMonth02AppTempL.'","'.$ByMonth03AppTempL.'","'.$ByMonth04AppTempL.'","'.$ByMonth05AppTempL.'","'.$ByMonth06AppTempL.'","'.$ByMonth07AppTempL.'","'.$ByMonth08AppTempL.'","'.$ByMonth09AppTempL.'","'.$ByMonth10AppTempL.'","'.$ByMonth11AppTempL.'","'.$ByMonth12AppTempL.'"'; ?>);
		var lowapptempT = new Array(<?php echo '"'.$ByMonth01AppTempLT.'","'.$ByMonth02AppTempLT.'","'.$ByMonth03AppTempLT.'","'.$ByMonth04AppTempLT.'","'.$ByMonth05AppTempLT.'","'.$ByMonth06AppTempLT.'","'.$ByMonth07AppTempLT.'","'.$ByMonth08AppTempLT.'","'.$ByMonth09AppTempLT.'","'.$ByMonth10AppTempLT.'","'.$ByMonth11AppTempLT.'","'.$ByMonth12AppTempLT.'"'; ?>);
		var lowchill = new Array(<?php echo '"'.$ByMonth01WChillL.'","'.$ByMonth02WChillL.'","'.$ByMonth03WChillL.'","'.$ByMonth04WChillL.'","'.$ByMonth05WChillL.'","'.$ByMonth06WChillL.'","'.$ByMonth07WChillL.'","'.$ByMonth08WChillL.'","'.$ByMonth09WChillL.'","'.$ByMonth10WChillL.'","'.$ByMonth11WChillL.'","'.$ByMonth12WChillL.'"'; ?>);
		var lowchillT = new Array(<?php echo '"'.$ByMonth01WChillLT.'","'.$ByMonth02WChillLT.'","'.$ByMonth03WChillLT.'","'.$ByMonth04WChillLT.'","'.$ByMonth05WChillLT.'","'.$ByMonth06WChillLT.'","'.$ByMonth07WChillLT.'","'.$ByMonth08WChillLT.'","'.$ByMonth09WChillLT.'","'.$ByMonth10WChillLT.'","'.$ByMonth11WChillLT.'","'.$ByMonth12WChillLT.'"'; ?>);
		var highheatindex = new Array(<?php echo '"'.$ByMonth01HeatIndexH.'","'.$ByMonth02HeatIndexH.'","'.$ByMonth03HeatIndexH.'","'.$ByMonth04HeatIndexH.'","'.$ByMonth05HeatIndexH.'","'.$ByMonth06HeatIndexH.'","'.$ByMonth07HeatIndexH.'","'.$ByMonth08HeatIndexH.'","'.$ByMonth09HeatIndexH.'","'.$ByMonth10HeatIndexH.'","'.$ByMonth11HeatIndexH.'","'.$ByMonth12HeatIndexH.'"'; ?>);
		var highheatindexT = new Array(<?php echo '"'.$ByMonth01HeatIndexHT.'","'.$ByMonth02HeatIndexHT.'","'.$ByMonth03HeatIndexHT.'","'.$ByMonth04HeatIndexHT.'","'.$ByMonth05HeatIndexHT.'","'.$ByMonth06HeatIndexHT.'","'.$ByMonth07HeatIndexHT.'","'.$ByMonth08HeatIndexHT.'","'.$ByMonth09HeatIndexHT.'","'.$ByMonth10HeatIndexHT.'","'.$ByMonth11HeatIndexHT.'","'.$ByMonth12HeatIndexHT.'"'; ?>);
		var highmintemp = new Array(<?php echo '"'.$ByMonth01MinTempH.'","'.$ByMonth02MinTempH.'","'.$ByMonth03MinTempH.'","'.$ByMonth04MinTempH.'","'.$ByMonth05MinTempH.'","'.$ByMonth06MinTempH.'","'.$ByMonth07MinTempH.'","'.$ByMonth08MinTempH.'","'.$ByMonth09MinTempH.'","'.$ByMonth10MinTempH.'","'.$ByMonth11MinTempH.'","'.$ByMonth12MinTempH.'"'; ?>);
		var highmintempT = new Array(<?php echo '"'.$ByMonth01MinTempHT.'","'.$ByMonth02MinTempHT.'","'.$ByMonth03MinTempHT.'","'.$ByMonth04MinTempHT.'","'.$ByMonth05MinTempHT.'","'.$ByMonth06MinTempHT.'","'.$ByMonth07MinTempHT.'","'.$ByMonth08MinTempHT.'","'.$ByMonth09MinTempHT.'","'.$ByMonth10MinTempHT.'","'.$ByMonth11MinTempHT.'","'.$ByMonth12MinTempHT.'"'; ?>);
		var lowmaxtemp = new Array(<?php echo '"'.$ByMonth01MaxTempL.'","'.$ByMonth02MaxTempL.'","'.$ByMonth03MaxTempL.'","'.$ByMonth04MaxTempL.'","'.$ByMonth05MaxTempL.'","'.$ByMonth06MaxTempL.'","'.$ByMonth07MaxTempL.'","'.$ByMonth08MaxTempL.'","'.$ByMonth09MaxTempL.'","'.$ByMonth10MaxTempL.'","'.$ByMonth11MaxTempL.'","'.$ByMonth12MaxTempL.'"'; ?>);
		var lowmaxtempT = new Array(<?php echo '"'.$ByMonth01MaxTempLT.'","'.$ByMonth02MaxTempLT.'","'.$ByMonth03MaxTempLT.'","'.$ByMonth04MaxTempLT.'","'.$ByMonth05MaxTempLT.'","'.$ByMonth06MaxTempLT.'","'.$ByMonth07MaxTempLT.'","'.$ByMonth08MaxTempLT.'","'.$ByMonth09MaxTempLT.'","'.$ByMonth10MaxTempLT.'","'.$ByMonth11MaxTempLT.'","'.$ByMonth12MaxTempLT.'"'; ?>);
		var highhum = new Array(<?php echo '"'.$ByMonth01HumH.'","'.$ByMonth02HumH.'","'.$ByMonth03HumH.'","'.$ByMonth04HumH.'","'.$ByMonth05HumH.'","'.$ByMonth06HumH.'","'.$ByMonth07HumH.'","'.$ByMonth08HumH.'","'.$ByMonth09HumH.'","'.$ByMonth10HumH.'","'.$ByMonth11HumH.'","'.$ByMonth12HumH.'"'; ?>);
		var highhumT = new Array(<?php echo '"'.$ByMonth01HumHT.'","'.$ByMonth02HumHT.'","'.$ByMonth03HumHT.'","'.$ByMonth04HumHT.'","'.$ByMonth05HumHT.'","'.$ByMonth06HumHT.'","'.$ByMonth07HumHT.'","'.$ByMonth08HumHT.'","'.$ByMonth09HumHT.'","'.$ByMonth10HumHT.'","'.$ByMonth11HumHT.'","'.$ByMonth12HumHT.'"'; ?>);
		var lowhum = new Array(<?php echo '"'.$ByMonth01HumL.'","'.$ByMonth02HumL.'","'.$ByMonth03HumL.'","'.$ByMonth04HumL.'","'.$ByMonth05HumL.'","'.$ByMonth06HumL.'","'.$ByMonth07HumL.'","'.$ByMonth08HumL.'","'.$ByMonth09HumL.'","'.$ByMonth10HumL.'","'.$ByMonth11HumL.'","'.$ByMonth12HumL.'"'; ?>);
		var lowhumT = new Array(<?php echo '"'.$ByMonth01HumLT.'","'.$ByMonth02HumLT.'","'.$ByMonth03HumLT.'","'.$ByMonth04HumLT.'","'.$ByMonth05HumLT.'","'.$ByMonth06HumLT.'","'.$ByMonth07HumLT.'","'.$ByMonth08HumLT.'","'.$ByMonth09HumLT.'","'.$ByMonth10HumLT.'","'.$ByMonth11HumLT.'","'.$ByMonth12HumLT.'"'; ?>);
		var hightemprange = new Array(<?php echo '"'.$ByMonth01HighDailyTempRange.'","'.$ByMonth02HighDailyTempRange.'","'.$ByMonth03HighDailyTempRange.'","'.$ByMonth04HighDailyTempRange.'","'.$ByMonth05HighDailyTempRange.'","'.$ByMonth06HighDailyTempRange.'","'.$ByMonth07HighDailyTempRange.'","'.$ByMonth08HighDailyTempRange.'","'.$ByMonth09HighDailyTempRange.'","'.$ByMonth10HighDailyTempRange.'","'.$ByMonth11HighDailyTempRange.'","'.$ByMonth12HighDailyTempRange.'"'; ?>);
		var hightemprangeT = new Array(<?php echo '"'.$ByMonth01HighDailyTempRangeT.'","'.$ByMonth02HighDailyTempRangeT.'","'.$ByMonth03HighDailyTempRangeT.'","'.$ByMonth04HighDailyTempRangeT.'","'.$ByMonth05HighDailyTempRangeT.'","'.$ByMonth06HighDailyTempRangeT.'","'.$ByMonth07HighDailyTempRangeT.'","'.$ByMonth08HighDailyTempRangeT.'","'.$ByMonth09HighDailyTempRangeT.'","'.$ByMonth10HighDailyTempRangeT.'","'.$ByMonth11HighDailyTempRangeT.'","'.$ByMonth12HighDailyTempRangeT.'"'; ?>);
		var lowtemprange = new Array(<?php echo '"'.$ByMonth01LowDailyTempRange.'","'.$ByMonth02LowDailyTempRange.'","'.$ByMonth03LowDailyTempRange.'","'.$ByMonth04LowDailyTempRange.'","'.$ByMonth05LowDailyTempRange.'","'.$ByMonth06LowDailyTempRange.'","'.$ByMonth07LowDailyTempRange.'","'.$ByMonth08LowDailyTempRange.'","'.$ByMonth09LowDailyTempRange.'","'.$ByMonth10LowDailyTempRange.'","'.$ByMonth11LowDailyTempRange.'","'.$ByMonth12LowDailyTempRange.'"'; ?>);
		var lowtemprangeT = new Array(<?php echo '"'.$ByMonth01LowDailyTempRangeT.'","'.$ByMonth02LowDailyTempRangeT.'","'.$ByMonth03LowDailyTempRangeT.'","'.$ByMonth04LowDailyTempRangeT.'","'.$ByMonth05LowDailyTempRangeT.'","'.$ByMonth06LowDailyTempRangeT.'","'.$ByMonth07LowDailyTempRangeT.'","'.$ByMonth08LowDailyTempRangeT.'","'.$ByMonth09LowDailyTempRangeT.'","'.$ByMonth10LowDailyTempRangeT.'","'.$ByMonth11LowDailyTempRangeT.'","'.$ByMonth12LowDailyTempRangeT.'"'; ?>);
		var rainrate = new Array(<?php echo '"'.$ByMonth01RainRateH.'","'.$ByMonth02RainRateH.'","'.$ByMonth03RainRateH.'","'.$ByMonth04RainRateH.'","'.$ByMonth05RainRateH.'","'.$ByMonth06RainRateH.'","'.$ByMonth07RainRateH.'","'.$ByMonth08RainRateH.'","'.$ByMonth09RainRateH.'","'.$ByMonth10RainRateH.'","'.$ByMonth11RainRateH.'","'.$ByMonth12RainRateH.'"'; ?>);
		var rainrateT = new Array(<?php echo '"'.$ByMonth01RainRateHT.'","'.$ByMonth02RainRateHT.'","'.$ByMonth03RainRateHT.'","'.$ByMonth04RainRateHT.'","'.$ByMonth05RainRateHT.'","'.$ByMonth06RainRateHT.'","'.$ByMonth07RainRateHT.'","'.$ByMonth08RainRateHT.'","'.$ByMonth09RainRateHT.'","'.$ByMonth10RainRateHT.'","'.$ByMonth11RainRateHT.'","'.$ByMonth12RainRateHT.'"'; ?>);
		var hourlyrain = new Array(<?php echo '"'.$ByMonth01HourlyRainH.'","'.$ByMonth02HourlyRainH.'","'.$ByMonth03HourlyRainH.'","'.$ByMonth04HourlyRainH.'","'.$ByMonth05HourlyRainH.'","'.$ByMonth06HourlyRainH.'","'.$ByMonth07HourlyRainH.'","'.$ByMonth08HourlyRainH.'","'.$ByMonth09HourlyRainH.'","'.$ByMonth10HourlyRainH.'","'.$ByMonth11HourlyRainH.'","'.$ByMonth12HourlyRainH.'"'; ?>);
		var hourlyrainT = new Array(<?php echo '"'.$ByMonth01HourlyRainHT.'","'.$ByMonth02HourlyRainHT.'","'.$ByMonth03HourlyRainHT.'","'.$ByMonth04HourlyRainHT.'","'.$ByMonth05HourlyRainHT.'","'.$ByMonth06HourlyRainHT.'","'.$ByMonth07HourlyRainHT.'","'.$ByMonth08HourlyRainHT.'","'.$ByMonth09HourlyRainHT.'","'.$ByMonth10HourlyRainHT.'","'.$ByMonth11HourlyRainHT.'","'.$ByMonth12HourlyRainHT.'"'; ?>);
		var dailyrain = new Array(<?php echo '"'.$ByMonth01DailyRainH.'","'.$ByMonth02DailyRainH.'","'.$ByMonth03DailyRainH.'","'.$ByMonth04DailyRainH.'","'.$ByMonth05DailyRainH.'","'.$ByMonth06DailyRainH.'","'.$ByMonth07DailyRainH.'","'.$ByMonth08DailyRainH.'","'.$ByMonth09DailyRainH.'","'.$ByMonth10DailyRainH.'","'.$ByMonth11DailyRainH.'","'.$ByMonth12DailyRainH.'"'; ?>);
		var dailyrainT = new Array(<?php echo '"'.$ByMonth01DailyRainHT.'","'.$ByMonth02DailyRainHT.'","'.$ByMonth03DailyRainHT.'","'.$ByMonth04DailyRainHT.'","'.$ByMonth05DailyRainHT.'","'.$ByMonth06DailyRainHT.'","'.$ByMonth07DailyRainHT.'","'.$ByMonth08DailyRainHT.'","'.$ByMonth09DailyRainHT.'","'.$ByMonth10DailyRainHT.'","'.$ByMonth11DailyRainHT.'","'.$ByMonth12DailyRainHT.'"'; ?>);
		var monthlyrain = new Array(<?php echo '"'.$ByMonth01MonthlyRainH.'","'.$ByMonth02MonthlyRainH.'","'.$ByMonth03MonthlyRainH.'","'.$ByMonth04MonthlyRainH.'","'.$ByMonth05MonthlyRainH.'","'.$ByMonth06MonthlyRainH.'","'.$ByMonth07MonthlyRainH.'","'.$ByMonth08MonthlyRainH.'","'.$ByMonth09MonthlyRainH.'","'.$ByMonth10MonthlyRainH.'","'.$ByMonth11MonthlyRainH.'","'.$ByMonth12MonthlyRainH.'"'; ?>);
		var monthlyrainT = new Array(<?php echo '"'.$ByMonth01MonthlyRainHT.'","'.$ByMonth02MonthlyRainHT.'","'.$ByMonth03MonthlyRainHT.'","'.$ByMonth04MonthlyRainHT.'","'.$ByMonth05MonthlyRainHT.'","'.$ByMonth06MonthlyRainHT.'","'.$ByMonth07MonthlyRainHT.'","'.$ByMonth08MonthlyRainHT.'","'.$ByMonth09MonthlyRainHT.'","'.$ByMonth10MonthlyRainHT.'","'.$ByMonth11MonthlyRainHT.'","'.$ByMonth12MonthlyRainHT.'"'; ?>);
		var dryperiod = new Array(<?php echo '"'.$ByMonth01LongestDryPeriod.'","'.$ByMonth02LongestDryPeriod.'","'.$ByMonth03LongestDryPeriod.'","'.$ByMonth04LongestDryPeriod.'","'.$ByMonth05LongestDryPeriod.'","'.$ByMonth06LongestDryPeriod.'","'.$ByMonth07LongestDryPeriod.'","'.$ByMonth08LongestDryPeriod.'","'.$ByMonth09LongestDryPeriod.'","'.$ByMonth10LongestDryPeriod.'","'.$ByMonth11LongestDryPeriod.'","'.$ByMonth12LongestDryPeriod.'"'; ?>);
		var dryperiodT = new Array(<?php echo '"'.$ByMonth01LongestDryPeriodT.'","'.$ByMonth02LongestDryPeriodT.'","'.$ByMonth03LongestDryPeriodT.'","'.$ByMonth04LongestDryPeriodT.'","'.$ByMonth05LongestDryPeriodT.'","'.$ByMonth06LongestDryPeriodT.'","'.$ByMonth07LongestDryPeriodT.'","'.$ByMonth08LongestDryPeriodT.'","'.$ByMonth09LongestDryPeriodT.'","'.$ByMonth10LongestDryPeriodT.'","'.$ByMonth11LongestDryPeriodT.'","'.$ByMonth12LongestDryPeriodT.'"'; ?>);
		var wetperiod = new Array(<?php echo '"'.$ByMonth01LongestWetPeriod.'","'.$ByMonth02LongestWetPeriod.'","'.$ByMonth03LongestWetPeriod.'","'.$ByMonth04LongestWetPeriod.'","'.$ByMonth05LongestWetPeriod.'","'.$ByMonth06LongestWetPeriod.'","'.$ByMonth07LongestWetPeriod.'","'.$ByMonth08LongestWetPeriod.'","'.$ByMonth09LongestWetPeriod.'","'.$ByMonth10LongestWetPeriod.'","'.$ByMonth11LongestWetPeriod.'","'.$ByMonth12LongestWetPeriod.'"'; ?>);
		var wetperiodT = new Array(<?php echo '"'.$ByMonth01LongestWetPeriodT.'","'.$ByMonth02LongestWetPeriodT.'","'.$ByMonth03LongestWetPeriodT.'","'.$ByMonth04LongestWetPeriodT.'","'.$ByMonth05LongestWetPeriodT.'","'.$ByMonth06LongestWetPeriodT.'","'.$ByMonth07LongestWetPeriodT.'","'.$ByMonth08LongestWetPeriodT.'","'.$ByMonth09LongestWetPeriodT.'","'.$ByMonth10LongestWetPeriodT.'","'.$ByMonth11LongestWetPeriodT.'","'.$ByMonth12LongestWetPeriodT.'"'; ?>);
		var highgust = new Array(<?php echo '"'.$ByMonth01GustH.'","'.$ByMonth02GustH.'","'.$ByMonth03GustH.'","'.$ByMonth04GustH.'","'.$ByMonth05GustH.'","'.$ByMonth06GustH.'","'.$ByMonth07GustH.'","'.$ByMonth08GustH.'","'.$ByMonth09GustH.'","'.$ByMonth10GustH.'","'.$ByMonth11GustH.'","'.$ByMonth12GustH.'"'; ?>);
		var highgustT = new Array(<?php echo '"'.$ByMonth01GustHT.'","'.$ByMonth02GustHT.'","'.$ByMonth03GustHT.'","'.$ByMonth04GustHT.'","'.$ByMonth05GustHT.'","'.$ByMonth06GustHT.'","'.$ByMonth07GustHT.'","'.$ByMonth08GustHT.'","'.$ByMonth09GustHT.'","'.$ByMonth10GustHT.'","'.$ByMonth11GustHT.'","'.$ByMonth12GustHT.'"'; ?>);
		var highwind = new Array(<?php echo '"'.$ByMonth01WindH.'","'.$ByMonth02WindH.'","'.$ByMonth03WindH.'","'.$ByMonth04WindH.'","'.$ByMonth05WindH.'","'.$ByMonth06WindH.'","'.$ByMonth07WindH.'","'.$ByMonth08WindH.'","'.$ByMonth09WindH.'","'.$ByMonth10WindH.'","'.$ByMonth11WindH.'","'.$ByMonth12WindH.'"'; ?>);
		var highwindT = new Array(<?php echo '"'.$ByMonth01WindHT.'","'.$ByMonth02WindHT.'","'.$ByMonth03WindHT.'","'.$ByMonth04WindHT.'","'.$ByMonth05WindHT.'","'.$ByMonth06WindHT.'","'.$ByMonth07WindHT.'","'.$ByMonth08WindHT.'","'.$ByMonth09WindHT.'","'.$ByMonth10WindHT.'","'.$ByMonth11WindHT.'","'.$ByMonth12WindHT.'"'; ?>);
		var highwindrun = new Array(<?php echo '"'.$ByMonth01WindRunH.'","'.$ByMonth02WindRunH.'","'.$ByMonth03WindRunH.'","'.$ByMonth04WindRunH.'","'.$ByMonth05WindRunH.'","'.$ByMonth06WindRunH.'","'.$ByMonth07WindRunH.'","'.$ByMonth08WindRunH.'","'.$ByMonth09WindRunH.'","'.$ByMonth10WindRunH.'","'.$ByMonth11WindRunH.'","'.$ByMonth12WindRunH.'"'; ?>);
		var highwindrunT = new Array(<?php echo '"'.$ByMonth01WindRunHT.'","'.$ByMonth02WindRunHT.'","'.$ByMonth03WindRunHT.'","'.$ByMonth04WindRunHT.'","'.$ByMonth05WindRunHT.'","'.$ByMonth06WindRunHT.'","'.$ByMonth07WindRunHT.'","'.$ByMonth08WindRunHT.'","'.$ByMonth09WindRunHT.'","'.$ByMonth10WindRunHT.'","'.$ByMonth11WindRunHT.'","'.$ByMonth12WindRunHT.'"'; ?>);
		var highpress = new Array(<?php echo '"'.$ByMonth01PressH.'","'.$ByMonth02PressH.'","'.$ByMonth03PressH.'","'.$ByMonth04PressH.'","'.$ByMonth05PressH.'","'.$ByMonth06PressH.'","'.$ByMonth07PressH.'","'.$ByMonth08PressH.'","'.$ByMonth09PressH.'","'.$ByMonth10PressH.'","'.$ByMonth11PressH.'","'.$ByMonth12PressH.'"'; ?>);
		var highpressT = new Array(<?php echo '"'.$ByMonth01PressHT.'","'.$ByMonth02PressHT.'","'.$ByMonth03PressHT.'","'.$ByMonth04PressHT.'","'.$ByMonth05PressHT.'","'.$ByMonth06PressHT.'","'.$ByMonth07PressHT.'","'.$ByMonth08PressHT.'","'.$ByMonth09PressHT.'","'.$ByMonth10PressHT.'","'.$ByMonth11PressHT.'","'.$ByMonth12PressHT.'"'; ?>);
		var lowpress = new Array(<?php echo '"'.$ByMonth01PressL.'","'.$ByMonth02PressL.'","'.$ByMonth03PressL.'","'.$ByMonth04PressL.'","'.$ByMonth05PressL.'","'.$ByMonth06PressL.'","'.$ByMonth07PressL.'","'.$ByMonth08PressL.'","'.$ByMonth09PressL.'","'.$ByMonth10PressL.'","'.$ByMonth11PressL.'","'.$ByMonth12PressL.'"'; ?>);
		var lowpressT = new Array(<?php echo '"'.$ByMonth01PressLT.'","'.$ByMonth02PressLT.'","'.$ByMonth03PressLT.'","'.$ByMonth04PressLT.'","'.$ByMonth05PressLT.'","'.$ByMonth06PressLT.'","'.$ByMonth07PressLT.'","'.$ByMonth08PressLT.'","'.$ByMonth09PressLT.'","'.$ByMonth10PressLT.'","'.$ByMonth11PressLT.'","'.$ByMonth12PressLT.'"'; ?>);
		
		function changeData(month) {
			document.getElementById('MonthName').innerHTML = monthnames[month];
			document.getElementById('TempH').innerHTML = hightemp[month];
			document.getElementById('TempHT').innerHTML = hightempT[month];
			document.getElementById('TempL').innerHTML = lowtemp[month];
			document.getElementById('TempLT').innerHTML = lowtempT[month];
			document.getElementById('DewPointH').innerHTML = highDP[month];
			document.getElementById('DewPointHT').innerHTML = highDPT[month];
			document.getElementById('DewPointL').innerHTML = lowDP[month];
			document.getElementById('DewPointLT').innerHTML = lowDPT[month];
			document.getElementById('AppTempH').innerHTML = highapptemp[month];
			document.getElementById('AppTempHT').innerHTML = highapptempT[month];
			document.getElementById('AppTempL').innerHTML = lowapptemp[month];
			document.getElementById('AppTempLT').innerHTML = lowapptempT[month];
			document.getElementById('WChillL').innerHTML = lowchill[month];
			document.getElementById('WChillLT').innerHTML = lowchillT[month];
			document.getElementById('HeatIndexH').innerHTML = highheatindex[month];
			document.getElementById('HeatIndexHT').innerHTML = highheatindexT[month];
			document.getElementById('MinTempH').innerHTML = highmintemp[month];
			document.getElementById('MinTempHT').innerHTML = highmintempT[month];
			document.getElementById('MaxTempL').innerHTML = lowmaxtemp[month];
			document.getElementById('MaxTempLT').innerHTML = lowmaxtempT[month];
			document.getElementById('HumH').innerHTML = highhum[month];
			document.getElementById('HumHT').innerHTML = highhumT[month];
			document.getElementById('HumL').innerHTML = lowhum[month];
			document.getElementById('HumLT').innerHTML = lowhumT[month];
			document.getElementById('HighDailyTempRange').innerHTML = hightemprange[month];
			document.getElementById('HighDailyTempRangeT').innerHTML = hightemprangeT[month];
			document.getElementById('LowDailyTempRange').innerHTML = lowtemprange[month];
			document.getElementById('LowDailyTempRangeT').innerHTML = lowtemprangeT[month];
			document.getElementById('RainRateH').innerHTML = rainrate[month];
			document.getElementById('RainRateHT').innerHTML = rainrateT[month];
			document.getElementById('HourlyRainH').innerHTML = hourlyrain[month];
			document.getElementById('HourlyRainHT').innerHTML = hourlyrainT[month];
			document.getElementById('DailyRainH').innerHTML = dailyrain[month];
			document.getElementById('DailyRainHT').innerHTML = dailyrainT[month];
			document.getElementById('MonthlyRainH').innerHTML = monthlyrain[month];
			document.getElementById('MonthlyRainHT').innerHTML = monthlyrainT[month];
			document.getElementById('LongestDryPeriod').innerHTML = dryperiod[month];
			document.getElementById('LongestDryPeriodT').innerHTML = dryperiodT[month];
			document.getElementById('LongestWetPeriod').innerHTML = wetperiod[month];
			document.getElementById('LongestWetPeriodT').innerHTML = wetperiodT[month];
			document.getElementById('GustH').innerHTML = highgust[month];
			document.getElementById('GustHT').innerHTML = highgustT[month];
			document.getElementById('WindH').innerHTML = highwind[month];
			document.getElementById('WindHT').innerHTML = highwindT[month];
			document.getElementById('WindRunH').innerHTML = highwindrun[month];
			document.getElementById('WindRunHT').innerHTML = highwindrunT[month];
			document.getElementById('PressL').innerHTML = lowpress[month];
			document.getElementById('PressLT').innerHTML = lowpressT[month];
			document.getElementById('PressH').innerHTML = highpress[month];
			document.getElementById('PressHT').innerHTML = highpressT[month];
		} 
	</script>	
</head>
<body>
<div id="bg_clouds">
	<div id="main">
		<!-- header and main menu begins -->
		<?php
			require_once('header_menu.php');
		?>
		<script type="text/javascript">
			// Select menu current item highlight
			//SYNTAX: tabdropdown.init("menu_id", [item menu, start from 0])
			tabdropdown.init("mainmenu", 3)
		</script>
		<div style="height:13px"></div>
		<!-- header ends -->
		<div class="header_top"></div>
		<div class="header">
			<div id="wrapper">
				<div id="slider-wrapper">        
					<div id="slider" class="nivoSlider">
						<!-- <img src="style/header.jpg" alt="" /> -->
						<img src="style/header2.jpg" alt=""/>
						<img src="style/header3.jpg" alt="" />
						<!-- <img src="style/header4.jpg" alt="" /> -->
					</div>
				</div>
			</div>
			
		</div>
		<div class="header_bot"></div>
		<div style="height:15px"></div>
		<!-- content begins -->
		<div class="cont_top"></div>
		<div id="content" style="height:880px">
			<div class="sep_vert" style="height:850px">
				<!--  28 gras et Papyrus 84 italiq gras couleur 5594DE, transparent 160   -->
				<img src="style/monthlyrecord.gif" alt="" title="" style="padding:0px 0px 45px 30px" />
				<!-- WEATHER DATA BEGIN Raavi 28 gras et Papyrus 84 italiq gras-->
				<div id="right_h" style=width:620px; margin-right: 50px">"
					<!-- WEATHER DATA BEGIN -->
					<h2 class="titre"><?php echo $location.'  Monthly Records'; ?></h2>
					<h1 class="big_title">Records for the month of <span id="MonthName">January</span></h1>
					<div id="sub_menu">
						<!-- <p>Select period:&nbsp;</p> -->
						<ul style="margin-bottom: 0px;">
							<li class="active"><a href="#" class="sub_item" onclick="changeData(0)">January</a></li>
							<li><a href="#" class="sub_item" onclick="changeData(1)">February</a></li>
							<li><a href="#" class="sub_item" onclick="changeData(2)">March</a></li>
							<li><a href="#" class="sub_item" onclick="changeData(3)">April</a></li>
							<li><a href="#" class="sub_item" onclick="changeData(4)">May</a></li>
							<li><a href="#" class="sub_item" onclick="changeData(5)">June</a></li>
						</ul>
						<ul style="margin-top: 10px;">
							<li><a href="#" class="sub_item" onclick="changeData(6)">July</a></li>
							<li><a href="#" class="sub_item" onclick="changeData(7)">August</a></li>
							<li><a href="#" class="sub_item" onclick="changeData(8)">September</a></li>
							<li><a href="#" class="sub_item" onclick="changeData(9)">October</a></li>
							<li><a href="#" class="sub_item" onclick="changeData(10)">November</a></li>
							<li><a href="#" class="sub_item" onclick="changeData(11)">December</a></li>
						</ul>
					</div>
					<!-- WEATHER DATA BEGIN -->
					<!-- '.$recordsbegandate.' holds actual records began date -->
					<p><em><?php echo $Tr_recordsbegandate.' March 09, 2013. '.$Tr_recorbd_text; ?></em></p>
					<?php
						include('monthrecords_txt.php');
					?>
					<br />
				</div>
			</div>
			<p class="credits" style="margin-left:-10px">
				<?php echo $Tr_update.' : '.$update.'<br />'.$Tr_version; ?>
				<a href="http://sandaysoft.com/products/cumulus">Cumulus</a> <?php echo $version.' ('.$build.')'; ?>
			</p>
		</div>
		<div class="cont_bot"></div>
		<!-- content ends --> 
		<!-- footer begins -->
			<div id="footer">
      <!-- Do not remove -->
			<a href="http://validator.w3.org/check/referer" title="This page validates as XHTML 1.0 Transitional"><abbr title="eXtensible HyperText Markup Language">XHTML</abbr></a> | <a href="http://jigsaw.w3.org/css-validator/check/referer" title="This page validates as CSS"><abbr title="Cascading Style Sheets">CSS</abbr></a> | Weather Blues Template by <a href="http://weatherbyyou.com">Weather by You!</a>
			<p style="width:100%; font-family:helvetica; font-size:10px; color:#fff">Copyright  2011. Designed by <a href="http://www.metamorphozis.com/free_templates/free_templates.php" title="Free Web Templates">Free Web Templates</a>, coded by <a href="http://www.myfreecsstemplates.com/" title="Free CSS Templates">Free CSS Templates</a></p>
      <!-- Do not remove end -->
		</div>
		<!-- footer ends -->
	</div>
</div>

<!--  Best place to put javascript to speed up page loading  -->
<script type="text/javascript" src="lib/jquery-1.4.3.min.js"></script>
<script type="text/javascript" src="lib/jquery.nivo.slider.pack.js"></script>
<script type="text/javascript">
	$(window).load(function() {
	$('#slider').nivoSlider();
	});
</script>
<script type="text/javascript"> document.getElementById("bg_clouds").style.height = document.getElementById("bg_clouds").clientHeight + 460 + 'px'; </script>
</body>
</html>










