<?php
#
#  readDayfile.php - Last modified: 17 Sep 2012 @ 03h30
#
##############################################################################################
#   Cumulus Weather Blues Template Version 3
##############################################################################################
#
#   Project:    Cumulus Weather Blues Templates Version 3
#   Module:     readDayfile.php
#   Purpose:    Processes the 'dayfile.txt' data file and produces a table layout
#   Authors:    David A Jamieson <findmyinbox.co.uk>
#               Ray Beriau <tzouhalem.net>
#
#   Copyright:  (c) 2010-2012 Grantown on Spey
#   Copyright:  (c) 2006-2012 Tzouhalem-Maple Bay
#
##############################################################################################
#
#   This program is free software; you can redistribute it and/or
#   modify it under the terms of the GNU General Public License as
#   published by the Free Software Foundation; either version 2 of
#   the License, or (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
#
#   See the GNU General Public License for more details - write to the
#     Free Software Foundation, Inc.,
#     59 Temple Place - Suite 330, Boston, MA  02111-1307, USA
#
##############################################################################################
#  This document uses Space 2 Settings (two spaces for each tab - tab character never used)
##############################################################################################
#
error_reporting(E_NOTICE);
//error_reporting(E_ERROR);
//error_reporting(E_ALL);
//error_reporting(E_ALL ^ E_NOTICE ^ E_WARNING);
//error_reporting(E_ALL ^ E_NOTICE);
ini_set('display_errors', 1);
//ini_set('log_errors', 1);
//ini_set('error_log', dirname(__FILE__) . '/error_log.txt');
#
##############################################################################################
#
#   Annual Weather Data Summary
#   Author: David A Jamieson (daj@findmyinbox.co.uk)
#   Version: 1.1
#   Updated: 15 March 2011
#
#   You may use and modify this code freely.
#   However your should continue to acknowledge the original author
#
##############################################################################################
$Version = "3.0 - 17-Sep-2012 Cumulus Weather Blues Version 3";
##############################################################################################
#
// relative location of the directory where the 'dayfile.txt' file is located
$dayDir           = './';
// name of the 'dayfile.txt' file if using a different name
$dayfile          = 'dayfile.txt';
//
// separator used between the values (in the 'dayfile.txt' file)
$field_delimiter  = ',';
// separator used between the date value (in the 'dayfile.txt' file)
$date_delimiter   = '/';
//
// default unit of measure used for the temperature [ C | F ] - do not add the degree symbol
$uomTemp          = 'F';
// default below temperature
// (will only highlight if the temperature is less than or equal to)
$tempbelow        = '32';
// set to 'true' to activate the highlighting of the temperature (set above)
$showtempbelow    = true;
//
// default above temperature
// (will only highlight if the temperature is greater than or equal to)
$tempabove        = '90';
// set to 'true' to activate the highlighting of the temperature (set above)
$showtempabove    = true;
//
// default unit of measure used for the rain [ mm | in ]
$uomRain          = 'in';
// default above day rain
// (will only highlight if the day rain is greater than or equal to)
$dayrainabove     = '.40';
// set to 'true' to activate the highlighting of the day rain (set above)
$showdayrain      = true;
//
// default unit of measure used for the wind gusts [ km/h | kts | m/s | mph ]
$uomWind          = 'mph';
// default above wind gust
// (will only highlight if the wind gust is greater than or equal to)
$gustsabove       = '20';
// set to 'true' to activate the highlighting of the wind gusts (set above)
$showgusts        = true;
//
// default unit of measure used for the barometric pressure [ hPa | mb | inHg ]
$uomBaro          = 'inHg';
// default below barometric pressure
// (will only highlight if the barometric pressure is less than or equal to)
$barobelow        = '29.53';
// set to 'true' to activate the highlighting of the barometric pressure (set above)
$showbarobelow    = true;
//
// default above barometric pressure
// (will only highlight if the barometric pressure is greater than or equal to)
$baroabove        = '30.50';
// set to 'true' to activate the highlighting of the barometric pressure (set above)
$showbaroabove    = true;
//
// set to 'true' to activate the column/row highlighter
$highlighter  = true;
//
// =======================================================================
// NOTHING TO EDIT BELOW
// =======================================================================
//
if (isset($_REQUEST['view']) and strtolower($_REQUEST['view']) == 'source') {
  $filenameReal = __FILE__;
  $fileRealname = $_SERVER["SCRIPT_FILENAME"];
  header("Pragma: public");
  header("Cache-Control: private");
  header("Cache-Control: no-cache, must-revalidate");
  header("Content-type: text/plain");
  header("Accept-Ranges: bytes");
  header("Content-Length: filesize($filenameReal)");
  header("Connection: close");
  readfile("$filenameReal");
  exit;
}
//
// START
$data = array();
//
$label_items  = array(
  array('mintemp', 'Min Temp', 'Daily Minimum (Low) Temperature', true), // position 04
  array('maxtemp', 'Max Temp', 'Daily Maximum (High) Temperature', true), // position 06
  array('avgtemp', 'Avg Temp', 'Daily Average (Mean) Temperature', true), // position 15
  array('minmaxt', 'Min/Max Temp', 'Daily Minimum/Maximum Temperature', true), // positions 04 & 06
  array('dayrain', 'Day Rain', 'Total Daily Rainfall', true), // position 14
  array('windgust', 'Wind Gust', 'Highest Daily Wind Gust', true), // position 01
  array('minslpres', 'Min Pres', 'Minimum Sea Level Barometric Pressure', true), // position 08
  array('maxslpres', 'Max Pres', 'Maximum Sea Level Barometric Pressure', true) // position 10
);
//
$mn = array('Jan', 'Feb', 'Mar', 'Apr', 'May', 'Jun', 'Jul', 'Aug', 'Sep', 'Oct', 'Nov', 'Dec');
//
// was a specific year passed in the URL - if not use current year
if (isset($_GET['year']) and $_GET['year']<>'') { $tableYear = $_GET['year']; }
else { $tableYear = date("Y"); }
if ($tableYear < 2000 or $tableYear > date("Y")) { $tableYear = date("Y"); }
//
// was a specific dataset passed in the URL - if not use maxtemp
if (isset($_GET['data']) and isset($_GET['data'])<>'') { $dataSet = $_GET['data']; }
else { $dataSet = 'mintemp'; }
if ((strripos('|mintemp|maxtemp|avgtemp|minmaxt|dayrain|windgust|minslpres|maxslpres|',$dataSet)) === false) { $dataSet = 'mintemp'; }
//
if (!isset($doInclude)) { $localOnly = true ; }
else if (preg_match('|readDayfile|', $_SERVER["PHP_SELF"])) { $localOnly = true; }
else { $localOnly = false ; }
if ($localOnly) { // only printed in local mode
  echo "<!DOCTYPE html>\n";
  echo "<html lang=\"en\">\n";
  echo "<head>\n";
  echo "  <meta charset=\"UTF-8\">\n";
  echo "  <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"/>\n";
  echo "  <title>Annual Weather Data Summary</title>\n";
  echo "  <link href=\"./css/readDayfile.css\" rel=\"stylesheet\" type=\"text/css\"/>\n";
  if ($highlighter) {
    echo "  <script src=\"./js/tablecloth.js\"></script>\n";
  }
  echo "</head>\n";
  echo "<body>\n";
  echo "<!-- START of Annual Weather Data Summary in Local Mode ##### -->\n";
  echo "<!-- Version $Version -->\n";
  echo "<article>\n";
}
else {
  echo "<!-- Annual Weather Data Summary version $Version -->\n";
}
//
// now draw the table and get the data for the year
drawCalendar ( $tableYear, $dataSet );
//
if ($localOnly) { // only printed in local mode
  echo "</article>\n";
  echo "<!-- END of Annual Weather Data Summary in Local Mode ##### -->\n";
  echo "</body>\n";
  echo "</html>\n";
}
//
//=========================================================================
// Start of functions
//=========================================================================
//
function drawCalendar ( $tableYear, $whatdata ) {
  global $label_items, $mn, $data, $year_list;
  global $uomTemp, $showtempbelow, $tempbelow, $showtempabove, $tempabove;
  global $uomRain, $showdayrain, $dayrainabove;
  global $uomWind, $showgusts, $gustsabove;
  global $uomBaro, $showbarobelow, $barobelow, $showbaroabove, $baroabove;

  // First read the dayfile, and fill the data array
  readDayfile ( $tableYear, $whatdata );

// Now, the menu above the table
  $dayfilecol2 = 0;
  $tablelayout = "<div id=\"table_container\">\n";
  $tablelayout .= "  <div id=\"table_menu\">\n";
  $tablelayout .= "    <ul>\n";
  for ($i = 0; $i < count($label_items); $i++)  {
    if ($label_items[$i][3] == true) {
      $tablelayout .= "      <li><a href=\"".$_SERVER['PHP_SELF']."?year=".$tableYear."&amp;data=".$label_items[$i][0]."\">".$label_items[$i][1]."</a></li>\n";
    }
  }
  $tablelayout .= "    </ul>\n";
  $tablelayout .= "    <div id=\"table_name\">\n";
  $tablelayout .= "      <div class=\"table_title\">";
  switch ($whatdata) {
    case 'mintemp'    : $tablelayout .= $label_items[0][2]; $dayfilecol = 4; break;
    case 'maxtemp'    : $tablelayout .= $label_items[1][2]; $dayfilecol = 6; break;
    case 'avgtemp'    : $tablelayout .= $label_items[2][2]; $dayfilecol = 15; break;
    case 'minmaxt'    : $tablelayout .= $label_items[3][2]; $dayfilecol = 4; $dayfilecol2 = 6; break;
    case 'dayrain'    : $tablelayout .= $label_items[4][2]; $dayfilecol = 14; break;
    case 'windgust'   : $tablelayout .= $label_items[5][2]; $dayfilecol = 1; break;
    case 'minslpres'  : $tablelayout .= $label_items[6][2]; $dayfilecol = 8; break;
    case 'maxslpres'  : $tablelayout .= $label_items[7][2]; $dayfilecol = 10; break;
    default           : $tablelayout .= '?';
  }
  $tablelayout .= "</div>\n";
  $tablelayout .= "    </div><!-- end id table_name -->\n";
  $tablelayout .= "  </div><!-- end id table_menu -->\n";
  // start the table
  $tablelayout .= "  <table>\n";
  $tablelayout .= "    <colgroup>\n";
  $tablelayout .= "      <col style=\"width: 75px;\" />\n";
  for ($m = 1; $m <= 12; $m++) {
    $tablelayout .= "      <col style=\"width: 72px;\" />\n";
  }
  $tablelayout .= "    </colgroup>\n";
  $tablelayout .= "    <tr>\n";
  // put the year top left of table
  $tablelayout .= "      <th class=\"btlr\">\n";
  $tablelayout .= $year_list;
  $tablelayout .= "      </th>\n";
  // put the month names along the top
  for ($m = 1; $m <= 12; $m++) {
    if ($m < 12) { $tablelayout .= "      <th>".$mn[$m-1]."</th>\n"; }
    else { $tablelayout .= "      <th class=\"btrr\">".$mn[$m-1]."</th>\n"; }
  }
  $tablelayout .= "    </tr>\n";
  // build the calendar
  for($d = 1; $d <= 31; $d++) {
    $tablelayout .= "    <tr>\n";
    if ($d < 31) { $tablelayout .= "      <th id=\"tr".$d."\">".$d."</th>\n"; }
    else { $tablelayout .= "      <th class=\"bblr\" id=\"tr".$d."\">".$d."</th>\n"; }
    for ($m = 1; $m <= 12; $m++) {
      if ($d <= cal_days_in_month(CAL_GREGORIAN, $m, $tableYear)) {
        $id = $d."-".$mn[(int)$m-1];
        $tablelayout .= "      <td id=\"tr".$d."-tc".$m."\" class=\"datacell";
        // if we have two sets of data, use small font (ie: Min/Max)
        if ($dayfilecol2 > 0) { $tablelayout .= " smallfont"; }
        $data_arr[0] = '';
        $data_arr[1] = '';
        if (array_key_exists($id, $data)) {
          $data_arr = explode('|', $data[$id]);
          $data_value0 = floatval(str_replace(',', '.', $data_arr[0]));
          // set the class for day rainfall or wind gust with 0 values
          if (($whatdata == 'dayrain' or $whatdata == 'windgust') and ($data_value0 == 0)) { $tablelayout .= " zerovalue"; }
          // set the class for below and above pre-set values in temperature
          if ($whatdata == 'maxtemp' or $whatdata == 'mintemp' or $whatdata == 'avgtemp') {
            if ($showtempbelow and ($data_value0 <= $tempbelow)) { $tablelayout .= " belowtemp"; }
            if ($showtempabove and ($data_value0 >= $tempabove)) { $tablelayout .= " abovetemp"; }
            $showdayrain = false; $showgusts = false;
            $showbarobelow = false; $showbaroabove = false;
          }
          if ($whatdata == 'minmaxt') {
            $showtempbelow = false; $showtempabove = false;
            $showdayrain = false; $showgusts = false;
            $showbarobelow = false; $showbaroabove = false;
          }
          // set the class for above pre-set values in day rain
          if ($whatdata == 'dayrain') {
            if ($showdayrain and ($data_value0 >= $dayrainabove)) { $tablelayout .= " dayrainabove"; }
            $showtempbelow = false; $showtempabove = false;
            $showgusts = false;
            $showbarobelow = false; $showbaroabove = false;
          }
          // set the class for above pre-set values in wind gusts
          if ($whatdata == 'windgust') {
            if ($showgusts and ($data_value0 >= $gustsabove)) { $tablelayout .= " gustsabove"; }
            $showtempbelow = false; $showtempabove = false;
            $showdayrain = false;
            $showbarobelow = false; $showbaroabove = false;
          }
          if ($whatdata == 'minslpres' or $whatdata == 'maxslpres') {
            if ($showbarobelow and ($data_value0 <= $barobelow)) { $tablelayout .= " belowbaro"; }
            if ($showbaroabove and ($data_value0 >= $baroabove)) { $tablelayout .= " abovebaro"; }
            $showtempbelow = false; $showtempabove = false;
            $showdayrain = false; $showgusts = false;
          }
        }
        else {
          if ($data_arr[0] == '') { $tablelayout .= " empty"; }
        }
        $tablelayout .= "\">";
        $tablelayout .= $data_arr[0];
        // if we have two sets of data (ie: Min/Max)
        if ($dayfilecol2 > 0) {
          if ($data_arr[1] <> "") {
            $tablelayout .= "/".$data_arr[1];
          }
        }
      }
      else {
        $tablelayout .= "      <td class=\"nondate\"";
        $tablelayout .= ">&nbsp;";
      }
      $tablelayout .= "</td>\n";
    }
    $tablelayout .= "    </tr>\n";
  }
  $tablelayout .= "  </table>\n";
  $tablelayout .= " <div id=\"table_msg1\">Click on a cell to highlight a column/row. Click outside the table to cancel the highlight for the column/row.</div>\n";

  if ($showtempbelow or $showtempabove or $showdayrain or $showgusts or $showbarobelow or $showbaroabove) {
    $tablelayout .= " <div id=\"table_msg2\">";
    if ($showtempbelow or $showtempabove) {
      if ($showtempbelow) { $tablelayout .= "A <span class=\"belowtemp\">BLUE</span> number indicates a temperature below or at $tempbelow&deg;$uomTemp."; }
      if ($showtempbelow and $showtempabove) { $tablelayout .= "&nbsp;&nbsp;"; }
      if ($showtempabove) { $tablelayout .= "A <span class=\"abovetemp\">RED</span> number indicates a temperature above or at $tempabove&deg;$uomTemp."; }
    }
    if ($showdayrain) {
      $tablelayout .= "A <span class=\"dayrainabove\">GREEN</span> number indicates rain for the day above or at $dayrainabove $uomRain.";
      $tablelayout .= "&nbsp;&nbsp;";
      $tablelayout .= "A <span class=\"zerovalue\">GRAY</span> number indicates no rain for the day.";
    }
    if ($showgusts) {
      $tablelayout .= "A <span class=\"gustsabove\">BROWN</span> number indicates wind gusts above or at $gustsabove $uomWind.";
      $tablelayout .= "&nbsp;&nbsp;";
      $tablelayout .= "A <span class=\"zerovalue\">GRAY</span> number indicates no wind gust.";
    }
    if ($showbarobelow or $showbaroabove) {
      if ($showbarobelow) { $tablelayout .= "A <span class=\"belowbaro\">BLUE</span> number indicates a pressure below or at $barobelow $uomBaro."; }
      if ($showbarobelow and $showbaroabove) { $tablelayout .= "&nbsp;&nbsp;"; }
      if ($showbaroabove) { $tablelayout .= "A <span class=\"abovebaro\">RED</span> number indicates a pressure above or at $baroabove $uomBaro."; }
    }
    $tablelayout .= "</div>\n";
  }
  $tablelayout .= " <div id=\"table_credits\">&copy; ".date('Y')." Grantown on Spey and Tzouhalem-Maple Bay</div>\n";
  $tablelayout .= "</div><!-- end id table_container -->\n";
  // print the table
  echo $tablelayout;
}

//=========================================================================
function readDayfile ( $tableYear, $whatdata ) {
  global $dayDir, $dayfile, $field_delimiter, $date_delimiter, $mn, $data, $year_list;
  $current_year = '';
  $year_list = "        <select onchange=\"Javascript:location.href=this.value\">\n";
  $dayfile = $dayDir.$dayfile;
  $handle = @fopen($dayfile, "r");
  if ($handle) {
    while (!feof($handle)) {
      $buffer = fgets($handle);
      $buf_arr = explode($field_delimiter, $buffer);
      if ($buf_arr[0] != "") {
        // the date -- will split using date_delimiter
        $datearr = explode($date_delimiter, $buf_arr[0]);
        // only store the data for the year we want
        if ('20'.$datearr[2] == $tableYear) {
          // build an id to the array
          $id = (int)$datearr[0] . "-" . $mn[(int)$datearr[1]-1];
          $dayfilecol=0;
          $dayfilecol2=0;
          switch ($whatdata) {
            case 'mintemp'    : $dayfilecol = 4; break;
            case 'maxtemp'    : $dayfilecol = 6; break;
            case 'avgtemp'    : $dayfilecol = 15; break;
            case 'minmaxt'    : $dayfilecol = 4; $dayfilecol2 = 6; break;
            case 'dayrain'    : $dayfilecol = 14; break;
            case 'windgust'   : $dayfilecol = 1; break;
            case 'minslpres'  : $dayfilecol = 8; break;
            case 'maxslpres'  : $dayfilecol = 10; break;
          }
          if ($dayfilecol2 == 0) { $data[$id] = $buf_arr[$dayfilecol]; }
          else { $data[$id] = $buf_arr[$dayfilecol] .'|'.$buf_arr[$dayfilecol2]; }
        }
        if ('20'.$datearr[2] != $current_year) {
          $current_year = '20'.$datearr[2];
          $year_list .= "          <option value=\"";
          $year_list .= $_SERVER['PHP_SELF']."?year=20".$datearr[2]."&amp;data=".$whatdata."\"";
          if ('20'.$datearr[2] == $tableYear) { $year_list .= " selected=\"selected\""; }
          $year_list .= '>20'.$datearr[2]."</option>\n";
        }
      }
    }
    fclose($handle);
    $year_list .= "        </select>\n";
  }
  else { exit("<h1>Failed to open the day file '$dayfile'!</h1>"); }
}
//=========================================================================
?>