/*
 * A language file for the starter SteelSeries gauges page for Cumulus
 *
 * Created by Mark Crossley, July 2011
 * French translation by Ray of Tzouhalem-Maple Bay Weather
 *
 * Version: 1.6.6
 * Updated: 09 March 2012
 *
 * File encoding = UTF-8
*/

//======================================================================================================================
// English
//======================================================================================================================
var LANG_EN = {
    canvasnosupport : "No HTML5 Canvas support in your browser... Sorry..." + "<br>" +
                        "Try upgrading your browser to a more recent version - nearly all browsers support Canvas now, even IE9!" + "<br><br>" +
                        "Redirecting you to an 'old' gauges page...",
    //
    led_title : "Remote sensor status unkonwn",
    led_title_ok : "Remote sensor OK",
    led_title_lost : "Remote sensor contact lost!",
    led_title_unknown : "Remote sensor status unknown!",
    led_title_offline: "The weather station is currently offline.",
    //
    statusStr : "Loading...",
    StatusMsg : "Downloading...",
    StatusHttp : "HTTP Request Failed",
    StatusRetry : "Retrying...",
    StatusRetryIn : "Retry in...",
    StatusNoHttpObj : "Error: Failed to create XMLHttp object",
    StatusTimeout : "Timed out",
    StatusPageLimit : "Page auto-update limit reached, refresh your browser to continue",
    //
    StatusLastUpdate : "Last update",
    StatusMinsAgo : "minutes ago",
    StatusHoursAgo : "hours ago",
    StatusDaysAgo : "days ago",
    //
    realtimeCorrupt : "Text file download corrupted! Retrying...",
    //
    timer : "seconds",
    at : "at",
    //
    // MAXIMUM number of characters that can be used for the 'title' variables (such as 'LANG_EN.temp_title_out')
    //        11 characters  ===="12345678901"====  11 characters
    //
    temp_title_out : "Temperature",
    temp_title_in : "Inside Temp",
    temp_out_info : "Outside Temperature",
    temp_out_web : "Outside",
    temp_in_info : "Inside Temperature",
    temp_in_web : "Inside",
    temp_trend_info : "Temperature Trend",
    //
    dew_title : "Dew Point",
    dew_info : "Dew Point",
    dew_web : "Dew Point",
    apptemp_title : "Apparent",
    apptemp_info : "Apparent (Feels-Like) Temperature",
    apptemp_web : "Apparent",
    chill_title : "Wind Chill",
    chill_info : "Wind Chill",
    chill_web : "Wind Chill",
    heat_title : "Heat Index",
    heat_info : "Heat Index",
    heat_web : "Heat Index",
    humdx_title : "Humidex",
    humdx_info : "Humidex",
    humdx_web : "Humidex",
    //
    rain_title : "Rainfall",
    rrate_title : "Rain Rate",
    rrate_info : "Rain Rate",
    LastRain_info : "Last Rain",
    LastRainedT_info : "Today at",
    LastRainedY_info : "Yesterday at",
    //
    hum_title_out : "Humidity",
    hum_title_in : "Inside Hum",
    hum_out_info : "Outside Humidity",
    hum_in_info : "Inside Humidity",
    hum_out_web : "Outside",
    hum_in_web : "Inside",
    //
    baro_title : "Pressure",
    baro_info : "Barometric Pressure",
    baro_trend_info : "Pressure Trend",
    //
    wind_title : "Wind Speed",
    tenminavg_title : "Average Wind Speed",
    tenminavgwind_info : "Average wind speed (10 min)",
    maxavgwind_info : "Maximum average wind speed",
    tenmingust_info : "Gust (10 min)",
    maxgust_info : "Maximum gust",
    latest_title : "Latest Wind",
    latestwind_info : "Latest Wind Speed",
    bearing_info : "Bearing",
    latest_web : "Latest",
    tenminavg_web : "Average",
    //
    uv_title : "UV Index",
    uv_levels : ["None",
                 "No danger",
                 "Little risk",
                 "High risk",
                 "Very high risk",
                 "Extreme risk"],
    uv_headlines : ["No measurable UV Index",
                    "No danger to the average person",
                    "Little risk of harm from unprotected sun exposure",
                    "High risk of harm from unprotected sun exposure",
                    "Very high risk of harm from unprotected sun exposure",
                    "Extreme risk of harm from unprotected sun exposure"],
    uv_details :["It is still night time or it is a very cloudy day.",

                 "Wear sunglasses on bright days; use sunscreen if there is snow on the ground,<br>" +
                 "which reflects UV radiation, or if you have particularly fair skin.",

                 "Wear sunglasses and use SPF 30+ sunscreen, cover the body with clothing and<br>" +
                 "a hat, and seek shade around midday when the sun is most intense.",

                 "Wear sunglasses and use SPF 30+ sunscreen, cover the body with sun protective<br>" +
                 "clothing and a wide-brim hat, and reduce time in the sun from two hours before<br>" +
                 "to three hours after solar noon (roughly 11:00 AM to 4:00 PM during summer in<br>" +
                 "zones that observe daylight saving time).",

                 "Wear SPF 30+ sunscreen, a shirt, sunglasses, and a hat.<br>" +
                 "Do not stay out in the sun for too long.",

                 "Take all precautions, including: wear sunglasses and use SPF 30+ sunscreen,<br>" +
                 "cover the body with a long-sleeve shirt and trousers, wear a very broad hat, and<br>" +
                 "avoid the sun from two hours before to three hours after solar noon (roughly 11:00 AM<br>" +
                 "to 4:00 PM during summer in zones that observe daylight saving time)."],
    //
    solar_title : "Solar Radiation",
    solar_currentMax : "Current theoretical maximum reading",
    solar_ofMax : "of maximum",
    solar_maxToday : "Today's maximum reading",
    //
    lowest_info : "Lowest",
    highest_info : "Highest",
    lowestF_info : "Lowest",     // for proper translation of feminine words
    highestF_info : "Highest",    // for proper translation of feminine words
    //
    RisingVeryRapidly : "Rising very rapidly",
    RisingQuickly : "Rising quickly",
    Rising : "Rising",
    RisingSlowly : "Rising slowly",
    Steady : "Steady",
    FallingSlowly : "Falling slowly",
    Falling : "Falling",
    FallingQuickly : "Falling quickly",
    FallingVeryRapidly : "Falling very rapidly",
   //
    maximum_info : "Maximum",
    max_hour_info : "Max per hour",
    minimum_info : "Minimum",
    //
    coords : ["N", "NNE", "NE", "ENE", "E", "ESE", "SE", "SSE", "S", "SSW", "SW", "WSW", "W", "WNW", "NW", "NNW"],
    compass : ["N", "NE", "E", "SE", "S", "SW", "W", "NW"],
    months : ["Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul", "Aug", "Sep", "Oct", "Nov", "Dec"]
};

//======================================================================================================================
// French
//======================================================================================================================
var LANG_FR = {
    canvasnosupport : "Votre navigateur ne supporte pas le format HTML5 Canvas... Désolé..." + "<br>" +
                        "Une mise-à-jour de votre navigateur à une version plus récente est requise - presque tous les navigateurs supportent HTML5 Canvas maintenant, incluant IE9!" + "<br><br>" +
                        "Je vous redirige vers le site contenant les 'vieux' jauges...",
    //
    led_title : "Statut du capteur - inconnu",
    led_title_ok : "Statut du capteur - OK",
    led_title_lost : "Contact avec le capteur - interrompu!",
    led_title_unknown : "Contact avec le capteur - inconnu!",
    led_title_offline : "La station météo est couramment en différé (hors-ligne).",
    //
    statusStr : "Chargement...",
    StatusMsg : "Téléchargement...",
    StatusHttp : "La demande de HTTP a échoué",
    StatusRetry : "Réessai...",
    StatusRetryIn : "Tentative dans...",
    StatusNoHttpObj : "Erreur: J'ai échoué à créer l'objet de XMLHtt",
    StatusTimeout : "Timed out",
    StatusPageLimit : "Page auto-update limit reached, refresh your browser to continue",
    //
    StatusLastUpdate : "Dernière mise-à-jour - il y a",
    StatusMinsAgo : "minutes",
    StatusHoursAgo : "heures",
    StatusDaysAgo : "jours",
    //
    realtimeCorrupt : "Le téléchargement du fichier texte est corrompu! Réessai...",
    //
    timer : "secondes",
    at : "à",
    //
    temp_title_out : "Température",
    temp_title_in : "Intérieure",
    temp_out_info : "Température à l'extérieure",
    temp_out_web : "À l'extérieur",
    temp_in_info : "Température à l'intérieure",
    temp_in_web : "À l'intérieur",
    temp_trend_info : "Tendances de la température",
    //
    dew_title : "Point de rosée",
    dew_info : "Point de rosée",
    dew_web : "Point de rosée",
    //
    apptemp_title : "Sensation",
    apptemp_info : "Sensation - température apparent",
    apptemp_web : "Sensation",
    //
    chill_title : "Refroidissement",
    chill_info : "Refroidissement éolien",
    chill_web : "Refroidissement",
    //
    heat_title : "Indice chaleur",
    heat_info : "Indice chaleur",
    heat_web : "Indice chaleur",
    //
    humdx_title : "Humidex",
    humdx_info : "Humidex",
    humdx_web : "Humidex",
    //
    rain_title : "Précipitations",
    rrate_title : "Débit de pluie",
    rrate_info : "Débit de pluie",
    LastRain_info : "Dernière pluie",
    LastRainedT_info : "aujourd'hui à",
    LastRainedY_info : "hier à",
    //
    hum_title_out : "Humidité",
    hum_title_in : "Intérieure",
    hum_out_info : "Humidité à l'extérieure",
    hum_in_info : "Humidité à l'intérieure",
    hum_out_web : "À l'extérieur",
    hum_in_web : "À l'intérieur",
    //
    baro_title : "Pression",
    baro_info : "Pression barométrique",
    baro_trend_info : "tendance barométrique",
    //
    wind_title : "Vitesse du vent",
    tenminavg_title : "Vitesse moyenne",
    tenminavgwind_info : "Vitesse moyenne du vent (10 min)",
    maxavgwind_info : "vitesse moyenne maximale",
    tenmingust_info : "Bourrasques (10 min)",
    maxgust_info : "bourrasques maximales",
    latest_title : "Vent récent",
    latestwind_info : "Vitesse du vent (récente)",
    bearing_info : "direction",
    latest_web : "Récente",
    tenminavg_web : "Moyenne",
    //
    uv_title : "l’indice UV",
    uv_levels :["Nul",
                "Bas",
                "Modéré",
                "Élevé",
                "Très élevé",
                "Extrême"],
    uv_headlines : ["Aucun indice UV quantifiable",
                    "Sans danger pour l'individu moyen",
                    "Peu de risques de brûlures causées par l'exposition au soleil sans protection",
                    "Haut risque de brûlures d'une exposition au soleil sans protection",
                    "Risque très élevé de brûlure d'une exposition au soleil sans protection",
                    "Très grand risque de brûlure d'une exposition au soleil sans protection"],
    uv_details : ["Il fait encore nuit ou c'est une journée très nuageuse.",

                  "Protection solaire minime requise pour les activités normales.<br>" +
                  "Portez des lunettes de soleil les journées ensoleillées. Si vous restez à l’extérieur pendant plus d’une heure, couvrez-vous et utilisez un écran solaire.<br>" +
                  "La réflexion par la neige peut presque doubler l’intensité des rayons UV. Portez des lunettes de soleil et appliquez un écran solaire sur votre visage.",

                  "Prenez des précautions : couvrez-vous, portez un chapeau et des lunettes de soleil, et appliquez un écran solaire, surtout si vous êtes à l’extérieur pendant 30 minutes ou plus.<br>" +
                  "Cherchez l’ombre à la mi-journée, quand le soleil est à son plus fort.",

                  "Protection nécessaire – les rayons UV endommagent la peau et peuvent causer des coups de soleil.<br>" +
                  "Évitez le soleil entre 11 h et 16 h et prenez toutes les précautions : cherchez l’ombre, couvrez-vous, portez un chapeau et des lunettes de soleil, et appliquez un écran solaire.",

                  "Précautions supplémentaires nécessaires : la peau non protégée sera endommagée et peut brûler rapidement.<br>" +
                  "Évitez le soleil entre 11 h et 16 h et cherchez l’ombre, couvrez-vous, portez un chapeau et des lunettes de soleil, et appliquez un écran solaire.",

                  "Les valeurs de 11 ou plus sont très rares. Cependant, l’indice UV peut atteindre 14 ou plus dans les tropiques ou le sud des États-Unis.<br>" +
                  "Prenez toutes les précautions. La peau non protégée sera endommagée et peut brûler en quelques minutes. Évitez le soleil entre 11 h et 16 h, couvrez-vous, portez un chapeau et des lunettes de soleil, et appliquez un écran solaire.<br>" +
                  "N’oubliez pas que le sable blanc et les autres surfaces brillantes réfléchissent les rayons UV et augmentent l’exposition à ces rayons."],
    //
    solar_title : "Rayonnement solaire",
    solar_currentMax : "Lecture maximale théorique courant",
    solar_ofMax : "du maximum",
    solar_maxToday : "Lecture maximale de la journée",
    //
    lowest_info : "le plus bas",
    highest_info : "le plus élevé",
    lowestF_info : "la plus basse",  // for proper translation of feminine words
    highestF_info : "la plus élevée", // for proper translation of feminine words
    //
    RisingVeryRapidly : "Augmente très rapidement",
    RisingQuickly : "Augmente rapide",
    Rising : "Augmente",
    RisingSlowly : "Augmente lentement",
    Steady : "Constante",
    FallingSlowly : "Baisse lentement",
    Falling : "Baisse",
    FallingQuickly : "Baisser rapidement",
    FallingVeryRapidly : "Baisser très rapidement",
    //
    maximum_info : "maximum",
    max_hour_info : "maximum par heure",
    minimum_info : "minimum",
    //
    coords : ["N", "NNE", "NE", "ENE", "E", "ESE", "SE", "SSE", "S", "SSO", "SO", "OSO", "O", "ONO", "NO", "NNO"],
    compass : ["N", "NE", "E", "SE", "S", "SO", "O", "NO"],
    months : ["Jan", "Fév", "Mar", "Avr", "Mai", "Jui", "Jul", "Aoû", "Sep", "Oct", "Nov", "Déc"]
};

//======================================================================================================================
// Deutsch
//======================================================================================================================
var LANG_DE = {
    canvasnosupport : "Ihr Browser hat keine HTML5 Canvas Unterstützung." + "<br>" +
                      "Aktualisieren Sie Ihren Browser auf eine neuere Version, fast alle Browser Unterstützen Canvas Heute, sogar der IE9!" + "<br><br>" +
                      "Sie werden auf eine 'Alte' Gauge Seite umgeleitet...",
    //
    led_title : "Fern Sensor status unbekannt",
    led_title_ok : "Fern Sensor OK",
    led_title_lost : "Fern Sensor kontakt verloren!",
    led_title_unknown : "Fern Sensor status unbekannt!",
    led_title_offline : "Die Wetterstation ist derzeit Offline.",
    //
    statusStr : "Lade...",
    StatusMsg : "Herunterladen...",
    StatusHttp : "HTTP Anfrage Fehlgeschlagen",
    StatusRetry : "Wiederhole...",
    StatusRetryIn : "Wiederhole in...",
    StatusNoHttpObj : "Fehler: XMLHttp objekt erstellen Fehlgeschlagen",
    StatusTimeout : "Timed out",
    StatusPageLimit : "Page auto-update limit reached, refresh your browser to continue",
    //
    StatusLastUpdate : "Letzte Aktualisierung",
    StatusMinsAgo : "vor Minuten",
    StatusHoursAgo : "vor Stunden",
    StatusDaysAgo : "vor Tagen",
    //
    realtimeCorrupt : "Text Datei ist Beschädigt! Wiederhole...",
    //
    timer : "Sekunden",
    at : "at",
    //
    temp_title_out : "Temperatur",
    temp_title_in : "Innen Temp",
    temp_out_info : "Außen Temperatur",
    temp_out_web : "Außen",
    temp_in_info : "Innen Temperatur",
    temp_in_web : "Innen",
    temp_trend_info : "Temperatur Trend",
    //
    dew_title : "Taupunkt",
    dew_info : "Taupunkt",
    dew_web : "Taupunkt",
    apptemp_title : "Gefühlt",
    apptemp_info : "Gefühlte Temperatur",
    apptemp_web : "Gefühlt",
    chill_title : "Windkälte",
    chill_info : "Windkälte",
    chill_web : "Windkälte",
    heat_title : "Hitzeindex",
    heat_info : "Hitzeindex",
    heat_web : "Hitzeindex",
    humdx_title : "Humidex",
    humdx_info : "Humidex",
    humdx_web : "Humidex",
    //
    rain_title : "Regen",
    rrate_title : "Regenmenge",
    rrate_info : "Regenmenge",
    LastRain_info : "Letzter Regen",
    LastRainedT_info : "Heute um",
    LastRainedY_info : "Gestern um",
    //
    hum_title_out : "Luftfeuchte",
    hum_title_in : "Luftfeuchte In",
    hum_out_info : "Außen Luftfeuchte",
    hum_in_info : "Innen Luftfeuchte",
    hum_out_web : "Außen",
    hum_in_web : "Innen",
    //
    baro_title : "Luftdruck",
    baro_info : "Barometrischer Luftdruck",
    baro_trend_info : "Luftdruck Trend",
    //
    wind_title : "Windstärke ",
    tenminavg_title : "Mittelwert Wind Geschwindigkeit",
    tenminavgwind_info : "Mittelwert Wind Geschwindigkeit (10 min)",
    maxavgwind_info : "Höchster Mittelwert Wind Geschwindigkeit",
    tenmingust_info : "Windböe (10 min)",
    maxgust_info : "Höchste Windböe",
    latest_title : "Aktueller Wind",
    latestwind_info : "Aktuelle Wind Geschwindigkeit",
    bearing_info : "Windrichtung",
    latest_web : "Aktuell",
    tenminavg_web : "Mittelwert",
    //
    uv_title : "UV-Index",
    uv_levels : ["None",
                 "niedrig",
                 "mittel",
                 "hoch",
                 "sehr hoch",
                 "Extreme risk"],
    uv_headlines : ["No measurable UV Index",
                    "No danger to the average person",
                    "Little risk of harm from unprotected sun exposure",
                    "High risk of harm from unprotected sun exposure",
                    "Very high risk of harm from unprotected sun exposure",
                    "Extreme risk of harm from unprotected sun exposure"],
    uv_details : ["It is still night time or it is a very cloudy day.",

                  "keine Schutzmaßnahmen erforderlich.",

                  "Schutzmaßnahmen erforderlich:<br>" +
                  "während der Mittagsstunden Schatten aufsuchen<br>" +
                  "entsprechende Kleidung, Hut und Sonnenbrille nötig, für unbedeckte Haut Sonnenschutzmittel mit ausreichendem Lichtschutzfaktor (mindestens doppelter UV-Index) verwenden.",

                  "Schutzmaßnahmen erforderlich:<br>" +
                  "während der Mittagsstunden Schatten aufsuchen<br>" +
                  "entsprechende Kleidung, Hut und Sonnenbrille nötig, für unbedeckte Haut Sonnenschutzmittel mit ausreichendem Lichtschutzfaktor (mindestens doppelter UV-Index) verwenden.",

                  "Erweiterte Schutzmaßnahmen erforderlich:<br>" +
                  "Aufenthalt außerhalb des Hauses in den Mittagsstunden möglichst vermeiden<br>" +
                  "auf jeden Fall Schatten aufsuchen<br>" +
                  "entsprechende Kleidung, Hut und Sonnenbrille unbedingt nötig, für unbedeckte Haut unbedingt Sonnenschutzmittel mit ausreichendem Lichtschutzfaktor (mindestens doppelter UV-Index) verwenden.",

                  "Take all precautions, including: wear sunglasses and use SPF 30+ sunscreen,<br>" +
                  "cover the body with a long-sleeve shirt and trousers, wear a very broad hat, and<br>" +
                  "avoid the sun from two hours before to three hours after solar noon (roughly 11:00 AM<br>" +
                  "to 4:00 PM during summer in zones that observe daylight saving time)."],
    //
    solar_title : "Solar Radiation",
    solar_currentMax : "Current theoretical maximum reading",
    solar_ofMax : "of maximum",
    solar_maxToday : "Today's maximum reading",
    //
    lowest_info : "Niedrigster",
    highest_info : "Höchster",
    lowestF_info : "Niedrigste",     // for proper translation of feminine words
    highestF_info : "Höchste",    // for proper translation of feminine words
    //
    RisingVeryRapidly : "Steigende sehr schnell",
    RisingQuickly : "Steigende schnell",
    Rising : "Steigende",
    RisingSlowly : "Steigende langsam",
    Steady : "Konstante",
    FallingSlowly : 'Fallenden langsam',
    Falling : "Fallenden",
    FallingQuickly : "Fallenden schnell",
    FallingVeryRapidly : "Fallenden sehr schnell",
    //
    maximum_info : "Maximal",
    max_hour_info : "Max pro Stunde",
    minimum_info : "Minimum",
    //
    coords : ["N", "NNO", "NO", "ONO", "O", "OSO", "SO", "SSO", "S", "SSW", "SW", "WSW", "W", "WNW", "NW", "NNW"],
    compass : ["N", "NO", "O", "SO", "S", "SW", "W", "NW"],
    months : ["Jan", "Feb", "Mar", "Apr", "Mai", "Jun", "Jul", "Aug", "Sep", "Okt", "Nov", "Dez"]
};

//======================================================================================================================
// Nederlands (Dutch)
//======================================================================================================================
var LANG_NL = {
    canvasnosupport : "Uw browser ondersteunt geen HTML5 Canvas ." + "<br>" +
                      "Gebruik een modernere browser of de laatste versie, bijna alle browsers ondersteunen Canvas nu, zelfs IE9!" + "<br><br>" +
                      "Je wordt naar de 'oude' meters omgeleid ...",
    //
    led_title : "Buitensensor status onbekend",
    led_title_ok : "Buitensensor OK",
    led_title_lost : "Buitensensor kontakt verloren!",
    led_title_unknown : "Buitensensor status onbekend!",
    led_title_offline : "Het weerstation is momenteel offline.",
    //
    statusStr : "Laden..",
    StatusMsg : "Data laden...",
    StatusHttp : "HTTP Aanvraag afgebroken",
    StatusRetry : "Opnieuw...",
    StatusRetryIn : "Opnieuw over..",
    StatusNoHttpObj : "Fout: XMLHttp object herstellen niet gelukt",
    StatusTimeout : "Tijd voorbij",
    StatusPageLimit : "Pagina auto-update limiet bereikt, pagina herladen om door te gaan",
    //
    StatusLastUpdate : "Laatste bijwerking",
    StatusMinsAgo : "minuten geleden",
    StatusHoursAgo : "uren geleden",
    StatusDaysAgo : "dagen geleden",
    //
    realtimeCorrupt : "Data zijn fout! Opnieuw...",
    //
    timer : "Seconden",
    at : "om",
    //
    temp_title_out : "Temperatuur",
    temp_title_in : "Binnentemperatuur",
    temp_out_info : "Buitentemperatuur",
    temp_out_web : "Buiten",
    temp_in_info : "Binnentemperatuur",
    temp_in_web : "Binnen",
    temp_trend_info : "Temperatuurtrend",
    //
    dew_title : "Dauwpunt",
    dew_info : "Dauwpunt",
    dew_web : "Dauwpunt",
    apptemp_title : "Gevoel",
    apptemp_info : "Gevoelstemperatuur",
    apptemp_web : "Gevoel",
    chill_title : "Windchill",
    chill_info : "Windchill",
    chill_web : "Windchill",
    heat_title : "Hitteindex",
    heat_info : "Hitteindex",
    heat_web : "Hitteindex",
    humdx_title : "Humidex",
    humdx_info : "Humidex",
    humdx_web : "Humidex",
    //
    rain_title : "Regen",
    rrate_title : "Regenintensiteit",
    rrate_info : "Regenintensiteit",
    LastRain_info : "Laatste regen",
    LastRainedT_info : "Vandaag om",
    LastRainedY_info : "Gisteren om",
    //
    hum_title_out : "Luchtvocht",
    hum_title_in : "Luchtvochtigheid binnen",
    hum_out_info : "Luchtvochtigheid buiten",
    hum_in_info : "Luchtvochtigheid binnen",
    hum_out_web : "Buiten",
    hum_in_web : "Binnen",
    //
    baro_title : "Luchtdruk",
    baro_info : "Barometer luchtdruk",
    baro_trend_info : "Barometer trend",
    //
    wind_title : "Wind ",
    tenminavg_title : "Gemiddelde windsnelheid",
    tenminavgwind_info : "Gemiddelde windsnelheid (10 min)",
    maxavgwind_info : "Hoogste gemiddelde windsnelheid",
    tenmingust_info : "Wind (10 min)",
    maxgust_info : "Hoogste windvlaag",
    latest_title : "Huidige wind",
    latestwind_info : "Huidige windsnelheid",
    bearing_info : "Windrichting",
    latest_web : "Momenteel",
    tenminavg_web : "Gemiddeld",
    //
    uv_title : "UV-Index",
    uv_levels : ["Geen",
                 "Geen gevaar",
                 "Weinig gevaar",
                 "Hoog risico",
                 "Zeer hoog risico",
                 "Extreem risico"],
    uv_headlines : ["Geen meetbare UV Index",
                    "Geen gevaar voor de gewone mens",
                    "Kleine kans op zonnebrand bij onbeschermde huid",
                    "Hoog risico op zonnebrand bij onbeschermde huid",
                    "Zeer hoog risico op zonnebrand bij onbeschermde huid",
                    "Extreem risico op zonnebrand bij onbeschermde huid"],
    uv_details : ["Het is nog steeds nacht of het is een zeer bewolkte dag.",

                  "Draag een zonnebril bij heldere dagen, gebruik zonnecreme bij een sneeuwlaag,<br>" +
                  "omdat die UV-straling terugkaatst, of bij zeer bleke huid.",

                  "Draag een zonnebril en gebruik creme met beschermingsfactor 30 of hoger, draag beschermende kledij en<br>" +
                  "een hoed en ga uit de zon tijdens de middaguren wanneer de zon op zijn hoogst staat.",

                  "Draag een zonnebril en gebruik creme met beschermingsfactor 30 of hoger, smeer u goed in<br>" +
                  "draag beschermende kledij met een breedgerande hoed, beperk uw tijd in de zon van twee uur voor<br>" +
                  "tot drie uur na de middagzon (ongeveer van 11:00 uur tot 16:00 uur tijdens de zomertijd.",

                  "Draag een zonnebril en gebruik creme met beschermingsfactor 30 of hoger, beschermende kledij en een hoed.<br>" +
                  "Blijf niet te lang in de zon.",

                  "Neem alle voorzorgen, waaronder: zonnebril, zonnecreme met beschermingsfactor 30 of meer,<br>" +
                  "een t-shirt met lange mouwen, een broek en een breedgerande hoed, en<br>" +
                  "vermijd de middagzon vanaf 11:00 uur tot 16:00 uur, tijdens de zomer."],
    //
    solar_title : "Zonnestraling",
    solar_currentMax : "Huidige theoretische maximale waarde",
    solar_ofMax : "van maximum",
    solar_maxToday : "Maximale  waarde vandaag",
    //
    lowest_info : "Laagste",
    highest_info : "Hoogste",
    lowestF_info : "Laagste",     // for proper translation of feminine words
    highestF_info : "Hoogste",    // for proper translation of feminine words
    //
    RisingVeryRapidly : "Zeer snel stijgend",
    RisingQuickly : "Snel stijgend",
    Rising : "Stijgend",
    RisingSlowly : "Langzaam stijgend",
    Steady : "Constant",
    FallingSlowly : "Langzaam dalend",
    Falling : "Dalend",
    FallingQuickly : "Snel dalend",
    FallingVeryRapidly : "Zeer snel dalend",
    //
    maximum_info : "Maximum",
    max_hour_info : "Max per uur",
    minimum_info : "Minimum",
    //
    coords : ["N", "NNO", "NO", "ONO", "O", "OZO", "ZO", "ZZO", "Z", "ZZW", "ZW", "WZW", "W", "WNW", "NW", "NNW"],
    compass : ["N", "NO", "O", "ZO", "Z", "ZW", "W", "NW"],
    months : ["Jan", "Feb", "Mrt", "Apr", "Mei", "Jun", "Jul", "Aug", "Sep", "Okt", "Nov", "Dec"]
};

//======================================================================================================================
// Swedish
//======================================================================================================================
var LANG_SE = {
    canvasnosupport : "Tyvärr... Ingen HTML5 Canvas support i din webläsare..." + "<br>" +
                      "Pröva att uppgradera din webläsare till en senare version!" + "<br><br>" +
                      "Styr om till en äldre sida med mätare...",
    //
    led_title : "Väderstationens status är okänd",
    led_title_ok : "Väderstationen OK",
    led_title_lost : "Har tappat kontakten med väderstationen!",
    led_title_unknown : "Väderstationens status är okänd!",
    led_title_offline : "Väderstationen är för närvarande ej nåbar.",
    //
    statusStr : "Laddar...",
    StatusMsg : "Laddar ned...",
    StatusHttp : "HTTP-begäran misslyckades",
    StatusRetry : "Försöker på nytt...",
    StatusRetryIn : "Försök om...",
    StatusNoHttpObj : "Error: Misslyckades att skapa ett XMLHttp-objekt",
    StatusTimeout : "Timed out",
    StatusPageLimit : "Page auto-update limit reached, refresh your browser to continue",
    //
    StatusLastUpdate : "Senaste uppdatering för",
    StatusMinsAgo : "minuter sedan",
    StatusHoursAgo : "timmar sedan",
    StatusDaysAgo : "dagar sedan",
    //
    realtimeCorrupt : "Den nedladdade filen är felaktig! Försöker på nytt...",
    //
    timer : "sekunder",
    at : "vid",
    //
    temp_title_out : "Temperatur",
    temp_title_in : "Innetemp",
    temp_out_info : "Utetemp",
    temp_out_web : "Ute",
    temp_in_info : "Innetemp",
    temp_in_web : "Inne",
    temp_trend_info : "Trend - temp",
    //
    dew_title : "Daggpunkt",
    dew_info : "Daggpunkt",
    dew_web : "Daggpunkt",
    apptemp_title : "Upplevd",
    apptemp_info : "Upplevd (känns som) temperatur",
    apptemp_web : "Upplevd",
    chill_title : "Köldeffekt",
    chill_info : "Köldeffekt",
    chill_web : "Köldeffekt",
    heat_title : "Värmeindex",
    heat_info : "Värmeindex",
    heat_web : "Värmeindex",
    humdx_title : "Fuktindex",
    humdx_info : "Fuktindex",
    humdx_web : "Fuktindex",
    //
    rain_title : "Nederbörd",
    rrate_title : "Nederbörd",
    rrate_info : "Nederbördintensitet",
    LastRain_info : "Senaste nederbörd",
    LastRainedT_info : "Idag vid",
    LastRainedY_info : "Igår vid",
    //
    hum_title_out : "Fukt. ute",
    hum_title_in : "Fukt. inne",
    hum_out_info : "Fukt. ute",
    hum_in_info : "Fukt. inne",
    hum_out_web : "Fukt. ute",
    hum_in_web : "Fukt. inne",
    //
    baro_title : "Lufttryck",
    baro_info : "Lufttryck",
    baro_trend_info : "Trend - lufttryck",
    //
    wind_title : "Vind",
    tenminavg_title : "Medelvind",
    tenminavgwind_info : "Medelvind (10 min)",
    maxavgwind_info : "Max medelvind",
    tenmingust_info : "Byvind (10 min)",
    maxgust_info : "Max byvind",
    latest_title : "Senaste vind",
    latestwind_info : "Senaste vind",
    bearing_info : "Riktning",
    latest_web : "Senaste",
    tenminavg_web : "Medel",
    //
    uv_title : "UV Index",
    uv_levels : ["None",
                 "Ingen fara",
                 "Liten risk",
                 "Hög risk",
                 "Mycket hög risk",
                 "Extrem risk"],
    uv_headlines : ["No measurable UV Index",
                    "Ingen fara för normalindividen",
                    "Liten skaderisk vid oskyddad solexponering",
                    "Hög skaderisk vid oskyddad solexponering",
                    "Väldigt hög skaderisk vid oskyddad solexponering",
                    "Extrem skaderisk vid oskyddad solexponering"],
    uv_details : ["It is still night time or it is a very cloudy day.",

                  "Använd solglasögon molnfria dagar, använd solskydd om det finns snö på marken,<br>" +
                  "som reflekterar UV-strålningen, eller om du har omtålig hy.",

                  "Använd solglasögon och solskyddsfaktor 30+, täck hud med klädsel och<br>" +
                  "huvudbonad, sök skugga vid middagstid då solen är som intensivast.",

                  "Använd solglasögon och solskyddsfaktor 30+, täck hud med solskyddande klädsel och<br>" +
                  "bredbrättad huvudbonad, begränsa tiden i solen under två timmar före<br>" +
                  "och tre timmar efter då solen står som högst (~11:00 till 16:00 under sommarperioden i<br>" +
                  "områden med sommartid).",

                  "Använd solskyddsfaktor 30+, skjorta, solglasögon och huvudbonad.<br>" +
                  "Vistas inte utomhus onödigt mycket.",

                  "Vidtag alla försiktighetsåtgärder: använd solglasögon och solskyddsfaktor 30+,<br>" +
                  "täck kroppen med långärmad skjorta och långbyxor, använd bredbrättad huvudbonad,<br>" +
                  "undvik solen under två timmar före och tre timmar efter då solen står som högst (~11:00 till<br>" +
                  "16:00 under sommarperioden i områden med sommartid)."],
    //
    solar_title : "Solar Radiation",
    solar_currentMax : "Current theoretical maximum reading",
    solar_ofMax : "of maximum",
    solar_maxToday : "Today's maximum reading",
    //
    lowest_info : "Lägsta",
    highest_info : "Högsta",
    lowestF_info : "Lägsta",     // for proper translation of feminine words
    highestF_info : "Högsta",    // for proper translation of feminine words
    //
    RisingVeryRapidly : "Stiger mycket snabbt",
    RisingQuickly : "Stiger snabbt",
    Rising : "Stigande",
    RisingSlowly : "Stigande långsamt",
    Steady : "Konstant",
    FallingSlowly : "Faller långsamt",
    Falling : "Fallande",
    FallingQuickly : "Fallande snabbt",
    FallingVeryRapidly : "Fallande mycket snabbt",
    //
    maximum_info : "Max",
    max_hour_info : "Max per timma",
    minimum_info : "Min",
    //
    coords : ["N", "NNO", "NO", "ONO", "O", "OSO", "SO", "SSO", "S", "SSW", "SW", "WSW", "W", "WNW", "NW", "NNW"],
    compass : ["N", "NO", "O", "SO", "S", "SW", "W", "NW"],
    months : ["Jan", "Feb", "Mar", "Apr", "Maj", "Jun", "Jul", "Aug", "Sep", "Okt", "Nov", "Dec"]
};

//======================================================================================================================
// Danish
//======================================================================================================================
var LANG_DK = {
    canvasnosupport : "Din browser understøtter ikke HTML5 lærred... " + "<br/>" +
                      "Opdatere din browser til en nyere version - næsten alle browsere understøter lærred nu - selv Internet Explorer 9!" + "<br/><br/>" +
                      "Du omdirigeres til vores gamle forside...",
    //
    led_title : "Status ukendt",
    led_title_ok : "Status OK",
    led_title_lost : "Ingen kontakt til vejrstationen!",
    led_title_unknown : "Status ukendt!",
    led_title_offline: "Vejrstationen er pt. offline.",
    //
    statusStr : "Henter...",
    StatusMsg : "Downloader...",
    StatusHttp : "HTTP forespørgsel fejlede",
    StatusRetry : "Prøver igen...",
    StatusRetryIn : "Prøver om...",
    StatusNoHttpObj : "Fejl: Det lykkedes ikke at danne XMLHttp objekt",
    StatusTimeout : "Timed out",
    StatusPageLimit : "Sidens grænse for opdateringer blev nået, opdater din browser for at fortsætte",
    //
    StatusLastUpdate : "Seneste opdatering",
    StatusMinsAgo : "minutter siden",
    StatusHoursAgo : "timer siden",
    StatusDaysAgo : "dage siden",
    //
    realtimeCorrupt : "Fejl på vejrdatafilen - prøver igen...",
    //
    timer : "sekunder",
    at : "kl.",
    //
    // MAXIMUM number of characters that can be used for the 'title' variables (such as 'LANG_EN.temp_title_out')
    //        11 characters  ===="12345678901"====  11 characters
    //
    temp_title_out : "Temperatur",
    temp_title_in : "Inde temp",
    temp_out_info : "Ude temperatur",
    temp_out_web : "Ude",
    temp_in_info : "Inde temperatur",
    temp_in_web : "Inde",
    temp_trend_info : "Temperatur tendens",
    //
    dew_title : "Dugpunkt",
    dew_info : "Dugpunkt",
    dew_web : "Dugpunkt",
    apptemp_title : "Komfort",
    apptemp_info : "Komfort (føles som) temperatur",
    apptemp_web : "Komfort",
    chill_title : "Vindchill",
    chill_info : "Vindchill",
    chill_web : "Vindchill",
    heat_title : "Hedeindex",
    heat_info : "Hedeindex",
    heat_web : "Hedeindex",
    humdx_title : "Humidex",
    humdx_info : "Humidex",
    humdx_web : "Humidex",
    //
    rain_title : "Regn",
    rrate_title : "Regnrate",
    rrate_info : "Regnrate",
    LastRain_info : "Seneste regn",
    LastRainedT_info : "I dag kl.",
    LastRainedY_info : "I går kl.",
    //
    hum_title_out : "Fugtighed",
    hum_title_in : "Inde fugt",
    hum_out_info : "Ude fugtighed",
    hum_in_info : "Inde fugtighed",
    hum_out_web : "Ude",
    hum_in_web : "Inde",
    //
    baro_title : "Barometer",
    baro_info : "Barometer",
    baro_trend_info : "Barometer tendens",
    //
    wind_title : "Vindhastighed",
    tenminavg_title : "Gennemsnitlig vindhastighed",
    tenminavgwind_info : "Gennemsnitlig vindhastighed (10 min)",
    maxavgwind_info : "Maximum gennemsnitlig vindhastighed",
    tenmingust_info : "Vindstød (10 min)",
    maxgust_info : "Maximum vindstød",
    latest_title : "Seneste vind",
    latestwind_info : "Seneste vindhastighed",
    bearing_info : "Retning",
    latest_web : "Seneste",
    tenminavg_web : "Gennemsnit",
    //
    uv_title : "UV index",
    uv_levels : ["Ingen",
                 "Ingen fare",
                 "Lille risiko",
                 "Høj risiko",
                 "Meget høj risiko",
                 "Ekstrem risko"],
    uv_headlines : ["Ingen målbar UV index",
                    "Ingen fare for personskade",
                    "Lille risiko for skade hvis der ikke bruges solbeskyttelse",
                    "Stor risiko for skade, hvis der ikke bruges solbeskyttelse",
                    "Meget stor risiko for skade, hvis der ikke bruges solbeskyttelse",
                    "Ekstrem risiko for skade, hvis der ikke bruges solbeskyttelse"],
    uv_details :["Det er stadig mørkt - eller en meget skyet dag.",

                 "Brug solbriller på lyse dage, brug solcreme hvis der er sne på jorden,<br/>" +
                 "som reflekterer UV stråling, eller hvis du har en særlig sart hud.",

                 "Brug solbriller og solcreme faktor 30+, tildæk kroppen med tøj og<br/>" +
                 "hat, og søg skygge mellem 12 og 14, hvor solen er mest intens.",

                 "Brug solbriller og solcreme faktor 30+, tildæk kroppen med solbeskyttende<br/>" +
                 "tøjh og brug en bredskygget hat. Søg skygge mellem 11 og 15<br/>",

                 "Brug solcreme faktor 30+, trøje, solbriller og en hat.<br/>" +
                 "Ophold dig ikke i solen i lang tid.",

                 "Tag alle forholdsregler: Brug solbriller og solcreme faktor 30+,<br/>" +
                 "tildæk korppen med langærmet trøje og bukser. Brug en meget stor hat og<br/>" +
                 "undgå solen mellem 11 og 15"],
    //
    solar_title : "Solstråling",
    solar_currentMax : "Max. muligt",
    solar_ofMax : "af maximum",
    solar_maxToday : "Maximum i dag",
    //
    lowest_info : "Laveste",
    highest_info : "Højeste",
    lowestF_info : "Laveste",     // for proper translation of feminine words
    highestF_info : "Højeste",    // for proper translation of feminine words
    //
    RisingVeryRapidly : "Meget hurtigt stigende",
    RisingQuickly : "Hurtigt stigende",
    Rising : "Stigende",
    RisingSlowly : "Langsomt stigende",
    Steady : "Stabil",
    FallingSlowly : "Langsomt faldende",
    Falling : "Faldende",
    FallingQuickly : "Hurtigt faldende",
    FallingVeryRapidly : "Meget hurtigt faldende",
   //
    maximum_info : "Maximum",
    max_hour_info : "Max pr. time",
    minimum_info : "Minimum",
    //
    coords : ["N", "NNØ", "NØ", "ØNØ", "Ø", "ØSØ", "SØ", "SSØ", "S", "SSV", "SV", "VSV", "V", "VNV", "NV", "NNV"],
    compass : ["N", "NØ", "Ø", "SØ", "S", "SV", "V", "NV"],
    months : ["Jan", "Feb", "Mar", "Apr", "MaJ", "Jun", "Jul", "Aug", "Sep", "OKt", "Nov", "Dec"]
};


//======================================================================================================================
// Finish
//======================================================================================================================
var LANG_FI = {
    canvasnosupport : "Selaimesi ei tue HTML5 Canvas tekniikkaa... Sorry..." + "<br>" +
                      "Päivitä selain uudempaan versioon - melkein kaikki tukevat Canvas tekniikkaa, myös IE9!" + "<br><br>" +
                      "Siirrytään sivulle ilman HMTL5/Canvas mittareita...",
    //
    led_title : "Päivityksen tila tuntematon",
    led_title_ok : "Päivitys OK",
    led_title_lost : "Tietoliikenneyhteys poikki!",
    led_title_unknown : "Päivityksen tila tuntematon!",
    led_title_offline: "Sääasema on offline tilassa.",
    //
    statusStr : "Ladataan...",
    StatusMsg : "Ladataan...",
    StatusHttp : "HTTP pyyntö epäonnistui",
    StatusRetry : "Yritetään uudelleen...",
    StatusRetryIn : "Uusi yritys...",
    StatusNoHttpObj : "Virhe: XMLHttp objektin luonti epäonnistui",
    StatusTimeout : "Aikakatkaistiin",
    StatusPageLimit : "Sivun automaattisten latausten lukumäärä on saavutettu, virkistä selaimen näkymä jatkaaksesi",
    //
    StatusLastUpdate : "Päivitetty",
    StatusMinsAgo : "minuuttia sitten",
    StatusHoursAgo : "tuntia sitten",
    StatusDaysAgo : "päivää sitten",
    //
    realtimeCorrupt : "Tekstitiedoston lataus epäonnistui! Yritetään uudelleen...",
    //
    timer : "sekuntia",
    at : " ",
    //
    // MAXIMUM number of characters that can be used for the 'title' variables (such as 'LANG_EN.temp_title_out')
    //        11 characters  ===="12345678901"====  11 characters
    //
    temp_title_out : "Lämpötila",
    temp_title_in : "Sisälämpötila",
    temp_out_info : "Ulkolämpötila",
    temp_out_web : "Ulko",
    temp_in_info : "Sisälämpötila",
    temp_in_web : "Sisä",
    temp_trend_info : "Lämpötilan muutos",
    //
    dew_title : "Kastepiste",
    dew_info : "Kastepiste",
    dew_web : "Kastepiste",
    apptemp_title : "Näennäinen",
    apptemp_info : "Näennäinen (tuntuu-kuin) lämpötila",
    apptemp_web : "Näennäinen",
    chill_title : "Hyytävyys",
    chill_info : "Hyytävyys",
    chill_web : "Hyytävyys",
    heat_title : "Tukaluus",
    heat_info : "Tukaluus",
    heat_web : "Tukaluus",
    humdx_title : "Kosteusindeksi",
    humdx_info : "Kosteusindeksi",
    humdx_web : "Kosteusindeksi",
    //
    rain_title : "Sademäärä",
    rrate_title : "Voimakkuus",
    rrate_info : "Sateen voimakkuus",
    LastRain_info : "Satanut viimeeksi",
    LastRainedT_info : "Tänään",
    LastRainedY_info : "Eilen",
    //
    hum_title_out : "Ilmankosteus",
    hum_title_in : "Sisäilmankosteus",
    hum_out_info : "Ilmankosteus",
    hum_in_info : "Sisäilmankosteus",
    hum_out_web : "Ulko",
    hum_in_web : "Sisä",
    //
    baro_title : "Ilmanpaine",
    baro_info : "Ilmanpaine",
    baro_trend_info : "Ilmanpaineen muutos",
    //
    wind_title : "Tuulen nopeus",
    tenminavg_title : "Keskimääräinen tuulen nopeus",
    tenminavgwind_info : "Keskimääräinen tuulen nopeus (10 min)",
    maxavgwind_info : "Korkein keskituulen nopeus",
    tenmingust_info : "Puuskatuuli (10 min)",
    maxgust_info : "Kovin tuulen puuska",
    latest_title : "Viimeisin tuuli",
    latestwind_info : "Viimeisin tuulen nopeus",
    bearing_info : "Suunta",
    latest_web : "Viimeisin",
    tenminavg_web : "Keskimäärin",
    //
    uv_title : "UV Indeksi",
    uv_levels : ["n/a",
                 "Heikko",
                 "Kohtalainen",
                 "Voimakas",
                 "Hyvin voimakas",
                 "Äärimmäisen voimakas"],
    uv_headlines : ["Ei mitattavissa olevaa UV säteilyä",
                    "Ei vaaraa normaali henkilölle",
                    "Vähäinen vaara suojaamattomassa auringonpaisteessa",
                    "Vaara suojaamattomassa auringonpaisteessa",
                    "Suuri vaara suojaamattomassa auringonpaisteessa",
                    "Äärimmäisen suuri vaara suojaamattomassa auringonpaisteessa"],
    uv_details :["On yöaika tai erittäin pilvistä.",

                 "Käytä aurinkolaseja. Käytä aurinkosuojavoidetta jos maassa on lunta tai jos ihosi on erityisen herkkä.",

                 "Käytä aurinkolaseja ja aurinkosuojavoidetta. Suojaa iho vaatteilla ja päähineellä <br>" +
                 "ja pysyttele varjoisassa ympäristössä keskipäivän tienoilla, kun auringon paiste on voimakkaimmillaan.",

                 "Käytä aurinkolaseja ja aurinkosuojavoidetta, jonka suojakerroin on vähintään 15. <br>" +
                 "Suojaa iho vaatteilla ja leveälierisellä päähineellä. Vähennä ulkonaoloa kello 11:n ja 16:n välillä.",

                 "Käytä aurinkolaseja ja aurinkosuojavoidetta, jonka suojakerroin on vähintään 15. <br>" +
                 "Suojaa iho vaatteilla ja leveälierisellä päähineellä. Vähennä ulkonaoloa kello 11:n ja 16:n välillä.",

                "Varaudu säteilyyn kaikin mahdollisin tavoin, käytä aurinkolaseja ja aurinkovoidetta, <br>" +
                "suojaa vartalo pitkähihaisella paidalla ja pitkillä housuilla, käytä leveälieristä päähinettä <br>" +
                "ja vältä aurinkoa kello 11:n ja 16:n välillä."],
    //
    solar_title : "Auringon säteilyteho",
    solar_currentMax : "Teorettinen maksimisäteily nyt",
    solar_ofMax : "maksimista",
    solar_maxToday : "Maksimisäteily tänään",
    //
    lowest_info : "Alin",
    highest_info : "Korkein",
    lowestF_info : "Alin",     // for proper translation of feminine words
    highestF_info : "Korkein",    // for proper translation of feminine words
    //
    RisingVeryRapidly : "Erittäin nopeasti nouseva",
    RisingQuickly : "Nopeasti nouseva",
    Rising : "Nouseva",
    RisingSlowly : "Hitaasti nouseva",
    Steady : "Vakaa",
    FallingSlowly : "Hitaasti laskeva",
    Falling : "Laskeva",
    FallingQuickly : "Nopeasti laskeva",
    FallingVeryRapidly : "Erittäin nopeasti laskeva",
   //
    maximum_info : "Korkein",
    max_hour_info : "Suurin sademäärä tunnissa",
    minimum_info : "Alin",
    //
    coords : ["P", "PKO", "KO", "IKO", "I", "IKA", "KA", "EKA", "E", "ELO", "LO", "LLO", "L", "LLU", "LU", "PLU"],
    compass : ["P", "KO", "I", "KA", "E", "LO", "L", "LU"],
    months : ["Tammikuuta", "Helmikuuta", "Maaliskuuta", "Huhtikuuta", "Toukokuuta", "Kesäkuuta", "Heinäkuuta", "Elokuuta", "Syyskuuta", "Lokakuuta", "Marraskuuta", "Joulukuuta"]
};


function changeLang() {
    // first reset the LANG object to your desired language, then call this function
    var i, tmp, sel;

    // reset the globals to the new language
    // temperature
    if (document.getElementById('rad_temp1').checked) {
        g_temp.title = LANG.temp_title_out;
    } else {
        g_temp.title = LANG.temp_title_in;
    }
   // dew point etc
    tmp = document.getElementsByName('rad_dew');
    for (i = 0; i <tmp.length; i++) {
        if (tmp[i].checked) {
            sel = tmp[i].value;
            break;
        }
    }
    switch (sel) {
        case 'dew':
            g_dew.title = LANG.dew_title;
            break;
        case 'app':
            g_dew.title = LANG.apptemp_title;
            break;
        case 'wnd':
            g_dew.title = LANG.chill_title;
            break;
        case 'hea':
            g_dew.title = LANG.heat_title;
            break;
        case 'hum':
            g_dew.title = LANG.humdx_title;
            break;
    }
    // rain
    g_rain.title = LANG.rain_title;
    // rrate
    g_rrate.title = LANG.rrate_title;
    // humidty
    if (document.getElementById('rad_hum1').checked) {
        g_hum.title = LANG.hum_title_out;
    } else {
        g_hum.title = LANG.hum_title_in;
    }
    // barometer
    g_baro.title = LANG.baro_title;
    // wind
    g_wind.title = LANG.wind_title;

    // can't do anything about the LED and status at the moment :(
    //g_led.title = LANG.led_title;

    // Update all the title string and
    // call all the gauge functions to update popup data
    if (gauge_temp) {
        gauge_temp.setTitleString(g_temp.title);
        doTemp();
    }
    if (gauge_dew)  {
        gauge_dew.setTitleString(g_dew.title);
        doDew();
    }
    if (gauge_baro) {
        gauge_baro.setTitleString(g_baro.title);
        doBaro();
    }
    if (gauge_rain) {
        gauge_rain.setTitleString(g_rain.title);
        doRain();
    }
    if (gauge_rrate){
        gauge_rrate.setTitleString(g_rrate.title);
        doRRate();
    }
    if (gauge_hum)  {
        gauge_hum.setTitleString(g_hum.title);
        doHum();
    }
    if (gauge_wind) {
        gauge_wind.setTitleString(g_wind.title);
        doWind();
    }
    if (gauge_wdir) {
        gauge_wdir.setPointSymbols(LANG.compass);
        g_dir.titles = [LANG.latest_web, LANG.tenminavg_web];
        gauge_wdir.setLcdTitleStrings(g_dir.titles);
        doDir();
    }
    if (gauge_uv) {
        g_uv.title = LANG.uv_title;
        gauge_uv.setTitleString(g_uv.title);
    }
    if (gauge_solar) {
        g_solar.title = LANG.solar_title;
        gauge_solar.setTitleString(g_solar.title);
    }

    // update the web page radio buttons
    if (document.getElementById('lab_temp1')) {
        document.getElementById('lab_temp1').innerHTML = LANG.temp_out_web;
    }
    if (document.getElementById('lab_temp2')) {
        document.getElementById('lab_temp2').innerHTML = LANG.temp_in_web;
    }
    if (document.getElementById('lab_dew1')) {
        document.getElementById('lab_dew1').innerHTML  = LANG.dew_web;
    }
    if (document.getElementById('lab_dew2')) {
        document.getElementById('lab_dew2').innerHTML  = LANG.apptemp_web;
    }
    if (document.getElementById('lab_dew3')) {
        document.getElementById('lab_dew3').innerHTML  = LANG.chill_web;
    }
    if (document.getElementById('lab_dew4')) {
        document.getElementById('lab_dew4').innerHTML  = LANG.heat_web;
    }
    if (document.getElementById('lab_dew5')) {
        document.getElementById('lab_dew5').innerHTML  = LANG.humdx_web;
    }
    if (document.getElementById('lab_hum1')) {
        document.getElementById('lab_hum1').innerHTML  = LANG.hum_out_web;
    }
    if (document.getElementById('lab_hum2')) {
        document.getElementById('lab_hum2').innerHTML  = LANG.hum_in_web;
    }
}

