<?php
$tpl_version = "1.0";
if (isset($_GET['ver'])) {
  echo $tpl_version;
  exit;
}

session_start(); // start PHP session
// Check if a language has been selected
if (isset($_POST['langue'])) {
  $lang = $_POST['langue'];
  $_SESSION['langue'] = $lang; // store session data
}
elseif(isset($_SESSION['langue'])){
  $lang = $_SESSION['langue']; // Default language
}
else {
  $lang = 'en'; // Default language
  $_SESSION['langue'] = $lang;
}

// Include text and data file
require('lang/text_standard_'.$lang.'.php');
include('wt_data_inc.php');

// Include language files available in lang folder
include('include/local_lang.php');
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<meta http-equiv="content-type" content="text/html; charset=utf-8" />
	<title><?php echo $location.' | '.$TT_trends; ?></title>
	<meta name="keywords" content="trends, tendancy" />
	<meta name="description" content="Last days weather trends" />
	<link href="styles.css" rel="stylesheet" type="text/css" />
	<link rel="stylesheet" href="nivo-slider.css" type="text/css" media="screen" />
  <link rel="stylesheet" type="text/css" href="lib/gallery/trends.css" />
	<script type="text/javascript" src="lib/jquery-1.4.3.min.js"></script>
  <script type="text/javascript" src="lib/gallery/trends.js"></script>
	<script type="text/javascript" src="lib/jquery.nivo.slider.pack.js"></script>
	<script type="text/javascript">
		$(window).load(function() {
		$('#slider').nivoSlider();
		});
	</script>
  <script type="text/javascript">
  $(function() {
    var galleries = $('.ad-gallery').adGallery();
    galleries[0].settings.description_wrapper = $('#descriptions');
  });
  </script>
  <style type="text/css">
  p {
    font-family: "Lucida Grande", "Lucida Sans Unicode", "Lucida Sans", Verdana, Arial, sans-serif;
    color: #333;
    line-height: 140%;
  }
  }
  .example {
    border: 1px solid #CCC;
    background: #f2f2f2;
    padding: 10px;
  }
  ul {
    list-style-image:url(list-style.gif);
  }
  pre {
    font-family: "Lucida Console", "Courier New", Verdana;
    border: 1px solid #CCC;
    background: #f2f2f2;
    padding: 10px;
  }
  code {
    font-family: "Lucida Console", "Courier New", Verdana;
    margin: 0;
    padding: 0;
  }

  #gallery {
    padding: 30px;
		margin: 0 auto;
  }
  #descriptions {
    position: relative;
    height: 50px;
    background: #FFF7E7;
    width: 720px;
    overflow: hidden;
		margin: 0 auto;
    margin-top: 0px;
    margin-bottom: 10px;
		padding: 5px 15px;
  }
    #descriptions .ad-image-description {
      position: absolute;
    }
      #descriptions .ad-image-description .ad-description-title {
        display: block;
      }
  </style>
  <script type="text/javascript" src="lib/dropmenu/dropdowntabs.js"></script>
</head>
<body>
<div id="bg_clouds">
	<div id="main">
		<!-- header and main menu begins -->
    <?php
      require_once('header_menu.php');
    ?>
    <script type="text/javascript">
    // Select menu current item highlight
    //SYNTAX: tabdropdown.init("menu_id", [item menu, start from 0])
    tabdropdown.init("mainmenu", 5)
    </script>
		<div style="height:13px"></div>
		<!-- header ends -->
		<div class="header_top"></div>
		<div class="header">
			<div id="wrapper">
				<div id="slider-wrapper">        
					<div id="slider" class="nivoSlider">
						<!-- <img src="style/header.jpg" alt="" /> -->
						<img src="style/header1.jpg" alt="" />
						<img src="style/header2.jpg" alt=""/>
						<img src="style/header3.jpg" alt="" />
						<!-- <img src="style/header4.jpg" alt="" /> -->
					</div>
				</div>
			</div>
		</div>
		<div class="header_bot"></div>
		<div style="height:15px"></div>
		<!-- content begins -->
		<div class="cont_top"></div>
		<div id="content">
<!-- WEATHER DATA BEGIN -->
		<br />
		<h2><?php echo $TT_trends; ?></h2>
		<div style=" margin:10px 100px">
			<p style="text-align:center; font-size: 125%"><strong><?php echo $TT_stats; ?>.</strong></p><br />
			<p><?php echo $Tr_graphs.' '.$graphperiod.'&nbsp;'.$Tr_hours;?>.</p>
			<p><?php echo $Tr_thumbs.' 10 '.$Tr_minutes.'. '.$Tr_larger.'. '.$Tr_sampled.' '.$Tr_minutes; ?>.</p>
		</div>
    <div id="gallery" class="ad-gallery">
			<div class="ad-image-wrapper"></div>
			<div id="descriptions"></div>
      <div class="ad-nav">
        <p style="text-align: center"><em><?php echo $Tr_larger; ?>.</em></p>
        <div class="ad-thumbs">
          <ul class="ad-thumb-list">
            <li>
              <a href="images/wind.png">
                <img src="images/windsm.png" alt="<?php echo $Tr_windsm; ?>" title="<?php echo $Tr_wind; ?>" class="image0" />
              </a>
            </li>
            <li>
              <a href="images/temp.png">
                <img src="images/tempsm.png" alt="<?php echo $Tr_tempsm; ?>" title="<?php echo $Tr_temp; ?>" class="image1" />
              </a>
            </li>
            <li>
              <a href="images/intemp.png">
                <img src="images/intempsm.png" alt="<?php echo $Tr_intempsm; ?>" title="<?php echo $Tr_intemp; ?>" class="image2" />
              </a>
            </li>
            <li>
              <a href="images/press.png">
                <img src="images/presssm.png" alt="<?php echo $Tr_presssm; ?>" title="<?php echo $Tr_press; ?>" class="image3" />
              </a>
            </li>
            <li>
              <a href="images/rain.png">
                <img src="images/rainsm.png" alt="<?php echo $Tr_rainsm; ?>" title="<?php echo $Tr_rain; ?>" class="image4" />
              </a>
            </li>
            <li>
              <a href="images/windd.png">
                <img src="images/winddsm.png" alt="<?php echo $Tr_winddsm; ?>" title="<?php echo $Tr_windd; ?>" class="image5" />
              </a>
            </li>
            <li>
              <a href="images/tempm.png">
                <img src="images/tempmsm.png" alt="<?php echo $Tr_tempmsm; ?>" title="<?php echo $Tr_tempm; ?>" class="image6" />
              </a>
            </li>
            <li>
              <a href="images/hum.png">
                <img src="images/humsm.png" alt="<?php echo $Tr_humsm; ?>" title="<?php echo $Tr_hum; ?>" class="image7" />
              </a>
            </li>
            <li>
              <a href="images/raint.png">
                <img src="images/raintsm.png" alt="<?php echo $Tr_raintsm; ?>" title="<?php echo $Tr_raint; ?>" class="image8" />
              </a>
            </li>
            <li>
              <a href="images/raind.png">
                <img src="images/raindsm.png" alt="<?php echo $Tr_raindsm; ?>" title="<?php echo $Tr_raind; ?>." class="image9" />
              </a>
            </li>
          </ul>
        </div>
      </div>
    </div>
    <p class="credits" style="margin:10px 75px 0px 0px; text-align:right">
      <?php echo $Tr_update.' : '.$update.'<br />'.$Tr_version; ?>
      <a href="http://sandaysoft.com/products/cumulus">Cumulus</a> <?php echo $version.' ('.$build.')'; ?>
    </p>
		</div>
		<div class="cont_bot"></div>
    <!-- content ends --> 
		<!-- footer begins -->
		<div id="footer">
			<a href="http://validator.w3.org/check/referer" title="This page validates as XHTML 1.0 Transitional"><abbr title="eXtensible HyperText Markup Language">XHTML</abbr></a> | <a href="http://jigsaw.w3.org/css-validator/check/referer" title="This page validates as CSS"><abbr title="Cascading Style Sheets">CSS</abbr></a> | Weather Blues Template by <a href="http://weatherbyyou.com">Weather by You!</a>
			<p style="width:100%; font-family:helvetica; font-size:10px; color:#fff">Copyright  2011. <!-- Do not remove -->Designed by <a href="http://www.metamorphozis.com/free_templates/free_templates.php" title="Free Web Templates">Free Web Templates</a>, coded by <a href="http://www.myfreecsstemplates.com/" title="Free CSS Templates">Free CSS Templates</a><!-- end --></p>
		</div>
		<center>
				<p>
        		   <a href="http://validator.w3.org/check?uri=referer"><img src="http://www.w3.org/Icons/valid-xhtml10-blue.png" alt="Valid XHTML 1.0 Transitional" height="31" width="88" /></a>
				   <!--
				   <a href="http://jigsaw.w3.org/css-validator/check/referer">
    			   	  <img style="border:0;width:88px;height:31px"
        		   	  	   src="http://jigsaw.w3.org/css-validator/images/vcss-blue.png"
        		   		   alt="Valid CSS!" />
				   </a>
				   -->
      			</p>	 
		</center>
		<!-- Code for Site Counters initiated 12/13/2012 -->

		 <!-- End of Site Counters Code 12/13/2012 -->
		<!-- footer ends -->
	</div>
</div>
<!-- 
	<script type="text/javascript" src="lib/jquery-1.4.3.min.js"></script>
	<script type="text/javascript" src="lib/jquery.nivo.slider.pack.js"></script>
-->
	<script type="text/javascript">
		$(window).load(function() {
			$('#slider').nivoSlider();
		});
	</script>
	<script type="text/javascript"> document.getElementById("bg_clouds").style.height = document.getElementById("bg_clouds").clientHeight + 460 + 'px'; </script>
</body>
</html>