/*!
 * Name          : steelseries.js
 * Authors       : Gerrit Grunwald, Mark Crossley
 * Last modified : 10.05.2012
 * Revision      : 0.11.4 - Cumulus Specific Version
 *
 * Copyright (c) 2011, Gerrit Grunwald, Mark Crossley
 * All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without modification, are permitted
 *  provided that the following conditions are met:
 *
 *  # Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
 *  # Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following
 *    disclaimer in the documentation and/or other materials provided with the distribution.
 *
 *   THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING,
 *   BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT
 *   SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 *   DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 *   INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE
 *   OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */
var steelseries=function(){function r(n,t){var i="#"===n.charAt(0)?n.substring(1,7):n,f=parseInt(i.substring(0,2),16),u=parseInt(i.substring(2,4),16),r=parseInt(i.substring(4,6),16);return this.color="rgba("+f+","+u+","+r+","+t+")",this}function bt(t,i,r,u){var f=1/255,y=t.getRed(),v=t.getGreen(),a=t.getBlue(),b=t.getAlpha(),w=i.getRed()-t.getRed(),p=i.getGreen()-t.getGreen(),s=i.getBlue()-t.getBlue(),o=i.getAlpha()*f-t.getAlpha()*f,e=w/r,l=p/r,c=s/r,h=o/r;return new n((y+e*u).toFixed(0),(v+l*u).toFixed(0),(a+c*u).toFixed(0),b+h*u)}function gi(n,t,i){return{start:n,stop:t,color:i}}function y(n,t){var u=Math.floor(Math.log10(n)),r=n/Math.pow(10,u),i;return i=t?1.5>r?1:3>r?2:7>r?5:10:1<r?2<r?5<r?10:5:2:1,i*Math.pow(10,u)}function at(n,t,i,r,u,f){var e=t+r,o=i+u;n.beginPath(),n.moveTo(t+f,i),n.lineTo(e-f,i),n.quadraticCurveTo(e,i,e,i+f),n.lineTo(e,i+u-f),n.quadraticCurveTo(e,o,e-f,o),n.lineTo(t+f,o),n.quadraticCurveTo(t,o,t,o-f),n.lineTo(t,i+f),n.quadraticCurveTo(t,i,t+f,i),n.closePath(),n.stroke()}function t(n,t){var i=l.createElement("canvas");return i.width=n,i.height=t,i}function kt(n,t,i){var r=l.createElement("canvas");return r.width=n,r.height=t,i(r.getContext("2d")),r}function g(n){var t,i=kt(1,1,function(t){t.fillStyle=n,t.beginPath(),t.rect(0,0,1,1),t.fill()});return t=i.getContext("2d").getImageData(0,0,2,2).data,[t[0],t[1],t[2],t[3]]}function gt(t){var o,e,f,h,u,r=g(t),i=new n(r[0],r[1],r[2],r[3]);return o=ni(i,.32),e=ni(i,.62),f=pt(i,.84),h=pt(i,.94),u=pt(i,1),new s(o,e,i,f,h,u)}function ut(n,t,i){var f,u,r,c=Math.floor(n*6),h=n*6-c,e=i*(1-t),o=i*(1-h*t),s=i*(1-(1-h)*t);switch(c%6){case 0:f=i,u=s,r=e;break;case 1:f=o,u=i,r=e;break;case 2:f=e,u=i,r=s;break;case 3:f=e,u=o,r=i;break;case 4:f=s,u=e,r=i;break;case 5:f=i,u=e,r=o}return[Math.floor(f*255),Math.floor(u*255),Math.floor(r*255)]}function tt(n,t,i){var e,r,u,o,s,f;n=n/255,t=t/255,i=i/255,r=Math.max(n,t,i),e=Math.min(n,t,i),s=r,f=r-e,o=r===0?0:f/r;if(r===e)u=0;else{switch(r){case n:u=(t-i)/f+(t<i?6:0);break;case t:u=(i-n)/f+2;break;case i:u=(n-t)/f+4}u/=6}return[u,o,s]}function h(n,t){return n<0?0:n>t?t:n}function ni(t,i){var f=Math.floor(t.getRed()*(1-i)),u=Math.floor(t.getGreen()*(1-i)),r=Math.floor(t.getBlue()*(1-i));return f=h(f,255),u=h(u,255),r=h(r,255),new n(f,u,r,t.getAlpha())}function pt(t,i){var f=Math.round(t.getRed()*(1+i)),u=Math.round(t.getGreen()*(1+i)),r=Math.round(t.getBlue()*(1+i));return f=h(f,255),u=h(u,255),r=h(r,255),new n(f,u,r,t.getAlpha())}function di(n,t,i){var r,u;if(i<=t)throw"Rotary bounds are of negative or zero size";return r=i-t,u=Math.floor((n-t)/r),n-u*r}function dt(n,t){return di(t-n,-180,180)}var l=document,ct="LCDMono2Ultra,sans-serif",ur=function(n,i){i=i||{};var ft=undefined===i.gaugeType?steelseries.GaugeType.TYPE4:i.gaugeType,u=undefined===i.size?200:i.size,o=undefined===i.minValue?0:i.minValue,h=undefined===i.maxValue?o+100:i.maxValue,bf=undefined===i.niceScale?!0:i.niceScale,ni=undefined===i.threshold?(h-o)/2:i.threshold,ii=undefined===i.section?null:i.section,ui=undefined===i.area?null:i.area,lu=undefined===i.titleString?"":i.titleString,au=undefined===i.unitString?"":i.unitString,hu=undefined===i.frameDesign?steelseries.FrameDesign.METAL:i.frameDesign,wu=undefined===i.frameVisible?!0:i.frameVisible,wt=undefined===i.backgroundColor?steelseries.BackgroundColor.DARK_GRAY:i.backgroundColor,bu=undefined===i.backgroundVisible?!0:i.backgroundVisible,yt=undefined===i.pointerType?steelseries.PointerType.TYPE1:i.pointerType,ar=undefined===i.pointerColor?steelseries.ColorDef.RED:i.pointerColor,ee=undefined===i.knobType?steelseries.KnobType.STANDARD_KNOB:i.knobType,fi=undefined===i.knobStyle?steelseries.KnobStyle.SILVER:i.knobStyle,ei=undefined===i.lcdColor?steelseries.LcdColor.STANDARD:i.lcdColor,vr=undefined===i.lcdVisible?!0:i.lcdVisible,eu=undefined===i.lcdDecimals?2:i.lcdDecimals,ye=undefined===i.digitalFont?!1:i.digitalFont,pe=undefined===i.fractionalScaleDecimals?1:i.fractionalScaleDecimals,br=undefined===i.ledColor?steelseries.LedColor.RED_LED:i.ledColor,ru=undefined===i.ledVisible?!0:i.ledVisible,vf=undefined===i.thresholdVisible?!0:i.thresholdVisible,kr=undefined===i.minMeasuredValueVisible?!1:i.minMeasuredValueVisible,dr=undefined===i.maxMeasuredValueVisible?!1:i.maxMeasuredValueVisible,cf=undefined===i.foregroundType?steelseries.ForegroundType.TYPE1:i.foregroundType,af=undefined===i.foregroundVisible?!0:i.foregroundVisible,oe=undefined===i.labelNumberFormat?steelseries.LabelNumberFormat.STANDARD:i.labelNumberFormat,yr=undefined===i.playAlarm?!1:i.playAlarm,uf=undefined===i.alarmSound?!1:i.alarmSound,fe=undefined===i.customLayer?null:i.customLayer,le=undefined===i.tickLabelOrientation?ft===steelseries.GaugeType.TYPE1?steelseries.TickLabelOrientation.TANGENT:steelseries.TickLabelOrientation.NORMAL:i.tickLabelOrientation,wr=undefined===i.trendVisible?!1:i.trendVisible,hr=undefined===i.trendColors?[steelseries.LedColor.RED_LED,steelseries.LedColor.GREEN_LED,steelseries.LedColor.CYAN_LED]:i.trendColors,sr=undefined===i.useOdometer?!1:i.useOdometer,pt=undefined===i.odometerParams?{}:i.odometerParams,wf=undefined===i.odometerUseValue?!1:i.odometerUseValue,ki;yr&&uf!==!1&&(ki=l.createElement("audio"),ki.setAttribute("src",uf),ki.setAttribute("preload","auto"));var s=o,or=o,yf=this,ri=h,gt=o,ot=!1,ef=0,we,of=steelseries.TrendState.OFF,lr=u*.06,cr=u*.29,er=u*.36,ci,ut,gi,ht,st,rr=ut+(s-o)*st,r=l.getElementById(n).getContext("2d");r.save(),r.clearRect(0,0,r.canvas.width,r.canvas.height),r.canvas.width=u,r.canvas.height=u;var f=u,a=u,g=f/2,nt=a/2,pf=.6*f,ne=.4*a,pr=Math.floor(f/10),ce=pr+"px sans-serif",ae=pr+"px "+ct,hf=a*.13,bi=f*.4,sf=(f-bi)/2,rf=a*.57,tf,ve=a*.61,et=Math.PI/2,ue=Math.PI/180,ff=!1,ir=o,nr=h,ai=h-o,at=nr-ir,fr=0,lt=0,oi=10,lf=10,re=function(){bf?(ai=y(h-o,!1),lt=y(ai/(lf-1),!0),ir=Math.floor(o/lt)*lt,nr=Math.ceil(h/lt)*lt,fr=y(lt/(oi-1),!0),o=ir,h=nr,at=h-o):(ai=h-o,ir=o,nr=h,at=ai,lt=y(ai/(lf-1),!0),fr=y(lt/(oi-1),!0));switch(ft.type){case"type1":ci=0,ut=Math.PI,gi=et,ht=et,st=ht/at;break;case"type2":ci=0,ut=Math.PI,gi=et,ht=Math.PI,st=ht/at;break;case"type3":ci=0,ut=et,gi=0,ht=1.5*Math.PI,st=ht/at;break;case"type4":default:ci=60*ue,ut=et+ci/2,gi=0,ht=2*Math.PI-ci,st=ht/at}rr=ut+(s-o)*st},wi=t(u,u),nf=wi.getContext("2d"),di=t(u,u),tt=di.getContext("2d"),fu,hi=t(u*.093457,u*.093457),uu=hi.getContext("2d"),dt=t(u*.093457,u*.093457),nu=dt.getContext("2d"),si=dt,iu=t(Math.ceil(u*.028037),Math.ceil(u*.028037)),se=iu.getContext("2d"),gr=t(Math.ceil(u*.028037),Math.ceil(u*.028037)),he=gr.getContext("2d"),vi=t(u,u),tu=vi.getContext("2d"),yi=t(u,u),ou=yi.getContext("2d"),pi=t(u,u),bt=pi.getContext("2d"),li=t(u,u),pu=li.getContext("2d"),gu,du,ku,yu,cu,tr,su;sr&&vr&&(tr=t(10,10),su=tr.getContext("2d"));var kf=function(n){r.save(),r.textAlign="right",r.strokeStyle=ei.textColor,r.fillStyle=ei.textColor,(ei===steelseries.LcdColor.STANDARD||ei===steelseries.LcdColor.STANDARD_GREEN)&&(r.shadowColor="gray",r.shadowOffsetX=f*.007,r.shadowOffsetY=f*.007,r.shadowBlur=f*.007),r.font=ye?ae:ce,r.fillText(n.toFixed(eu),sf+bi-bi*.05,rf+hf*.5+pr*.38,bi*.9),r.restore()},te=function(n){n.save(),"type1"===ft.type&&n.drawImage(e(Math.ceil(a*.037383),steelseries.KnobType.STANDARD_KNOB,fi),f*.523364,a*.130841),("type1"===ft.type||"type2"===ft.type)&&n.drawImage(e(Math.ceil(a*.037383),steelseries.KnobType.STANDARD_KNOB,fi),f*.130841,a*.514018),("type2"===ft.type||"type3"===ft.type)&&n.drawImage(e(Math.ceil(a*.037383),steelseries.KnobType.STANDARD_KNOB,fi),f*.831775,a*.514018),"type3"===ft.type&&n.drawImage(e(Math.ceil(a*.037383),steelseries.KnobType.STANDARD_KNOB,fi),f*.523364,a*.831775),"type4"===ft.type&&(n.drawImage(e(Math.ceil(a*.037383),steelseries.KnobType.STANDARD_KNOB,fi),f*.336448,a*.803738),n.drawImage(e(Math.ceil(a*.037383),steelseries.KnobType.STANDARD_KNOB,fi),f*.626168,a*.803738)),n.restore()},ie=function(){var t=l.createElement("canvas"),n,i;return t.width=Math.ceil(u*.046728),t.height=Math.ceil(t.width*.9),n=t.getContext("2d"),n.save(),i=n.createLinearGradient(0,.1,0,t.height*.9),i.addColorStop(0,"#520000"),i.addColorStop(.3,"#fc1d00"),i.addColorStop(.59,"#fc1d00"),i.addColorStop(1,"#520000"),n.fillStyle=i,n.beginPath(),n.moveTo(t.width*.5,.1),n.lineTo(t.width*.9,t.height*.9),n.lineTo(t.width*.1,t.height*.9),n.lineTo(t.width*.5,.1),n.closePath(),n.fill(),n.strokeStyle="#FFFFFF",n.stroke(),n.restore(),t},vu=function(n,t,i,r,u){t<o?t=o:t>h&&(t=h),i<o?i=o:i>h&&(i=h);if(t>=i)return;n.save(),n.strokeStyle=r,n.fillStyle=r,n.lineWidth=f*.035;var e=ht/at*t-ht/at*o,s=e+(i-t)/(at/ht);n.translate(g,nt),n.rotate(ut),n.beginPath(),u?(n.moveTo(0,0),n.arc(0,0,f*.365-n.lineWidth/2,e,s,!1)):n.arc(0,0,f*.365,e,s,!1),u?(n.moveTo(0,0),n.fill()):n.stroke(),n.translate(-g,-nt),n.restore()},df=function(n,t){var p,y,v,l;wt.labelColor.setAlpha(1),n.save(),n.textAlign="center",n.textBaseline="middle",p=Math.ceil(f*.04),n.font=p+"px sans-serif",n.strokeStyle=wt.labelColor.getRgbaColor(),n.fillStyle=wt.labelColor.getRgbaColor(),n.translate(g,nt),n.rotate(ut);var c=ut,i=st*fr,r,s=o,u=oi-1,a=f*.38,b=f*.35,d=f*.355,k=f*.36,w=f*.3,e=f*.1;for((ft.type==="type1"||ft.type==="type2")&&(e=f*.035),y=oi/2,v=parseFloat(h.toFixed(2)),l=o;parseFloat(l.toFixed(2))<=v;l+=fr){r=i+et,u++;if(u===oi){n.lineWidth=1.5,n.beginPath(),n.moveTo(a,0),n.lineTo(b,0),n.closePath(),n.stroke(),n.save(),n.translate(w,0);switch(le.type){case"horizontal":r=-c;break;case"tangent":r=c<=et+Math.PI?Math.PI:0;break;case"normal":default:r=et}n.rotate(r);switch(t.format){case"fractional":n.fillText(s.toFixed(pe),0,0,e);break;case"scientific":n.fillText(s.toPrecision(2),0,0,e);break;case"standard":default:n.fillText(s.toFixed(0),0,0,e)}n.translate(-w,0),n.restore(),s+=lt,u=0,n.rotate(i),c+=i;continue}0==oi%2&&u===y?(n.lineWidth=1,n.beginPath(),n.moveTo(a,0),n.lineTo(d,0),n.closePath(),n.stroke()):(n.lineWidth=.5,n.beginPath(),n.moveTo(a,0),n.lineTo(k,0),n.closePath(),n.stroke()),n.rotate(i),c+=i}n.translate(-g,-nt),n.restore()},rt=function(n){var t,i,e;n=n||{};var l=undefined===n.frame?!1:n.frame,r=undefined===n.background?!1:n.background,h=undefined===n.led?!1:n.led,rt=undefined===n.pointer?!1:n.pointer,y=undefined===n.foreground?!1:n.foreground,ot=undefined===n.trend?!1:n.trend,ht=undefined===n.odo?!1:n.odo;ff=!0,re(),l&&wu&&b(nf,hu,g,nt,f,a),r&&bu&&(k(tt,wt,g,nt,f,a),vt(tt,fe,g,nt,f,a)),h&&(uu.drawImage(v(Math.ceil(u*.093457),1,br),0,0),nu.drawImage(v(Math.ceil(u*.093457),0,br),0,0)),kr&&se.drawImage(it(Math.ceil(u*.028037),steelseries.ColorDef.BLUE.dark.getRgbaColor(),!0,!0),0,0),dr&&he.drawImage(it(Math.ceil(u*.028037),steelseries.ColorDef.RED.medium.getRgbaColor(),!0),0,0);if(r&&bu){te(tt);if(null!==ii&&0<ii.length){t=ii.length;do t--,vu(tt,ii[t].start,ii[t].stop,ii[t].color,!1);while(0<t)}if(null!==ui&&0<ui.length){i=ui.length;do i--,vu(tt,ui[i].start,ui[i].stop,ui[i].color,!0);while(0<i)}df(tt,oe),ti(tt,f,a,lu,au,wt,!0,!0)}r&&vf&&(tt.save(),tt.translate(g,nt),tt.rotate(ut+(ni-o)*st+et),tt.translate(-g,-nt),tt.drawImage(ie(),f*.475,a*.13),tt.translate(g,nt),tt.restore()),r&&vr&&(sr&&ht?(cu=new steelseries.Odometer("",{_context:su,height:u*.075,decimals:pt.decimals,digits:pt.digits===undefined?5:pt.digits,valueForeColor:pt.valueForeColor,valueBackColor:pt.valueBackColor,decimalForeColor:pt.decimalForeColor,decimalBackColor:pt.decimalBackColor,font:pt.font,value:s}),tf=(f-tr.width)/2):sr||(fu=w(bi,hf,ei),tt.drawImage(fu,sf,rf))),rt&&(p(tu,f,yt,ar,wt.labelColor,!1),p(ou,f,yt,ar,wt.labelColor,!0)),y&&af&&(e=yt.type==="type15"||yt.type==="type16"?!1:!0,d(pu,cf,f,a,e,ee,fi,ft)),ot&&wr&&(gu=c(lr,steelseries.TrendState.UP,hr),du=c(lr,steelseries.TrendState.STEADY,hr),ku=c(lr,steelseries.TrendState.DOWN,hr),yu=c(lr,steelseries.TrendState.OFF,hr))},kt=function(n){n=n||{};var f=undefined===n.frame?!1:n.frame,e=undefined===n.background?!1:n.background,r=undefined===n.led?!1:n.led,t=undefined===n.pointer?!1:n.pointer,i=undefined===n.foreground?!1:n.foreground;f&&(wi.width=u,wi.height=u,nf=wi.getContext("2d")),e&&(di.width=u,di.height=u,tt=di.getContext("2d")),r&&(hi.width=Math.ceil(u*.093457),hi.height=Math.ceil(u*.093457),uu=hi.getContext("2d"),dt.width=Math.ceil(u*.093457),dt.height=Math.ceil(u*.093457),nu=dt.getContext("2d"),si=dt),t&&(vi.width=u,vi.height=u,tu=vi.getContext("2d"),yi.width=u,yi.height=u,ou=yi.getContext("2d"),pi.width=u,pi.height=u,bt=pi.getContext("2d")),i&&(li.width=u,li.height=u,pu=li.getContext("2d"))},gf=function(){ru&&(si=si===hi?dt:hi,yf.repaint())},ur=function(n){n?ef=setInterval(gf,1e3):clearInterval(ef)};return this.setValue=function(n){var t=n<o?o:n>h?h:n;s!==t&&(s=t,s>gt&&(gt=s),s<ri&&(ri=s),s<ni||ot?s<ni&&(ot=!1,ur(ot),yr&&ki.pause()):(ot=!0,ur(ot),yr&&ki.play()),this.repaint())},this.getValue=function(){return s},this.setOdoValue=function(n){var t=n<0?0:n;or!==t&&(or=t,this.repaint())},this.getOdoValue=function(){return or},this.setValueAnimated=function(n){var r=n<o?o:n>h?h:n,t,i;s!==r&&(undefined!==t&&t.playing&&t.stop(),t=new Tween({},"",Tween.regularEaseInOut,s,r,1),i=this,t.onMotionChanged=function(n){s=n.target._pos,s<ni||ot?s<ni&&(ot=!1,ur(ot)):(ot=!0,ur(ot)),s>gt&&(gt=s),s<ri&&(ri=s),i.repaint()},t.start())},this.resetMinMeasuredValue=function(){ri=s,this.repaint()},this.resetMaxMeasuredValue=function(){gt=s,this.repaint()},this.setMinMeasuredValueVisible=function(n){kr=n,this.repaint()},this.setMaxMeasuredValueVisible=function(n){dr=n,this.repaint()},this.setMaxMeasuredValue=function(n){var t=n<o?o:n>h?h:n;gt=t,this.repaint()},this.setMinMeasuredValue=function(n){var t=n<o?o:n>h?h:n;ri=t,this.repaint()},this.setTitleString=function(n){lu=n,rt({background:!0}),this.repaint()},this.setUnitString=function(n){au=n,rt({background:!0}),this.repaint()},this.setMinValue=function(n){o=n,rt({frame:!0,background:!0}),this.repaint()},this.getMinValue=function(){return o},this.setMaxValue=function(n){h=n,rt({frame:!0,background:!0}),this.repaint()},this.getMaxValue=function(){return h},this.setThreshold=function(n){var t=n<o?o:n>h?h:n;ni=t,rt({background:!0}),this.repaint()},this.setArea=function(n){ui=n,kt({foreground:!0}),rt({background:!0,foreground:!0}),this.repaint()},this.setSection=function(n){ii=n,kt({foreground:!0}),rt({background:!0,foreground:!0}),this.repaint()},this.setThresholdVisible=function(n){vf=n,this.repaint()},this.setLcdDecimals=function(n){eu=n,this.repaint()},this.setFrameDesign=function(n){kt({frame:!0}),hu=n,rt({frame:!0}),this.repaint()},this.setBackgroundColor=function(n){kt({background:!0,pointer:yt.type==="type2"||yt.type==="type13"?!0:!1}),wt=n,rt({background:!0,pointer:yt.type==="type2"||yt.type==="type13"?!0:!1}),this.repaint()},this.setForegroundType=function(n){kt({foreground:!0}),cf=n,rt({foreground:!0}),this.repaint()},this.setPointerType=function(n){kt({pointer:!0,foreground:!0}),yt=n,rt({pointer:!0,foreground:!0}),this.repaint()},this.setPointerColor=function(n){kt({pointer:!0}),ar=n,rt({pointer:!0}),this.repaint()},this.setLedColor=function(n){kt({led:!0}),br=n,rt({led:!0}),this.repaint()},this.setLcdColor=function(n){ei=n,rt({background:!0}),this.repaint()},this.setTrend=function(n){of=n,this.repaint()},this.setTrendVisible=function(n){wr=n,this.repaint()},this.repaint=function(){ff||rt({frame:!0,background:!0,led:!0,pointer:!0,trend:!0,foreground:!0,odo:!0}),r.clearRect(0,0,r.canvas.width,r.canvas.height),wu&&r.drawImage(wi,0,0),r.drawImage(di,0,0),vr&&(sr?(cu.setValue(wf?s:or),r.drawImage(tr,tf,ve)):kf(s)),ru&&(s<ni&&(ot=!1,si=dt),r.drawImage(si,pf,ne));if(wr)switch(of.state){case"up":r.drawImage(gu,cr,er);break;case"steady":r.drawImage(du,cr,er);break;case"down":r.drawImage(ku,cr,er);break;case"off":r.drawImage(yu,cr,er)}kr&&(r.save(),r.translate(g,nt),r.rotate(ut+et+(ri-o)*st),r.translate(-g,-nt),r.drawImage(iu,r.canvas.width*.4865,r.canvas.height*.105),r.restore()),dr&&(r.save(),r.translate(g,nt),r.rotate(ut+et+(gt-o)*st),r.translate(-g,-nt),r.drawImage(gr,r.canvas.width*.4865,r.canvas.height*.105),r.restore()),rr=ut+et+(s-o)*st;var n=f*.006;bt.clearRect(0,0,f,a),bt.save(),bt.translate(g,nt),bt.rotate(rr),bt.translate(-g,-nt),bt.drawImage(yi,0,0),bt.restore(),r.drawImage(pi,0,0,f,a,n,n,f+n,a+n),r.save(),r.translate(g,nt),r.rotate(rr),r.translate(-g,-nt),r.drawImage(vi,0,0),r.restore(),af&&r.drawImage(li,0,0)},this.repaint(),this},rr=function(n,i){var yi;i=i||{};var bt=undefined===i.gaugeType?steelseries.GaugeType.TYPE4:i.gaugeType,e=undefined===i.size?200:i.size,u=undefined===i.minValue?0:i.minValue,o=undefined===i.maxValue?u+100:i.maxValue,cf=undefined===i.niceScale?!0:i.niceScale,fi=undefined===i.threshold?(o-u)/2:i.threshold,pt=undefined===i.section?null:i.section,uu=undefined===i.useSectionColors?!1:i.useSectionColors,su=undefined===i.titleString?"":i.titleString,lu=undefined===i.unitString?"":i.unitString,bu=undefined===i.frameDesign?steelseries.FrameDesign.METAL:i.frameDesign,yu=undefined===i.frameVisible?!0:i.frameVisible,ei=undefined===i.backgroundColor?steelseries.BackgroundColor.DARK_GRAY:i.backgroundColor,ou=undefined===i.backgroundVisible?!0:i.backgroundVisible,ur=undefined===i.valueColor?steelseries.ColorDef.RED:i.valueColor,dt=undefined===i.lcdColor?steelseries.LcdColor.STANDARD:i.lcdColor,au=undefined===i.lcdVisible?!0:i.lcdVisible,of=undefined===i.lcdDecimals?2:i.lcdDecimals,nf=undefined===i.digitalFont?!1:i.digitalFont,tf=undefined===i.fractionalScaleDecimals?1:i.fractionalScaleDecimals,wf=undefined===i.customLayer?null:i.customLayer,sr=undefined===i.ledColor?steelseries.LedColor.RED_LED:i.ledColor,ku=undefined===i.ledVisible?!0:i.ledVisible,pf=undefined===i.labelNumberFormat?steelseries.LabelNumberFormat.STANDARD:i.labelNumberFormat,fu=undefined===i.foregroundType?steelseries.ForegroundType.TYPE1:i.foregroundType,cu=undefined===i.foregroundVisible?!0:i.foregroundVisible,er=undefined===i.playAlarm?!1:i.playAlarm,eu=undefined===i.alarmSound?!1:i.alarmSound,vi=undefined===i.valueGradient?null:i.valueGradient,bf=undefined===i.useValueGradient?!1:i.useValueGradient,df=undefined===i.tickLabelOrientation?bt===steelseries.GaugeType.TYPE1?steelseries.TickLabelOrientation.TANGENT:steelseries.TickLabelOrientation.NORMAL:i.tickLabelOrientation,ar=undefined===i.trendVisible?!1:i.trendVisible,gi=undefined===i.trendColors?[steelseries.LedColor.RED_LED,steelseries.LedColor.GREEN_LED,steelseries.LedColor.CYAN_LED]:i.trendColors;er&&eu!==!1&&(yi=l.createElement("audio"),yi.setAttribute("src",eu),yi.setAttribute("preload","auto"));var tt=u,ut=o-u,ft=!1,hu=0,ni,kf=this,rt,a,ui,lt,s,st,et,ii=[],wi=!1,lr=!1,r=l.getElementById(n).getContext("2d");r.clearRect(0,0,r.canvas.width,r.canvas.height),r.canvas.width=e,r.canvas.height=e;var f=e,it=e,p=f/2,g=it/2,cr=Math.floor(f/10),hf=cr+"px sans-serif",lf=cr+"px "+ct,or=it*.13,oi=f*.4,du=(f-oi)/2,gu=it/2-or/2,nt=Math.PI/2,vf=f*.116822,af=f*.485981,yt=Math.ceil(e*.093457),vu=f*.53,wu=it*.61,wt=Math.PI/180,pu=steelseries.TrendState.OFF,bi=e*.06,ki=e*.38,rr=e*.57;switch(bt.type){case"type1":rt=0,a=Math.PI,ui=0,lt=nt,s=nt,st=s/Math.PI*180,et=s/ut;break;case"type2":rt=0,a=Math.PI,ui=0,lt=nt,s=Math.PI,st=s/Math.PI*180,et=s/ut;break;case"type3":rt=0,a=nt,ui=-nt,lt=0,s=1.5*Math.PI,st=s/Math.PI*180,et=s/ut;break;case"type4":default:rt=Math.PI/3,a=nt+rt/2,ui=Math.PI/-3,lt=0,s=2*Math.PI-rt,st=s/Math.PI*180,et=s/ut}var hi=t(e,e),pr=hi.getContext("2d"),ai=t(e,e),ht=ai.getContext("2d"),ru,li=t(Math.ceil(e*.060747),Math.ceil(e*.023364)),hr=li.getContext("2d"),ri=t(yt,yt),tu=ri.getContext("2d"),at=t(yt,yt),gr=at.getContext("2d"),kt=at,yf,si=t(e,e),wr=si.getContext("2d"),br,kr,iu,dr,nu=!1,nr=u,tr=o,ci=o-u;ut=tr-nr;var di=0,ot=0,fr=10,vr=10,ef=function(){cf?(ci=y(o-u,!1),ot=y(ci/(vr-1),!0),nr=Math.floor(u/ot)*ot,tr=Math.ceil(o/ot)*ot,di=y(ot/(fr-1),!0),u=nr,o=tr,ut=o-u):(ci=o-u,nr=u,tr=o,ut=ci,ot=y(ci/(vr-1),!0),di=y(ot/(fr-1),!0));switch(bt.type){case"type1":rt=0,a=Math.PI,lt=nt,s=nt,et=s/ut;break;case"type2":rt=0,a=Math.PI,lt=nt,s=Math.PI,et=s/ut;break;case"type3":rt=0,a=nt,lt=0,s=1.5*Math.PI,et=s/ut;break;case"type4":default:rt=60*wt,a=nt+rt/2,lt=0,s=2*Math.PI-rt,et=s/ut}angle=a+(tt-u)*et},h=function(n){var t;n=n||{};var h=undefined===n.frame?!1:n.frame,i=undefined===n.background?!1:n.background,e=undefined===n.led?!1:n.led,l=undefined===n.value?!1:n.value,s=undefined===n.foreground?!1:n.foreground,r=undefined===n.trend?!1:n.trend;nu=!0,ef(),h&&yu&&b(pr,bu,p,g,f,it),i&&ou&&(k(ht,ei,p,g,f,it),vt(ht,wf,p,g,f,it)),e&&(tu.drawImage(v(yt,1,sr),0,0),gr.drawImage(v(yt,0,sr),0,0),yf=ht.getImageData(vu,wu,yt,yt)),i&&sf(ht),i&&ou&&(uf(ht,pf),ti(ht,f,it,su,lu,ei,!0,!0)),i&&au&&(ru=w(oi,or,dt),ht.drawImage(ru,du,gu)),wi=!1;if(uu&&null!==pt&&0<pt.length){wi=!0,t=pt.length,ii=[];do t--,ii.push({start:(pt[t].start+Math.abs(u))/(o-u)*st,stop:(pt[t].stop+Math.abs(u))/(o-u)*st,color:gt(pt[t].color)});while(0<t)}lr=!1,bf&&vi!==null&&(wi=!1,lr=!0),l&&yr(hr,ur),s&&cu&&d(wr,fu,f,it,!1,bt),r&&ar&&(br=c(bi,steelseries.TrendState.UP,gi),kr=c(bi,steelseries.TrendState.STEADY,gi),iu=c(bi,steelseries.TrendState.DOWN,gi),dr=c(bi,steelseries.TrendState.OFF,gi))},pi=function(n){n=n||{};var u=undefined===n.frame?!1:n.frame,f=undefined===n.background?!1:n.background,r=undefined===n.led?!1:n.led,t=undefined===n.value?!1:n.value,i=undefined===n.foreground?!1:n.foreground;u&&(hi.width=e,hi.height=e,pr=hi.getContext("2d")),f&&(ai.width=e,ai.height=e,ht=ai.getContext("2d")),t&&(li.width=Math.ceil(e*.060747),li.height=Math.ceil(e*.023364),hr=li.getContext("2d")),r&&(ri.width=Math.ceil(e*.093457),ri.height=Math.ceil(e*.093457),tu=ri.getContext("2d"),at.width=Math.ceil(e*.093457),at.height=Math.ceil(e*.093457),gr=at.getContext("2d"),kt=at),i&&(si.width=e,si.height=e,wr=si.getContext("2d"))},sf=function(n){var t,r,i;n.save(),n.save(),n.lineWidth=e*.085,n.beginPath(),n.translate(p,g),n.rotate(a-4*wt),n.translate(-p,-g),n.arc(p,g,f*.35514,0,s+8*wt,!1),n.rotate(-a),t=n.createLinearGradient(0,.107476*it,0,.897195*it),t.addColorStop(0,"#000000"),t.addColorStop(.22,"#333333"),t.addColorStop(.76,"#333333"),t.addColorStop(1,"#cccccc"),n.strokeStyle=t,n.stroke(),n.restore(),n.save(),n.lineWidth=e*.075,n.beginPath(),n.translate(p,g),n.rotate(a-4*wt),n.translate(-p,-g),n.arc(p,g,f*.35514,0,s+8*wt,!1),n.rotate(-a),r=n.createLinearGradient(0,.112149*it,0,.892523*it),r.addColorStop(0,"#111111"),r.addColorStop(1,"#333333"),n.strokeStyle=r,n.stroke(),n.restore();var o=(f*.116822+f*.060747)/2,h=(f*.485981+f*.023364)/2,u=n.createRadialGradient(o,h,0,o,h,.030373*f);for(u.addColorStop(0,"#3c3c3c"),u.addColorStop(1,"#323232"),i=0,i=0;i<=st;i+=5)n.save(),n.translate(p,g),n.rotate(i*wt+ui),n.translate(-p,-g),n.beginPath(),n.rect(f*.116822,f*.485981,f*.060747,f*.023364),n.closePath(),n.fillStyle=u,n.fill(),n.restore();n.restore()},yr=function(n,t){n.save(),n.beginPath(),n.rect(0,0,n.canvas.width,n.canvas.height),n.closePath();var u=n.canvas.width/2,f=n.canvas.height/2,i=r.createRadialGradient(u,f,0,u,f,n.canvas.width/2);i.addColorStop(0,t.light.getRgbaColor()),i.addColorStop(1,t.dark.getRgbaColor()),n.fillStyle=i,n.fill(),n.restore()},rf=function(n){r.save(),r.textAlign="right",r.strokeStyle=dt.textColor,r.fillStyle=dt.textColor,(dt===steelseries.LcdColor.STANDARD||dt===steelseries.LcdColor.STANDARD_GREEN)&&(r.shadowColor="gray",r.shadowOffsetX=f*.007,r.shadowOffsetY=f*.007,r.shadowBlur=f*.007),r.font=nf?lf:hf,r.fillText(n.toFixed(of),du+oi-oi*.05,gu+or*.5+cr*.38,oi*.9),r.restore()},uf=function(n,t){var v,y,c;ei.labelColor.setAlpha(1),n.save(),n.textAlign="center",n.textBaseline="middle",v=Math.ceil(f*.04),n.font=v+"px sans-serif",n.strokeStyle=ei.labelColor.getRgbaColor(),n.fillStyle=ei.labelColor.getRgbaColor(),n.translate(p,g),n.rotate(a);var h=a,i=et*di,r,e=u,l=fr-1,w=f*.28,s=f*.1;for((bt.type==="type1"||bt.type==="type2")&&(s=f*.0375),y=parseFloat(o.toFixed(2)),c=u;parseFloat(c.toFixed(2))<=y;c+=di){r=+i+nt,l++;if(l===fr){n.save(),n.translate(w,0);switch(df.type){case"horizontal":r=-h;break;case"tangent":r=h<=nt+Math.PI?Math.PI:0;break;case"normal":default:r=nt}n.rotate(r);switch(t.format){case"fractional":n.fillText(e.toFixed(tf),0,0,s);break;case"scientific":n.fillText(e.toPrecision(2),0,0,s);break;case"standard":default:n.fillText(e.toFixed(0),0,0,s)}n.translate(-w,0),n.restore(),e+=ot,l=0,n.rotate(i),h+=i;continue}n.rotate(i),h+=i}n.translate(-p,-g),n.restore()},ir=function(n){n?hu=setInterval(ff,1e3):clearInterval(hu)},ff=function(){ku&&(kt=kt===ri?at:ri,kf.repaint())};return this.setValue=function(n){var t=n<u?u:n>o?o:n;tt!==t&&(tt=t,tt<fi||ft?tt<fi&&(ft=!1,ir(ft),er&&yi.pause()):(ft=!0,ir(ft),er&&yi.play()),this.repaint())},this.getValue=function(){return tt},this.setValueAnimated=function(n){var i=n<u?u:n>o?o:n,t;tt!==i&&(undefined!==ni&&ni.playing&&ni.stop(),ni=new Tween({},"",Tween.regularEaseInOut,tt,i,1),t=this,ni.onMotionChanged=function(n){tt=n.target._pos,tt<fi||ft?tt<fi&&(ft=!1,ir(ft)):(ft=!0,ir(ft)),t.repaint()},ni.start())},this.setFrameDesign=function(n){pi({frame:!0}),bu=n,h({frame:!0}),this.repaint()},this.setBackgroundColor=function(n){pi({background:!0,led:!0}),ei=n,h({background:!0,led:!0}),this.repaint()},this.setForegroundType=function(n){pi({foreground:!0}),fu=n,h({foreground:!0}),this.repaint()},this.setValueColor=function(n){pi({value:!0}),ur=n,h({value:!0}),this.repaint()},this.setLedColor=function(n){pi({led:!0}),sr=n,h({led:!0}),this.repaint()},this.setLcdColor=function(n){dt=n,h({background:!0}),this.repaint()},this.setSection=function(n){pt=n,h(),this.repaint()},this.setSectionActive=function(n){uu=n,h(),this.repaint()},this.setGradient=function(n){vi=n,h(),this.repaint()},this.setGradientActive=function(n){useGradient=n,h(),this.repaint()},this.setMinValue=function(n){u=n,h({background:!0}),this.repaint()},this.getMinValue=function(){return u},this.setMaxValue=function(n){o=n,h({background:!0}),this.repaint()},this.getMaxValue=function(){return o},this.setThreshold=function(n){var t=n<u?u:n>o?o:n;fi=t,h({background:!0}),this.repaint()},this.setTitleString=function(n){su=n,h({background:!0}),this.repaint()},this.setUnitString=function(n){lu=n,h({background:!0}),this.repaint()},this.setTrend=function(n){pu=n,this.repaint()},this.setTrendVisible=function(n){ar=n,this.repaint()},this.repaint=function(){var s,i,e,n,t;for(nu||h({frame:!0,background:!0,led:!0,value:!0,trend:!0,foreground:!0}),r.clearRect(0,0,r.canvas.width,r.canvas.height),yu&&r.drawImage(hi,0,0),r.drawImage(ai,0,0),s=(tt+Math.abs(u))/(o-u)*st,e=ur,n=0;n<=s;n+=5){i=ur;if(lr){var c=u+n/st*(o-u),l=vi.getEnd()-vi.getStart(),f=c/l;f=Math.max(Math.min(f,1),0),i=gt(vi.getColorAt(f).getRgbaColor())}else if(wi)for(t=0;t<ii.length;t++)if(n>=ii[t].start&&n<ii[t].stop){i=ii[t].color;break}e.medium.getHexColor()!==i.medium.getHexColor()&&(yr(hr,i),e=i),r.save(),r.translate(p,g),r.rotate(n*wt+ui),r.translate(-p,-g),r.drawImage(li,vf,af),r.restore()}au&&rf(tt),ku&&(tt<fi&&(ft=!1,kt=at),r.drawImage(kt,vu,wu));if(ar)switch(pu.state){case"up":r.drawImage(br,ki,rr);break;case"steady":r.drawImage(kr,ki,rr);break;case"down":r.drawImage(iu,ki,rr);break;case"off":r.drawImage(dr,ki,rr)}cu&&r.drawImage(si,0,0)},this.repaint(),this},ir=function(n,i){i=i||{};var p=undefined===i.width?128:i.width,v=undefined===i.height?48:i.height,y=undefined===i.lcdColor?steelseries.LcdColor.STANDARD:i.lcdColor,pt=undefined===i.lcdDecimals?2:i.lcdDecimals,lt=undefined===i.unitString?"":i.unitString,vt=undefined===i.unitStringVisible?!1:i.unitStringVisible,st=undefined===i.digitalFont?!1:i.digitalFont,bt=undefined===i.valuesNumeric?!0:i.valuesNumeric,c=undefined===i.value?0:i.value,ht=undefined===i.autoScroll?!1:i.autoScroll,u=undefined===i.section?null:i.section,s=!1,f=0,d,wt=this,r=l.getElementById(n).getContext("2d");r.save(),r.clearRect(0,0,r.canvas.width,r.canvas.height),r.canvas.width=p,r.canvas.height=v;var e=p,o=v,h=0,a=Math.floor(o/1.5),ot=a+"px sans-serif",it=a+"px "+ct,nt=!1,rt,et=[],ft=[],kt=function(n,t){var u,i;r.save(),r.textAlign="right",r.strokeStyle=t,r.fillStyle=t,r.beginPath(),r.rect(2,0,e-4,o),r.closePath(),r.clip(),r.font=st?it:ot,bt?(u=0,h=0,vt&&(r.font=Math.floor(o/2.5)+"px sans-serif",u=r.measureText(lt).width),r.font=st?it:ot,i=n.toFixed(pt),h=r.measureText(i).width,r.fillText(i,e-u-4-f,o*.5+a*.38),vt&&(r.font=Math.floor(o/2.5)+"px sans-serif",r.fillText(lt,e-2-f,o*.5+a*.38))):(h=r.measureText(n).width,ht&&h>e-4?s||(f=e-h-e*.2,s=!0,clearTimeout(d),d=setTimeout(k,200)):ht&&h<=e-4&&(f=0,s=!1),r.fillText(n,e-2-f,o*.5+a*.38)),r.restore()},dt=function(n,i,r,u){var rt=t(n,i),f=rt.getContext("2d");f.save();var pt=0,k=0,kt=n,ot=i,ft=Math.min(n,i)*.095,s=f.createLinearGradient(0,k,0,k+ot);s.addColorStop(0,"#4c4c4c"),s.addColorStop(.08,"#666666"),s.addColorStop(.92,"#666666"),s.addColorStop(1,"#e6e6e6"),f.fillStyle=s,at(f,pt,k,kt,ot,ft),f.fill(),f.restore(),f.save();var nt=g(r),e=tt(nt[0],nt[1],nt[2]),d=g(u.gradientStartColor),ht=tt(d[0],d[1],d[2]),it=g(u.gradientFraction1Color),lt=tt(it[0],it[1],it[2]),l=g(u.gradientFraction2Color),ct=tt(l[0],l[1],l[2]),a=g(u.gradientFraction3Color),wt=tt(a[0],a[1],a[2]),h=g(u.gradientStopColor),yt=tt(h[0],h[1],h[2]),c=ut(e[0],e[1],ht[2]-.31),v=ut(e[0],e[1],lt[2]-.31),b=ut(e[0],e[1],ct[2]-.31),y=ut(e[0],e[1],wt[2]-.31),p=ut(e[0],e[1],yt[2]-.31),bt=1,w=1,st=n-2,et=i-2,vt=ft-1,o=f.createLinearGradient(0,w,0,w+et);return o.addColorStop(0,"rgb("+c[0]+", "+c[1]+", "+c[2]+")"),o.addColorStop(.03,"rgb("+v[0]+","+v[1]+","+v[2]+")"),o.addColorStop(.49,"rgb("+b[0]+","+b[1]+","+b[2]+")"),o.addColorStop(.5,"rgb("+y[0]+","+y[1]+","+y[2]+")"),o.addColorStop(1,"rgb("+p[0]+","+p[1]+","+p[2]+")"),f.fillStyle=o,at(f,bt,w,st,et,vt),f.fill(),f.restore(),rt},yt=function(n){var i=g(n),r=tt(i[0],i[1],i[2]),t=ut(r[0],.57,.83);return"rgb("+t[0]+", "+t[1]+", "+t[2]+")"},k=function(){s?(f>e&&(f=-h),f+=2,d=setTimeout(k,60)):f=0,wt.repaint()},b=function(){var n;nt=!0,rt=w(p,v,y);if(null!==u&&0<u.length)for(n=0;n<u.length;n++)et[n]=dt(p,v,u[n].color,y),ft[n]=yt(u[n].color)};return this.setValue=function(n){c!==n&&(c=n,this.repaint())},this.setLcdColor=function(n){y=n,b(),this.repaint()},this.setSection=function(n){u=n,resetBuffers({foreground:!0}),b({background:!0,foreground:!0}),this.repaint()},this.setScrolling=function(n){if(n){if(s)return;s=n,k()}else s=n},this.repaint=function(){nt||b(),r.clearRect(0,0,r.canvas.width,r.canvas.height);var t=rt,i=y.textColor,n;if(null!==u&&0<u.length)for(n=0;n<u.length;n++)if(c>=u[n].start&&c<=u[n].stop){t=et[n],i=ft[n];break}r.drawImage(t,0,0),kt(c,i)},this.repaint(),this},or=function(n,r){r=r||{};var e=undefined===r.size?200:r.size,yi=undefined===r.frameDesign?steelseries.FrameDesign.METAL:r.frameDesign,ki=undefined===r.frameVisible?!0:r.frameVisible,y=undefined===r.backgroundColor?steelseries.BackgroundColor.DARK_GRAY:r.backgroundColor,di=undefined===r.backgroundVisible?!0:r.backgroundVisible,gt=undefined===r.pointerTypeLatest?steelseries.PointerType.TYPE1:r.pointerTypeLatest,ri=undefined===r.pointerTypeAverage?steelseries.PointerType.TYPE8:r.pointerTypeAverage,kt=undefined===r.pointerColor?steelseries.ColorDef.RED:r.pointerColor,ii=undefined===r.pointerColorAverage?steelseries.ColorDef.BLUE:r.pointerColorAverage,kr=undefined===r.knobType?steelseries.KnobType.STANDARD_KNOB:r.knobType,dr=undefined===r.knobStyle?steelseries.KnobStyle.SILVER:r.knobStyle,si=undefined===r.foregroundType?steelseries.ForegroundType.TYPE1:r.foregroundType,ir=undefined===r.foregroundVisible?!0:r.foregroundVisible,a=undefined===r.pointSymbols?["N","NE","E","SE","S","SW","W","NW"]:r.pointSymbols,vr=undefined===r.customLayer?null:r.customLayer,wr=undefined===r.degreeScale?!0:r.degreeScale,gi=undefined===r.roseVisible?!1:r.roseVisible,ot=undefined===r.lcdColor?steelseries.LcdColor.STANDARD:r.lcdColor,fr=undefined===r.lcdVisible?!0:r.lcdVisible,pr=undefined===r.digitalFont?!1:r.digitalFont,ut=undefined===r.section?null:r.section,rt=undefined===r.area?null:r.area,ti=undefined===r.lcdTitleStrings?["Latest","Average"]:r.lcdTitleStrings,rr=undefined===r.titleString?"":r.titleString,nr=undefined===r.useColorLabels?!1:r.useColorLabels,it,et,tt=0,nt=0,st=Math.PI/180,ei=this.valueLatest,fi=this.valueAverage,ar=-Math.PI/2,wi=Math.PI*2,ur=360,f=l.getElementById(n).getContext("2d");f.save(),f.clearRect(0,0,f.canvas.width,f.canvas.height),f.canvas.width=e,f.canvas.height=e;var u=e,o=e,h=u/2,s=o/2,ui=Math.floor(u/10),br=ui+"px sans-serif",gr=ui+"px "+ct,ni=u*.3,er=o*.12,hr=(u-ni)/2,or=o*.32,cr=o*.565,sr=!1,bt=t(e,e),g=bt.getContext("2d"),oi,lt=t(e,e),hi=lt.getContext("2d"),at=t(e,e),ci=at.getContext("2d"),yt=t(e,e),li=yt.getContext("2d"),ht=t(e,e),bi=ht.getContext("2d"),ft=t(e,e),c=ft.getContext("2d"),wt=t(e,e),vi=wt.getContext("2d"),ai=function(n,t){f.save(),f.textAlign="center",f.strokeStyle=ot.textColor,f.fillStyle=ot.textColor,n<0&&(n+=360),n="00"+Math.round(n),n=n.substring(n.length,n.length-3),(ot===steelseries.LcdColor.STANDARD||ot===steelseries.LcdColor.STANDARD_GREEN)&&(f.shadowColor="gray",f.shadowOffsetX=u*.007,f.shadowOffsetY=u*.007,f.shadowBlur=u*.007),f.font=pr?gr:br,f.fillText(n+"\u00b0",u/2+ni*.05,(t?or:cr)+er*.5+ui*.38,ni*.9),f.restore()},pi=function(n,t,i,r,f){n.save(),n.strokeStyle=r,n.fillStyle=r,n.lineWidth=u*.035;var e=wi/ur*t,o=e+(i-t)/(ur/wi);n.translate(h,s),n.rotate(ar),n.beginPath(),f?(n.moveTo(0,0),n.arc(0,0,u*.365-n.lineWidth/2,e,o,!1)):n.arc(0,0,u*.365,e,o,!1),f?(n.moveTo(0,0),n.fill()):n.stroke(),n.translate(-h,-s),n.restore()},lr=function(n){var l,o;n.textAlign="center",n.textBaseline="middle";var c=u*.38,v=u*.35,b=u*.355,w=u*.36,e=u*.1,p=u*.31,r=u*.36,t,f;n.save(),n.strokeStyle=y.labelColor.getRgbaColor(),n.fillStyle=y.labelColor.getRgbaColor(),n.translate(h,s);if(wr)for(t=Math.floor(.1*u)+"px serif bold",f=Math.floor(u*.04)+"px sans-serif",n.rotate(st*5),i=5;360>=i;i+=5){n.save();switch(i){case 360:n.translate(r,0),n.rotate(Math.PI/2),n.font=t,n.fillText(a[2],0,0,e),n.translate(-r,0);break;case 90:n.translate(r,0),n.rotate(Math.PI/2),n.font=t,n.fillText(a[4],0,0,e),n.translate(-r,0);break;case 180:n.translate(r,0),n.rotate(Math.PI/2),n.font=t,n.fillText(a[6],0,0,e),n.translate(-r,0);break;case 270:n.translate(r,0),n.rotate(Math.PI/2),n.font=t,n.fillText(a[0],0,0,e),n.translate(-r,0);break;case 5:case 85:case 95:case 175:case 185:case 265:case 275:case 355:break;default:(i+90)%20?(n.lineWidth=(i+90)%5?1.5:1,n.beginPath(),n.moveTo(c,0),l=(i+90)%10?w:v,n.lineTo(l,0),n.closePath(),n.stroke()):(n.lineWidth=1.5,n.beginPath(),n.moveTo(c,0),n.lineTo(v,0),n.closePath(),n.stroke(),o=(i+90)%360,n.translate(p,0),n.rotate(Math.PI/2),n.font=f,n.fillText("0".substring(o>=100)+o,0,0,e),n.translate(-p,0))}n.restore(),n.rotate(st*5)}else for(t=.12*u+"px serif",f=.06*u+"px serif",n.lineWidth=1,n.strokeStyle=y.symbolColor.getRgbaColor(),i=0;360>i;i+=2.5){0==i%5&&(n.beginPath(),n.moveTo(u*.38,0),n.lineTo(u*.36,0),n.closePath(),n.stroke()),n.save();switch(i){case 0:n.translate(u*.35,0),n.rotate(Math.PI/2),n.font=t,n.fillText(a[2],0,0),n.translate(-u*.35,0);break;case 45:n.translate(u*.29,0),n.rotate(Math.PI/2),n.font=f,n.fillText(a[3],0,0),n.translate(-u*.29,0);break;case 90:n.translate(u*.35,0),n.rotate(Math.PI/2),n.font=t,n.fillText(a[4],0,0),n.translate(-u*.35,0);break;case 135:n.translate(u*.29,0),n.rotate(Math.PI/2),n.font=f,n.fillText(a[5],0,0),n.translate(-u*.29,0);break;case 180:n.translate(u*.35,0),n.rotate(Math.PI/2),n.font=t,n.fillText(a[6],0,0),n.translate(-u*.35,0);break;case 225:n.translate(u*.29,0),n.rotate(Math.PI/2),n.font=f,n.fillText(a[7],0,0),n.translate(-u*.29,0);break;case 270:n.translate(u*.35,0),n.rotate(Math.PI/2),n.font=t,n.fillText(a[0],0,0),n.translate(-u*.35,0);break;case 315:n.translate(u*.29,0),n.rotate(Math.PI/2),n.font=f,n.fillText(a[1],0,0),n.translate(-u*.29,0)}n.restore(),gi&&(0===i||22.5===i||45===i||67.5===i||90===i||112.5===i||135===i||157.5===i||180===i||202.5===i||225===i||247.5===i||270===i||292.5===i||315===i||337.5===i||360===i)&&(n.save(),n.beginPath(),i%45?n.moveTo(u*.29,0):n.moveTo(u*.38,0),n.lineTo(u*.1,0),n.closePath(),n.restore(),n.stroke()),n.rotate(st*2.5)}n.translate(-h,-s),n.restore()},yr=function(n){ti.length>0&&(n.save(),n.textAlign="center",n.textBaseline="middle",n.fillStyle=nr?kt.medium.getRgbaColor():y.labelColor.getRgbaColor(),n.font=.04*u+"px sans-serif",n.fillText(ti[0],u/2,o*.29,u*.3),n.fillStyle=nr?ii.medium.getRgbaColor():y.labelColor.getRgbaColor(),n.fillText(ti[1],u/2,o*.71,u*.3),rr.length>0&&(n.fillStyle=y.labelColor.getRgbaColor(),n.font=.0467*u+"px sans-serif",n.fillText(rr,u/2,o*.5,u*.3)))},v=function(n){var t,i,f;n=n||{};var c=undefined===n.frame?!1:n.frame,r=undefined===n.background?!1:n.background,e=undefined===n.pointer?!1:n.pointer,l=undefined===n.foreground?!1:n.foreground;sr=!0,c&&ki&&b(g,yi,h,s,u,o);if(r&&di){k(g,y,h,s,u,o),vt(g,vr,h,s,u,o);if(null!==ut&&0<ut.length){t=ut.length;do t--,pi(g,ut[t].start,ut[t].stop,ut[t].color,!1);while(0<t)}if(null!==rt&&0<rt.length){i=rt.length;do i--,pi(g,rt[i].start,rt[i].stop,rt[i].color,!0);while(0<i)}lr(g)}r&&gi&&tr(g,h,s,u,o,y),r&&fr&&(oi=w(ni,er,ot),g.drawImage(oi,hr,or),g.drawImage(oi,hr,cr),yr(g)),e&&(p(li,u,ri,ii,y.labelColor),p(bi,u,ri,kt,y.labelColor,!0),p(hi,u,gt,kt,y.labelColor),p(ci,u,gt,kt,y.labelColor,!0)),l&&ir&&(f=gt.type==="type15"||gt.type==="type16"?!1:!0,d(vi,si,u,o,f,kr,dr))},pt=function(n){n=n||{};var r=undefined===n.background?!1:n.background,i=undefined===n.pointer?!1:n.pointer,t=undefined===n.foreground?!1:n.foreground;r&&(bt.width=e,bt.height=e,g=bt.getContext("2d")),i&&(lt.width=e,lt.height=e,hi=lt.getContext("2d"),at.width=e,at.height=e,ci=at.getContext("2d"),yt.width=e,yt.height=e,li=yt.getContext("2d"),ht.width=e,ht.height=e,bi=ht.getContext("2d"),ft.width=e,ft.height=e,c=ft.getContext("2d")),t&&(wt.width=e,wt.height=e,vi=wt.getContext("2d"))};return this.setValueLatest=function(n){n=n===360?360:n%360,tt!==n&&(tt=n,this.repaint())},this.getValueLatest=function(){return tt},this.setValueAverage=function(n){n=n%360,nt!==n&&(nt=n,this.repaint())},this.getValueAverage=function(){return nt},this.setValueAnimatedLatest=function(n){var t=n===360?360:n%360,i,r;tt!==t&&(i=this,undefined!==it&&it.playing&&it.stop(),r=dt(tt,t),it=new Tween({},"",Tween.regularEaseInOut,tt,tt+r,2.5),it.onMotionChanged=function(n){tt=n.target._pos%360,i.repaint()},t===360&&(it.onMotionFinished=function(){tt=t,i.repaint()}),it.start())},this.setValueAnimatedAverage=function(n){var i=n===360?360:n%360,t,r;nt!==n&&(t=this,undefined!==et&&et.playing&&et.stop(),r=dt(nt,i),et=new Tween({},"",Tween.regularEaseInOut,nt,nt+r,2.5),et.onMotionChanged=function(n){nt=n.target._pos%360,t.repaint()},i===360&&(it.onMotionFinished=function(){nt=i,t.repaint()}),et.start())},this.setArea=function(n){rt=n,v({background:!0}),this.repaint()},this.setSection=function(n){ut=n,v({background:!0}),this.repaint()},this.setFrameDesign=function(n){yi=n,v({frame:!0,background:!0}),this.repaint()},this.setBackgroundColor=function(n){y=n,v({frame:!0,background:!0}),this.repaint()},this.setForegroundType=function(n){pt({foreground:!0}),si=n,v({foreground:!0}),this.repaint()},this.setPointerColor=function(n){pt({pointer:!0}),kt=n,v({pointer:!0}),this.repaint()},this.setPointerColorAverage=function(n){pt({pointer:!0}),ii=n,v({pointer:!0}),this.repaint()},this.setPointerType=function(n){pt({pointer:!0}),gt=n,v({pointer:!0}),this.repaint()},this.setPointerTypeAverage=function(n){pt({pointer:!0}),ri=n,v({pointer:!0}),this.repaint()},this.setPointSymbols=function(n){a=n,v({frame:!0,background:!0}),this.repaint()},this.setLcdColor=function(n){ot=n,v({background:!0}),this.repaint()},this.setLcdTitleStrings=function(n){ti=n,v({background:!0}),this.repaint()},this.repaint=function(){sr||v({frame:!0,background:!0,led:!0,pointer:!0,foreground:!0}),f.clearRect(0,0,f.canvas.width,f.canvas.height),(ki||di)&&f.drawImage(bt,0,0),fr&&(ai(tt,!0),ai(nt,!1)),fi=Math.PI/2+nt*st-Math.PI/2;var n=u*.006;c.clearRect(0,0,u,o),c.save(),c.translate(h,s),c.rotate(fi),c.translate(-h,-s),c.drawImage(ht,0,0),c.restore(),f.drawImage(ft,0,0,u,o,n,n,u+n,o+n),f.save(),f.translate(h,s),f.rotate(fi),f.translate(-h,-s),f.drawImage(yt,0,0),f.restore(),ei=Math.PI/2+tt*st-Math.PI/2,c.clearRect(0,0,u,o),c.save(),c.translate(h,s),c.rotate(ei),c.translate(-h,-s),c.drawImage(at,0,0),c.restore(),f.drawImage(ft,0,0,u,o,n,n,u+n,o+n),f.save(),f.translate(h,s),f.rotate(ei),f.translate(-h,-s),f.drawImage(lt,0,0),f.restore(),ir&&f.drawImage(wt,0,0)},this.repaint(),this},er=function(n,t){var c,f,o,u,s;t=t||{};var r=undefined===t.size?32:t.size,y=undefined===t.ledColor?steelseries.LedColor.RED_LED:t.ledColor,a=!1,p=0,i=l.getElementById(n).getContext("2d");i.save(),i.clearRect(0,0,i.canvas.width,i.canvas.height),i.canvas.width=r,i.canvas.height=r,c=!1,f=l.createElement("canvas"),f.width=r,f.height=r,o=f.getContext("2d"),u=l.createElement("canvas"),u.width=r,u.height=r;var h=u.getContext("2d"),e=u,w=function(){c=!0,o.clearRect(0,0,o.canvas.width,o.canvas.height),o.drawImage(v(r,1,y),0,0),h.clearRect(0,0,h.canvas.width,h.canvas.height),h.drawImage(v(r,0,y),0,0)};return this.toggleLed=function(){e=e===f?u:f,s()},this.setLedColor=function(n){y=n,c=!1,s()},this.setLedOnOff=function(n){e=!0===n?f:u,s()},this.blink=function(n){n?a||(p=setInterval(this.toggleLed,1e3),a=!0):a&&(clearInterval(p),a=!1)},s=function(){c||w(),i.save(),i.clearRect(0,0,i.canvas.width,i.canvas.height),i.drawImage(e,0,0),i.restore()},s(),this},fr=function(n,i){function vt(){var t,n;for(ht=!0,v.rect(0,0,c,o),t=v.createLinearGradient(0,0,0,o),t.addColorStop(0,"rgba(0, 0, 0, 1)"),t.addColorStop(.1,"rgba(0, 0, 0, 0.4)"),t.addColorStop(.33,"rgba(255, 255, 255, 0.45)"),t.addColorStop(.46,"rgba(255, 255, 255, 0)"),t.addColorStop(.9,"rgba(0, 0, 0, 0.4)"),t.addColorStop(1,"rgba(0, 0, 0, 1)"),v.fillStyle=t,v.fill(),r.rect(0,0,f,s*1.1),r.fillStyle=lt,r.fill(),r.strokeStyle="#f0f0f0",r.lineWidth="1px",r.moveTo(0,0),r.lineTo(0,s*1.1),r.stroke(),r.strokeStyle="#202020",r.moveTo(f,0),r.lineTo(f,s*1.1),r.stroke(),r.textAlign="center",r.textBaseline="middle",r.font=ut,r.fillStyle=ct,n=9;n<21;n++)r.fillText(n%10,f*.5,h*(n-9)+h/2);if(l>0)for(u.rect(0,0,f,s*1.1),u.fillStyle=ot,u.fill(),u.strokeStyle="#f0f0f0",u.lineWidth="1px",u.moveTo(0,0),u.lineTo(0,s*1.1),u.stroke(),u.strokeStyle="#202020",u.moveTo(f,0),u.lineTo(f,s*1.1),u.stroke(),u.textAlign="center",u.textBaseline="middle",u.font=ut,u.fillStyle=et,n=9;n<21;n++)u.fillText(n%10,f*.5,h*(n-9)+h/2);for(n=0;n<p+l;n++)g[n]=Math.random()*rt*o-rt*o/2}function at(){for(var s=1,o=e,i,t,r,u,n=0;n<l;n++)o*=10;for(t=Math.floor(o),r=o-t,t=String(t),u=9,n=0;n<l+p;n++)i=+t.substring(t.length-n-1,t.length-n)||0,u!==9&&(r=0),n<l?w.drawImage(d,c-f*s,-(h*(i+r)+tt+g[n])):w.drawImage(b,c-f*s,-(h*(i+r)+tt+g[n])),s++,u=i}var yt=document,it,o,p,l,ot,et,st,e,lt,ct,rt,ht=!1,a,y,ft,f,ut,c,s,h,tt,g=[],k,w,nt,v,b,r,d,u;i=i||{},it=undefined===i.height?null:i._context,o=undefined===i.height?40:i.height,p=undefined===i.digits?6:i.digits,l=undefined===i.decimals?1:i.decimals,ot=undefined===i.decimalBackColor?"#F0F0F0":i.decimalBackColor,et=undefined===i.decimalForeColor?"#F01010":i.decimalForeColor,st=undefined===i.font?"sans-serif":i.font,e=undefined===i.value?0:i.value,lt=undefined===i.valueBackColor?"#050505":i.valueBackColor,ct=undefined===i.valueForeColor?"#F8F8F8":i.valueForeColor,rt=undefined===i.wobbleFactor?.07:i.wobbleFactor,y=it?it:yt.getElementById(n).getContext("2d"),e<0&&(e=0),ft=Math.floor(o*.85),ut="600 "+ft+"px "+st,f=Math.floor(o*.68),c=f*(p+l),s=ft*11,h=s/12,tt=h*.81,y.canvas.width=c,y.canvas.height=o,k=t(c,o),w=k.getContext("2d"),nt=t(c,o),v=nt.getContext("2d"),b=t(f,s*1.1),r=b.getContext("2d"),d=t(f,s*1.1),u=d.getContext("2d"),this.setValueAnimated=function(n){var t=this;n<0&&(n=0),e!==n&&(undefined!==a&&a.playing&&a.stop(),a=new Tween({},"",Tween.strongEaseOut,e,n,2),a.onMotionChanged=function(n){e=n.target._pos,t.repaint()},a.start()),this.repaint()},this.setValue=function(n){e=n,e<0&&(e=0),this.repaint()},this.getValue=function(){return e},this.repaint=function(){ht||vt(),at(),w.drawImage(nt,0,0),y.drawImage(k,0,0)},this.repaint()},tr=function(n,t,i,r,u,f){var c=!0,e,o,h=Math.PI/180,s=f.symbolColor.getRgbaColor();for(n.save(),n.lineWidth=1,n.fillStyle=s,n.strokeStyle=s,n.translate(t,i),e=0;e<360;e+=15)c=!c,n.beginPath(),n.arc(0,0,r*.26,e*h,(e+15)*h,!1),n.arc(0,0,r*.23,(e+15)*h,e*h,!0),n.closePath(),c&&n.fill(),n.stroke();for(n.translate(-t,-i),e=0;360>=e;e+=90)n.beginPath(),n.moveTo(r*.560747,u*.584112),n.lineTo(r*.640186,u*.644859),n.lineTo(r*.584112,u*.560747),n.lineTo(r*.560747,u*.584112),n.closePath(),n.fillStyle=s,n.fill(),n.stroke(),n.beginPath(),n.moveTo(r*.523364,u*.397196),n.lineTo(r*.5,u*.196261),n.lineTo(r*.471962,u*.397196),n.lineTo(r*.523364,u*.397196),n.closePath(),o=n.createLinearGradient(.476635*r,0,.518691*r,0),o.addColorStop(0,"rgb(222, 223, 218)"),o.addColorStop(.48,"rgb(222, 223, 218)"),o.addColorStop(.49,s),o.addColorStop(1,s),n.fillStyle=o,n.fill(),n.stroke(),n.translate(t,i),n.rotate(e*Math.PI/180),n.translate(-t,-i);n.beginPath(),n.translate(t,i),n.arc(0,0,r*.1,0,Math.PI*2,!1),n.lineWidth=r*.022,n.stroke(),n.translate(-t,-i),n.restore()},p=function(n,i,r,u,f,e){var l,o,s,h,c=i.toString()+r.type+u.light.getHexColor()+u.medium.getHexColor()+e;if(!p.cache[c]){l=t(i,i),o=l.getContext("2d"),e&&(o.fillStyle="rgba(0, 0, 0, 1)",o.strokeStyle="rgba(0, 0, 0, 1)",o.shadowBlur=3,o.globalAlpha=.5);switch(r.type){case"type2":e||(s=o.createLinearGradient(0,i*.471962,0,i*.130841),s.addColorStop(0,f.getRgbaColor()),s.addColorStop(.36,f.getRgbaColor()),s.addColorStop(.361,u.light.getRgbaColor()),s.addColorStop(1,u.light.getRgbaColor()),o.fillStyle=s),o.beginPath(),o.moveTo(i*.518691,i*.471962),o.lineTo(i*.509345,i*.462616),o.lineTo(i*.509345,i*.341121),o.lineTo(i*.504672,i*.130841),o.lineTo(i*.495327,i*.130841),o.lineTo(i*.490654,i*.341121),o.lineTo(i*.490654,i*.462616),o.lineTo(i*.481308,i*.471962),o.closePath(),o.fill();break;case"type3":o.beginPath(),o.rect(i*.495327,i*.130841,i*.009345,i*.373831),o.closePath(),e||(o.fillStyle=u.light.getRgbaColor()),o.fill();break;case"type4":e||(s=o.createLinearGradient(.467289*i,0,.528036*i,0),s.addColorStop(0,u.dark.getRgbaColor()),s.addColorStop(.51,u.dark.getRgbaColor()),s.addColorStop(.52,u.light.getRgbaColor()),s.addColorStop(1,u.light.getRgbaColor()),o.fillStyle=s),o.beginPath(),o.moveTo(i*.5,i*.126168),o.lineTo(i*.514018,i*.135514),o.lineTo(i*.53271,i*.5),o.lineTo(i*.523364,i*.602803),o.lineTo(i*.476635,i*.602803),o.lineTo(i*.467289,i*.5),o.lineTo(i*.485981,i*.135514),o.lineTo(i*.5,i*.126168),o.closePath(),o.fill();break;case"type5":e||(s=o.createLinearGradient(.471962*i,0,.528036*i,0),s.addColorStop(0,u.light.getRgbaColor()),s.addColorStop(.5,u.light.getRgbaColor()),s.addColorStop(.5,u.medium.getRgbaColor()),s.addColorStop(1,u.medium.getRgbaColor()),o.fillStyle=s),o.beginPath(),o.moveTo(i*.5,i*.495327),o.lineTo(i*.528037,i*.495327),o.lineTo(i*.5,i*.149532),o.lineTo(i*.471962,i*.495327),o.lineTo(i*.5,i*.495327),o.closePath(),o.fill(),o.lineWidth=1,o.lineCap="square",o.lineJoin="miter",e||(o.strokeStyle=u.dark.getRgbaColor()),o.stroke();break;case"type6":e||(o.fillStyle=u.medium.getRgbaColor()),o.beginPath(),o.moveTo(i*.481308,i*.485981),o.lineTo(i*.481308,i*.392523),o.lineTo(i*.485981,i*.317757),o.lineTo(i*.495327,i*.130841),o.lineTo(i*.504672,i*.130841),o.lineTo(i*.514018,i*.317757),o.lineTo(i*.518691,i*.38785),o.lineTo(i*.518691,i*.485981),o.lineTo(i*.504672,i*.485981),o.lineTo(i*.504672,i*.38785),o.lineTo(i*.5,i*.317757),o.lineTo(i*.495327,i*.392523),o.lineTo(i*.495327,i*.485981),o.lineTo(i*.481308,i*.485981),o.closePath(),o.fill();break;case"type7":e||(s=o.createLinearGradient(.481308*i,0,.518691*i,0),s.addColorStop(0,u.dark.getRgbaColor()),s.addColorStop(1,u.medium.getRgbaColor()),o.fillStyle=s),o.beginPath(),o.moveTo(i*.490654,i*.130841),o.lineTo(i*.481308,i*.5),o.lineTo(i*.518691,i*.5),o.lineTo(i*.504672,i*.130841),o.lineTo(i*.490654,i*.130841),o.closePath(),o.fill();break;case"type8":e||(s=o.createLinearGradient(.471962*i,0,.528036*i,0),s.addColorStop(0,u.light.getRgbaColor()),s.addColorStop(.5,u.light.getRgbaColor()),s.addColorStop(.5,u.medium.getRgbaColor()),s.addColorStop(1,u.medium.getRgbaColor()),o.fillStyle=s,o.strokeStyle=u.dark.getRgbaColor()),o.beginPath(),o.moveTo(i*.5,i*.53271),o.lineTo(i*.53271,i*.5),o.bezierCurveTo(i*.53271,i*.5,i*.509345,i*.457943,i*.5,i*.149532),o.bezierCurveTo(i*.490654,i*.457943,i*.467289,i*.5,i*.467289,i*.5),o.lineTo(i*.5,i*.53271),o.closePath(),o.fill(),o.stroke();break;case"type9":e||(s=o.createLinearGradient(.471962*i,0,.528036*i,0),s.addColorStop(0,"rgb(50, 50, 50)"),s.addColorStop(.5,"#666666"),s.addColorStop(1,"rgb(50, 50, 50)"),o.fillStyle=s,o.strokeStyle="#2E2E2E"),o.beginPath(),o.moveTo(i*.495327,i*.233644),o.lineTo(i*.504672,i*.233644),o.lineTo(i*.514018,i*.439252),o.lineTo(i*.485981,i*.439252),o.lineTo(i*.495327,i*.233644),o.closePath(),o.moveTo(i*.490654,i*.130841),o.lineTo(i*.471962,i*.471962),o.lineTo(i*.471962,i*.528037),o.bezierCurveTo(i*.471962,i*.528037,i*.476635,i*.602803,i*.476635,i*.602803),o.bezierCurveTo(i*.476635,i*.607476,i*.481308,i*.607476,i*.5,i*.607476),o.bezierCurveTo(i*.518691,i*.607476,i*.523364,i*.607476,i*.523364,i*.602803),o.bezierCurveTo(i*.523364,i*.602803,i*.528037,i*.528037,i*.528037,i*.528037),o.lineTo(i*.528037,i*.471962),o.lineTo(i*.509345,i*.130841),o.lineTo(i*.490654,i*.130841),o.closePath(),o.fill(),o.beginPath(),o.moveTo(i*.495327,i*.219626),o.lineTo(i*.504672,i*.219626),o.lineTo(i*.504672,i*.135514),o.lineTo(i*.495327,i*.135514),o.lineTo(i*.495327,i*.219626),o.closePath(),e||(o.fillStyle=u.medium.getRgbaColor()),o.fill();break;case"type10":o.beginPath(),o.moveTo(i*.5,i*.149532),o.bezierCurveTo(i*.5,i*.149532,i*.443925,i*.490654,i*.443925,i*.5),o.bezierCurveTo(i*.443925,i*.53271,i*.467289,i*.556074,i*.5,i*.556074),o.bezierCurveTo(i*.53271,i*.556074,i*.556074,i*.53271,i*.556074,i*.5),o.bezierCurveTo(i*.556074,i*.490654,i*.5,i*.149532,i*.5,i*.149532),o.closePath(),e||(s=o.createLinearGradient(.471962*i,0,.528036*i,0),s.addColorStop(0,u.light.getRgbaColor()),s.addColorStop(.5,u.light.getRgbaColor()),s.addColorStop(.5,u.medium.getRgbaColor()),s.addColorStop(1,u.medium.getRgbaColor()),o.fillStyle=s,o.strokeStyle=u.medium.getRgbaColor()),o.lineWidth=1,o.lineCap="square",o.lineJoin="miter",o.fill(),o.stroke();break;case"type11":o.beginPath(),o.moveTo(.5*i,.168224*i),o.lineTo(.485981*i,.5*i),o.bezierCurveTo(.485981*i,.5*i,.481308*i,.584112*i,.5*i,.584112*i),o.bezierCurveTo(.514018*i,.584112*i,.509345*i,.5*i,.509345*i,.5*i),o.lineTo(.5*i,.168224*i),o.closePath(),e||(s=o.createLinearGradient(0,.168224*i,0,.584112*i),s.addColorStop(0,u.medium.getRgbaColor()),s.addColorStop(1,u.dark.getRgbaColor()),o.fillStyle=s,o.strokeStyle=u.dark.getRgbaColor()),o.fill(),o.stroke();break;case"type12":o.beginPath(),o.moveTo(.5*i,.168224*i),o.lineTo(.485981*i,.5*i),o.lineTo(.5*i,.504672*i),o.lineTo(.509345*i,.5*i),o.lineTo(.5*i,.168224*i),o.closePath(),e||(s=o.createLinearGradient(0,.168224*i,0,.504672*i),s.addColorStop(0,u.medium.getRgbaColor()),s.addColorStop(1,u.dark.getRgbaColor()),o.fillStyle=s,o.strokeStyle=u.dark.getRgbaColor()),o.fill(),o.stroke();break;case"type13":case"type14":o.beginPath(),o.moveTo(.485981*i,.168224*i),o.lineTo(.5*i,.130841*i),o.lineTo(.509345*i,.168224*i),o.lineTo(.509345*i,.509345*i),o.lineTo(.485981*i,.509345*i),o.lineTo(.485981*i,.168224*i),o.closePath(),e||(r.type==="type13"?(s=o.createLinearGradient(0,.5*i,0,.130841*i),s.addColorStop(0,f.getRgbaColor()),s.addColorStop(.85,f.getRgbaColor()),s.addColorStop(.85,u.medium.getRgbaColor()),s.addColorStop(1,u.medium.getRgbaColor()),o.fillStyle=s):(s=o.createLinearGradient(.485981*i,0,.509345*i,0),s.addColorStop(0,u.veryDark.getRgbaColor()),s.addColorStop(.5,u.light.getRgbaColor()),s.addColorStop(1,u.veryDark.getRgbaColor()),o.fillStyle=s)),o.fill();break;case"type15":case"type16":o.beginPath(),o.moveTo(i*.509345,i*.457943),o.lineTo(i*.5015,i*.13),o.lineTo(i*.4985,i*.13),o.lineTo(i*.490654,i*.457943),o.bezierCurveTo(i*.490654,i*.457943,i*.490654,i*.457943,i*.490654,i*.457943),o.bezierCurveTo(i*.471962,i*.462616,i*.457943,i*.481308,i*.457943,i*.5),o.bezierCurveTo(i*.457943,i*.518691,i*.471962,i*.537383,i*.490654,i*.542056),o.bezierCurveTo(i*.490654,i*.542056,i*.490654,i*.542056,i*.490654,i*.542056),r.type==="type15"?(o.lineTo(i*.490654,i*.57),o.bezierCurveTo(i*.46,i*.58,i*.46,i*.62,i*.490654,i*.63),o.bezierCurveTo(i*.47,i*.62,i*.48,i*.59,i*.5,i*.59),o.bezierCurveTo(i*.53,i*.59,i*.52,i*.62,i*.509345,i*.63),o.bezierCurveTo(i*.54,i*.62,i*.54,i*.58,i*.509345,i*.57),o.lineTo(i*.509345,i*.57)):(o.lineTo(i*.490654,i*.621495),o.lineTo(i*.509345,i*.621495)),o.lineTo(i*.509345,i*.542056),o.bezierCurveTo(i*.509345,i*.542056,i*.509345,i*.542056,i*.509345,i*.542056),o.bezierCurveTo(i*.528037,i*.537383,i*.542056,i*.518691,i*.542056,i*.5),o.bezierCurveTo(i*.542056,i*.481308,i*.528037,i*.462616,i*.509345,i*.457943),o.bezierCurveTo(i*.509345,i*.457943,i*.509345,i*.457943,i*.509345,i*.457943),o.closePath(),e?o.fill():(s=r.type==="type15"?o.createLinearGradient(0,0,0,i*.63):o.createLinearGradient(0,0,0,i*.621495),s.addColorStop(0,u.medium.getRgbaColor()),s.addColorStop(.388888,u.medium.getRgbaColor()),s.addColorStop(.5,u.light.getRgbaColor()),s.addColorStop(.611111,u.medium.getRgbaColor()),s.addColorStop(1,u.medium.getRgbaColor()),o.fillStyle=s,o.strokeStyle=u.dark.getRgbaColor(),o.fill(),o.stroke()),e||(o.beginPath(),h=i*.06542/2,o.arc(i*.5,i*.5,h,0,Math.PI*2),s=o.createLinearGradient(i*.5-h,i*.5+h,0,i*.5+h),s.addColorStop(0,"#e6b35c"),s.addColorStop(.01,"#e6b35c"),s.addColorStop(.99,"#c48200"),s.addColorStop(1,"#c48200"),o.fillStyle=s,o.closePath(),o.fill(),o.beginPath(),h=i*.046728/2,o.arc(i*.5,i*.5,h,0,Math.PI*2),s=o.createRadialGradient(i*.5,i*.5,0,i*.5,i*.5,h),s.addColorStop(0,"#c5c5c5"),s.addColorStop(.19,"#c5c5c5"),s.addColorStop(.22,"#000000"),s.addColorStop(.8,"#000000"),s.addColorStop(.99,"#707070"),s.addColorStop(1,"#707070"),o.fillStyle=s,o.closePath(),o.fill());break;case"type1":default:e||(s=o.createLinearGradient(0,i*.471962,0,i*.130841),s.addColorStop(0,u.veryDark.getRgbaColor()),s.addColorStop(.3,u.medium.getRgbaColor()),s.addColorStop(.59,u.medium.getRgbaColor()),s.addColorStop(1,u.veryDark.getRgbaColor()),o.fillStyle=s),o.beginPath(),o.moveTo(i*.518691,i*.471962),o.bezierCurveTo(i*.514018,i*.457943,i*.509345,i*.415887,i*.509345,i*.401869),o.bezierCurveTo(i*.504672,i*.383177,i*.5,i*.130841,i*.5,i*.130841),o.bezierCurveTo(i*.5,i*.130841,i*.490654,i*.383177,i*.490654,i*.397196),o.bezierCurveTo(i*.490654,i*.415887,i*.485981,i*.457943,i*.481308,i*.471962),o.bezierCurveTo(i*.471962,i*.481308,i*.467289,i*.490654,i*.467289,i*.5),o.bezierCurveTo(i*.467289,i*.518691,i*.481308,i*.53271,i*.5,i*.53271),o.bezierCurveTo(i*.518691,i*.53271,i*.53271,i*.518691,i*.53271,i*.5),o.bezierCurveTo(i*.53271,i*.490654,i*.528037,i*.481308,i*.518691,i*.471962),o.closePath(),o.fill()}p.cache[c]=l}return n.drawImage(p.cache[c],0,0),this},b,k,vt,d,e,v,w,it,c,f,u,s,nt,ft,et,wt,yt,a,o,rt,lt,ht,ot;p.cache={},b=function(i,r,u,f,e,o){var p,s,h,v,c,l,a,y=e.toString()+o+r.design;if(!b.cache[y]){p=t(e,o),s=p.getContext("2d"),s.fillStyle="#848484",s.strokeStyle="rgba(132, 132, 132, 0.5)",s.beginPath(),s.arc(u,f,e/2,0,Math.PI*2,!0),s.closePath(),s.fill(),s.stroke(),s.beginPath(),s.arc(u,f,e*.990654/2,0,Math.PI*2,!0),s.closePath();switch(r.design){case"metal":h=s.createLinearGradient(0,e*.004672,0,o*.990654),h.addColorStop(0,"#fefefe"),h.addColorStop(.07,"rgb(210, 210, 210)"),h.addColorStop(.12,"rgb(179, 179, 179)"),h.addColorStop(1,"rgb(213, 213, 213)"),s.fillStyle=h,s.fill();break;case"brass":h=s.createLinearGradient(0,e*.004672,0,o*.990654),h.addColorStop(0,"rgb(249, 243, 155)"),h.addColorStop(.05,"rgb(246, 226, 101)"),h.addColorStop(.1,"rgb(240, 225, 132)"),h.addColorStop(.5,"rgb(90, 57, 22)"),h.addColorStop(.9,"rgb(249, 237, 139)"),h.addColorStop(.95,"rgb(243, 226, 108)"),h.addColorStop(1,"rgb(202, 182, 113)"),s.fillStyle=h,s.fill();break;case"steel":h=s.createLinearGradient(0,e*.004672,0,o*.990654),h.addColorStop(0,"rgb(231, 237, 237)"),h.addColorStop(.05,"rgb(189, 199, 198)"),h.addColorStop(.1,"rgb(192, 201, 200)"),h.addColorStop(.5,"rgb(23, 31, 33)"),h.addColorStop(.9,"rgb(196, 205, 204)"),h.addColorStop(.95,"rgb(194, 204, 203)"),h.addColorStop(1,"rgb(189, 201, 199)"),s.fillStyle=h,s.fill();break;case"gold":h=s.createLinearGradient(0,e*.004672,0,o*.990654),h.addColorStop(0,"rgb(255, 255, 207)"),h.addColorStop(.15,"rgb(255, 237, 96)"),h.addColorStop(.22,"rgb(254, 199, 57)"),h.addColorStop(.3,"rgb(255, 249, 203)"),h.addColorStop(.38,"rgb(255, 199, 64)"),h.addColorStop(.44,"rgb(252, 194, 60)"),h.addColorStop(.51,"rgb(255, 204, 59)"),h.addColorStop(.6,"rgb(213, 134, 29)"),h.addColorStop(.68,"rgb(255, 201, 56)"),h.addColorStop(.75,"rgb(212, 135, 29)"),h.addColorStop(1,"rgb(247, 238, 101)"),s.fillStyle=h,s.fill();break;case"anthracite":h=s.createLinearGradient(0,.004672*o,0,.995326*o),h.addColorStop(0,"rgb(118, 117, 135)"),h.addColorStop(.06,"rgb(74, 74, 82)"),h.addColorStop(.12,"rgb(50, 50, 54)"),h.addColorStop(1,"rgb(79, 79, 87)"),s.fillStyle=h,s.fill();break;case"tiltedGray":h=s.createLinearGradient(.233644*e,.084112*o,.81258*e,.910919*o),h.addColorStop(0,"#ffffff"),h.addColorStop(.07,"rgb(210, 210, 210)"),h.addColorStop(.16,"rgb(179, 179, 179)"),h.addColorStop(.33,"#ffffff"),h.addColorStop(.55,"#c5c5c5"),h.addColorStop(.79,"#ffffff"),h.addColorStop(1,"#666666"),s.fillStyle=h,s.fill();break;case"tiltedBlack":h=s.createLinearGradient(.228971*e,.079439*o,.802547*e,.898591*o),h.addColorStop(0,"#666666"),h.addColorStop(.21,"#000000"),h.addColorStop(.47,"#666666"),h.addColorStop(.99,"#000000"),h.addColorStop(1,"#000000"),s.fillStyle=h,s.fill();break;case"glossyMetal":h=s.createRadialGradient(.5*e,.5*o,0,.5*e,.5*e,.5*e),h.addColorStop(0,"rgb(207, 207, 207)"),h.addColorStop(.96,"rgb(205, 204, 205)"),h.addColorStop(1,"rgb(244, 244, 244)"),s.fillStyle=h,s.fill(),s.beginPath(),s.arc(.5*e,.5*o,.973962*e/2,0,Math.PI*2),s.closePath(),h=s.createLinearGradient(0,o-.971962*o,0,.971962*o),h.addColorStop(0,"rgb(249, 249, 249)"),h.addColorStop(.23,"rgb(200, 195, 191)"),h.addColorStop(.36,"#ffffff"),h.addColorStop(.59,"rgb(29, 29, 29)"),h.addColorStop(.76,"rgb(200, 194, 192)"),h.addColorStop(1,"rgb(209, 209, 209)"),s.fillStyle=h,s.fill(),s.beginPath(),s.arc(.5*e,.5*o,.869158*e/2,0,Math.PI*2),s.closePath(),s.fillStyle="#f6f6f6",s.fill(),s.beginPath(),s.arc(.5*e,.5*o,.85*e/2,0,Math.PI*2),s.closePath(),s.fillStyle="#333333",s.fill();break;case"blackMetal":l=[0,.125,.347222,.5,.680555,.875,1],a=[new n(254,254,254,1),new n(0,0,0,1),new n(153,153,153,1),new n(0,0,0,1),new n(153,153,153,1),new n(0,0,0,1),new n(254,254,254,1)],s.save(),s.clip(s.arc(u,f,e*.990654/2,0,Math.PI*2,!0)),v=e*.495327,c=e*.42056,h=new st(l,a,-Math.PI/2),h.fill(s,u,f,c,v),s.strokeStyle="#848484",s.strokeStyle="rgba(132, 132, 132, 0.8)",s.beginPath(),s.lineWidth=e/90,s.arc(u,f,e/2,0,Math.PI*2,!0),s.closePath(),s.stroke(),s.restore();break;case"shinyMetal":l=[0,.125,.25,.347222,.5,.652777,.75,.875,1],a=[new n(254,254,254,1),new n(210,210,210,1),new n(179,179,179,1),new n(238,238,238,1),new n(160,160,160,1),new n(238,238,238,1),new n(179,179,179,1),new n(210,210,210,1),new n(254,254,254,1)],s.save(),s.clip(s.arc(u,f,e*.990654/2,0,Math.PI*2,!0)),v=e*.495327,c=e*.42056,h=new st(l,a,-Math.PI/2),h.fill(s,u,f,c,v),s.strokeStyle="#848484",s.strokeStyle="rgba(132, 132, 132, 0.8)",s.beginPath(),s.lineWidth=e/90,s.arc(u,f,e/2,0,Math.PI*2,!0),s.closePath(),s.stroke(),s.restore();break;case"chrome":l=[0,.09,.12,.16,.25,.29,.33,.38,.48,.52,.63,.68,.8,.83,.87,.97,1],a=[new n(255,255,255,1),new n(255,255,255,1),new n(136,136,138,1),new n(164,185,190,1),new n(158,179,182,1),new n(112,112,112,1),new n(221,227,227,1),new n(155,176,179,1),new n(156,176,177,1),new n(254,255,255,1),new n(255,255,255,1),new n(156,180,180,1),new n(198,209,211,1),new n(246,248,247,1),new n(204,216,216,1),new n(164,188,190,1),new n(255,255,255,1)],s.save(),s.clip(s.arc(u,f,e*.990654/2,0,Math.PI*2,!0)),v=e*.495327,c=e*.42056,h=new st(l,a,-Math.PI/2),h.fill(s,u,f,c,v),s.strokeStyle="#848484",s.strokeStyle="rgba(132, 132, 132, 0.8)",s.beginPath(),s.lineWidth=e/90,s.arc(u,f,e/2,0,Math.PI*2,!0),s.closePath(),s.stroke(),s.restore()}s.fillStyle="rgb(191, 191, 191)",s.beginPath(),s.arc(u,f,e*.841121/2,0,Math.PI*2,!0),s.closePath(),s.fill(),s.globalCompositeOperation="destination-out",s.beginPath(),s.arc(u,f,e*.831775/2,0,Math.PI*2,!0),s.closePath(),s.fill(),b.cache[y]=p}return i.drawImage(b.cache[y],0,0),this},b.cache={},k=function(i,r,u,f,e,o){var p,s,h,b,d,g=e*.831775/2,ft,ut,it,tt,rt,c,v,a,l,nt,y,w=e.toString()+o+r.name;if(!k.cache[w]){p=t(e,o),s=p.getContext("2d"),s.beginPath(),s.arc(u,f,e*.831775/2,0,Math.PI*2,!0),s.closePath();if(r.name==="CARBON"||r.name==="PUNCHED_SHEET"||r.name==="BRUSHED_METAL"||r.name==="BRUSHED_STAINLESS")r.name==="CARBON"&&(s.fillStyle=s.createPattern(ki,"repeat"),s.fill()),r.name==="PUNCHED_SHEET"&&(s.fillStyle=s.createPattern(bi,"repeat"),s.fill()),h=s.createLinearGradient(g,0,e-g,0),h.addColorStop(0,"rgba(0, 0, 0, 0.25)"),h.addColorStop(.5,"rgba(0, 0, 0, 0)"),h.addColorStop(1,"rgba(0, 0, 0, 0.25)"),s.fillStyle=h,s.beginPath(),s.arc(u,f,e*.831775/2,0,Math.PI*2,!0),s.closePath(),s.fill(),(r.name==="BRUSHED_METAL"||r.name==="BRUSHED_STAINLESS")&&(ft=r.name==="BRUSHED_METAL"?!0:!1,ut=parseInt(r.gradientStop.getHexColor().substr(-6),16),it=wi(ut,5,.1,ft,.5),s.fillStyle=s.createPattern(it.fill(0,0,e,o),"no-repeat"),s.fill());else if(r.name==="STAINLESS"||r.name==="TURNED"){b=[0,.03,.1,.14,.24,.33,.38,.5,.62,.67,.76,.81,.85,.97,1],d=[new n("#FDFDFD"),new n("#FDFDFD"),new n("#B2B2B4"),new n("#ACACAE"),new n("#FDFDFD"),new n("#6E6E70"),new n("#6E6E70"),new n("#FDFDFD"),new n("#6E6E70"),new n("#6E6E70"),new n("#FDFDFD"),new n("#ACACAE"),new n("#B2B2B4"),new n("#FDFDFD"),new n("#FDFDFD")],tt=e*.831775/2,rt=0,h=new st(b,d,Math.PI/1.75),h.fill(s,u,f,rt,tt),s.closePath();if(r.name==="TURNED"){for(c=Math.PI*2,v=e*.831775/2,a=v*.55,l=c/360*(500/v),s.save(),s.clip(s.arc(u,f,v,0,c)),s.lineWidth=.5,nt=c-l*.3,y=0;y<nt;y+=l)s.strokeStyle="rgba(240, 240, 255, 0.25)",s.beginPath(),s.arc(u+a,f,a,0,c),s.stroke(),s.translate(u,f),s.rotate(l*.3),s.translate(-u,-f),s.strokeStyle="rgba(25, 10, 10, 0.1)",s.beginPath(),s.arc(u+a,f,a,0,c),s.stroke(),s.translate(u,f),s.rotate(-l*.3),s.translate(-u,-f),s.translate(u,f),s.rotate(l),s.translate(-u,-f);s.restore()}}else h=s.createLinearGradient(0,e*.084112,0,o*.831775),h.addColorStop(0,r.gradientStart.getRgbaColor()),h.addColorStop(.4,r.gradientFraction.getRgbaColor()),h.addColorStop(1,r.gradientStop.getRgbaColor()),s.fillStyle=h,s.fill();h=s.createRadialGradient(u,f,0,u,f,e*.831775/2),h.addColorStop(0,"rgba(0, 0, 0, 0)"),h.addColorStop(.7,"rgba(0, 0, 0, 0)"),h.addColorStop(.71,"rgba(0, 0, 0, 0)"),h.addColorStop(.86,"rgba(0, 0, 0, 0.03)"),h.addColorStop(.92,"rgba(0, 0, 0, 0.07)"),h.addColorStop(.97,"rgba(0, 0, 0, 0.15)"),h.addColorStop(1,"rgba(0, 0, 0, 0.3)"),s.fillStyle=h,s.beginPath(),s.arc(u,f,e*.831775/2,0,c,!0),s.closePath(),s.fill(),k.cache[w]=p}return i.drawImage(k.cache[w],0,0),this},k.cache={},vt=function(n,t,i,r,u,f){var o=u*.831775,e=f*.831775,h=(u-o)/2,s=(f-e)/2;return t!==null&&t.height>0&&t.width>0&&(n.save(),n.beginPath(),n.arc(i,r,u*.831775/2,0,Math.PI*2,!0),n.clip(),n.drawImage(t,h,s,o,e),n.restore()),this},d=function(n,i,r,u,f,o,s,h,c){var g,l,v=Math.ceil(u*.084112),y=r*.5-v/2,w=u*.5-v/2,p=r*.008,a,b,k=i.type+r+u+f+(o!==undefined?o.type:"-")+(s!==undefined?s.style:"-")+(h!==undefined?h.type:"-")+(c!==undefined?c.type:"-");if(!d.cache[k]){g=t(r,u),l=g.getContext("2d"),f&&(h===steelseries.GaugeType.TYPE5?steelseries.Orientation.WEST===c?(y=r*.733644-v/2,l.drawImage(e(v,o,s,!0),y+p,w+p),l.drawImage(e(v,o,s,!1),y,w)):(w=u*.733644-v/2,l.drawImage(e(v,o,s,!0),y+p,u*.6857+p),l.drawImage(e(v,o,s,!1),y,u*.6857)):(l.drawImage(e(v,o,s,!0),y+p,w+p),l.drawImage(e(v,o,s,!1),y,w)));switch(i.type){case"type2":l.beginPath(),l.moveTo(r*.135514,u*.696261),l.bezierCurveTo(r*.214953,u*.588785,r*.317757,u*.5,r*.462616,u*.425233),l.bezierCurveTo(r*.612149,u*.345794,r*.733644,u*.317757,r*.873831,u*.322429),l.bezierCurveTo(r*.766355,u*.112149,r*.528037,u*.023364,r*.313084,u*.130841),l.bezierCurveTo(r*.09813,u*.238317,r*.028037,u*.485981,r*.135514,u*.696261),l.closePath(),a=l.createLinearGradient(.313084*r,.135514*u,.495528*r,.493582*u),a.addColorStop(0,"rgba(255, 255, 255, 0.275)"),a.addColorStop(1,"rgba(255, 255, 255, 0.015)");break;case"type3":l.beginPath(),l.moveTo(r*.084112,u*.509345),l.bezierCurveTo(r*.21028,u*.556074,r*.462616,u*.560747,r*.5,u*.560747),l.bezierCurveTo(r*.537383,u*.560747,r*.794392,u*.560747,r*.915887,u*.509345),l.bezierCurveTo(r*.915887,u*.2757,r*.738317,u*.084112,r*.5,u*.084112),l.bezierCurveTo(r*.261682,u*.084112,r*.084112,u*.2757,r*.084112,u*.509345),l.closePath(),a=l.createLinearGradient(0,.093457*u,0,.556073*u),a.addColorStop(0,"rgba(255, 255, 255, 0.275)"),a.addColorStop(1,"rgba(255, 255, 255, 0.015)");break;case"type4":l.beginPath(),l.moveTo(r*.67757,u*.24299),l.bezierCurveTo(r*.771028,u*.308411,r*.822429,u*.411214,r*.813084,u*.528037),l.bezierCurveTo(r*.799065,u*.654205,r*.719626,u*.757009,r*.593457,u*.799065),l.bezierCurveTo(r*.485981,u*.831775,r*.369158,u*.808411,r*.285046,u*.728971),l.bezierCurveTo(r*.2757,u*.719626,r*.252336,u*.714953,r*.233644,u*.728971),l.bezierCurveTo(r*.214953,u*.747663,r*.219626,u*.771028,r*.228971,u*.7757),l.bezierCurveTo(r*.331775,u*.878504,r*.476635,u*.915887,r*.616822,u*.869158),l.bezierCurveTo(r*.771028,u*.822429,r*.873831,u*.691588,r*.88785,u*.53271),l.bezierCurveTo(r*.897196,u*.38785,r*.836448,u*.257009,r*.719626,u*.182242),l.bezierCurveTo(r*.705607,u*.172897,r*.682242,u*.163551,r*.663551,u*.186915),l.bezierCurveTo(r*.654205,u*.205607,r*.668224,u*.238317,r*.67757,u*.24299),l.closePath(),a=l.createRadialGradient(.5*r,.5*u,0,.5*r,.5*u,.38785*r),a.addColorStop(0,"rgba(255, 255, 255, 0)"),a.addColorStop(.82,"rgba(255, 255, 255, 0)"),a.addColorStop(.83,"rgba(255, 255, 255, 0)"),a.addColorStop(1,"rgba(255, 255, 255, 0.15)"),l.beginPath(),l.moveTo(r*.261682,u*.224299),l.bezierCurveTo(r*.285046,u*.238317,r*.252336,u*.285046,r*.24299,u*.317757),l.bezierCurveTo(r*.24299,u*.350467,r*.271028,u*.383177,r*.271028,u*.397196),l.bezierCurveTo(r*.2757,u*.415887,r*.261682,u*.457943,r*.238317,u*.509345),l.bezierCurveTo(r*.224299,u*.542056,r*.17757,u*.612149,r*.158878,u*.612149),l.bezierCurveTo(r*.144859,u*.612149,r*.088785,u*.546728,r*.130841,u*.369158),l.bezierCurveTo(r*.140186,u*.336448,r*.214953,u*.200934,r*.261682,u*.224299),l.closePath(),b=l.createLinearGradient(.130841*r,.369158*u,.273839*r,.412877*u),b.addColorStop(0,"rgba(255, 255, 255, 0.275)"),b.addColorStop(1,"rgba(255, 255, 255, 0.015)"),l.fillStyle=b,l.fill();break;case"type5":l.beginPath(),l.moveTo(r*.084112,u*.5),l.bezierCurveTo(r*.084112,u*.271028,r*.271028,u*.084112,r*.5,u*.084112),l.bezierCurveTo(r*.700934,u*.084112,r*.864485,u*.224299,r*.906542,u*.411214),l.bezierCurveTo(r*.911214,u*.439252,r*.911214,u*.518691,r*.845794,u*.537383),l.bezierCurveTo(r*.794392,u*.546728,r*.551401,u*.411214,r*.392523,u*.457943),l.bezierCurveTo(r*.168224,u*.509345,r*.135514,u*.7757,r*.093457,u*.593457),l.bezierCurveTo(r*.088785,u*.560747,r*.084112,u*.53271,r*.084112,u*.5),l.closePath(),a=l.createLinearGradient(0,.084112*u,0,.644859*u),a.addColorStop(0,"rgba(255, 255, 255, 0.275)"),a.addColorStop(1,"rgba(255, 255, 255, 0.015)");break;case"type1":default:l.beginPath(),l.moveTo(r*.084112,u*.509345),l.bezierCurveTo(r*.205607,u*.448598,r*.336448,u*.415887,r*.5,u*.415887),l.bezierCurveTo(r*.672897,u*.415887,r*.789719,u*.443925,r*.915887,u*.509345),l.bezierCurveTo(r*.915887,u*.2757,r*.738317,u*.084112,r*.5,u*.084112),l.bezierCurveTo(r*.261682,u*.084112,r*.084112,u*.2757,r*.084112,u*.509345),l.closePath(),a=l.createLinearGradient(0,.088785*u,0,.490654*u),a.addColorStop(0,"rgba(255, 255, 255, 0.275)"),a.addColorStop(1,"rgba(255, 255, 255, 0.015)")}l.fillStyle=a,l.fill(),d.cache[k]=g}return n.drawImage(d.cache[k],0,0),this},d.cache={},e=function(n,i,r,u){var l,f,h=n/2,s=n/2,o,c=n.toString()+i.type+r.style+u;if(!e.cache[c]){l=t(n*1.18889,n*1.18889),f=l.getContext("2d"),u&&(f.fillStyle="rgba(0, 0, 0, 1)",f.strokeStyle="rgba(0, 0, 0, 1)",f.shadowBlur=3,f.globalAlpha=.5);switch(i.type){case"metalKnob":f.beginPath(),f.moveTo(0,n*.5),f.bezierCurveTo(0,n*.222222,n*.222222,0,n*.5,0),f.bezierCurveTo(n*.777777,0,n,n*.222222,n,n*.5),f.bezierCurveTo(n,n*.777777,n*.777777,n,n*.5,n),f.bezierCurveTo(n*.222222,n,0,n*.777777,0,n*.5),f.closePath(),u||(o=f.createLinearGradient(0,0,0,n),o.addColorStop(0,"rgb(92, 95, 101)"),o.addColorStop(.47,"rgb(46, 49, 53)"),o.addColorStop(1,"rgb(22, 23, 26)"),f.fillStyle=o),f.fill(),f.beginPath(),f.moveTo(n*.055555,n*.5),f.bezierCurveTo(n*.055555,n*.277777,n*.277777,n*.055555,n*.5,n*.055555),f.bezierCurveTo(n*.722222,n*.055555,n*.944444,n*.277777,n*.944444,n*.5),f.bezierCurveTo(n*.944444,n*.722222,n*.722222,n*.944444,n*.5,n*.944444),f.bezierCurveTo(n*.277777,n*.944444,n*.055555,n*.722222,n*.055555,n*.5),f.closePath();if(u)f.fill();else{o=f.createLinearGradient(0,.055555*n,0,.944443*n);switch(r.style){case"black":o.addColorStop(0,"rgb(43, 42, 47)"),o.addColorStop(1,"rgb(26, 27, 32)");break;case"brass":o.addColorStop(0,"rgb(150, 110, 54)"),o.addColorStop(1,"rgb(124, 95, 61)");break;case"silver":default:o.addColorStop(0,"rgb(204, 204, 204)"),o.addColorStop(1,"rgb(87, 92, 98)")}f.fillStyle=o,f.fill()}f.beginPath(),f.moveTo(n*.777777,n*.833333),f.bezierCurveTo(n*.722222,n*.722222,n*.611111,n*.666666,n*.5,n*.666666),f.bezierCurveTo(n*.388888,n*.666666,n*.277777,n*.722222,n*.222222,n*.833333),f.bezierCurveTo(n*.277777,n*.888888,n*.388888,n*.944444,n*.5,n*.944444),f.bezierCurveTo(n*.611111,n*.944444,n*.722222,n*.888888,n*.777777,n*.833333),f.closePath(),u||(o=f.createRadialGradient(.555555*n,.944444*n,0,.555555*n,.944444*n,.388888*n),o.addColorStop(0,"rgba(255, 255, 255, 0.6)"),o.addColorStop(1,"rgba(255, 255, 255, 0)"),f.fillStyle=o),f.fill(),f.beginPath(),f.moveTo(n*.944444,n*.277777),f.bezierCurveTo(n*.833333,n*.111111,n*.666666,0,n*.5,0),f.bezierCurveTo(n*.333333,0,n*.166666,n*.111111,n*.055555,n*.277777),f.bezierCurveTo(n*.166666,n*.333333,n*.333333,n*.388888,n*.5,n*.388888),f.bezierCurveTo(n*.666666,n*.388888,n*.833333,n*.333333,n*.944444,n*.277777),f.closePath(),u||(o=f.createRadialGradient(.5*n,0,0,.5*n,0,.583333*n),o.addColorStop(0,"rgba(255, 255, 255, 0.749019)"),o.addColorStop(1,"rgba(255, 255, 255, 0)"),f.fillStyle=o),f.fill(),f.beginPath(),f.moveTo(n*.277777,n*.555555),f.bezierCurveTo(n*.277777,n*.388888,n*.388888,n*.277777,n*.5,n*.277777),f.bezierCurveTo(n*.611111,n*.277777,n*.777777,n*.388888,n*.777777,n*.555555),f.bezierCurveTo(n*.777777,n*.666666,n*.611111,n*.777777,n*.5,n*.777777),f.bezierCurveTo(n*.388888,n*.777777,n*.277777,n*.666666,n*.277777,n*.555555),f.closePath(),u||(o=f.createLinearGradient(0,.277777*n,0,.722221*n),o.addColorStop(0,"#000000"),o.addColorStop(1,"rgb(204, 204, 204)"),f.fillStyle=o),f.fill(),f.beginPath(),f.moveTo(n*.333333,n*.555555),f.bezierCurveTo(n*.333333,n*.444444,n*.388888,n*.333333,n*.5,n*.333333),f.bezierCurveTo(n*.611111,n*.333333,n*.722222,n*.444444,n*.722222,n*.555555),f.bezierCurveTo(n*.722222,n*.611111,n*.611111,n*.722222,n*.5,n*.722222),f.bezierCurveTo(n*.388888,n*.722222,n*.333333,n*.611111,n*.333333,n*.555555),f.closePath(),u||(o=f.createLinearGradient(0,.333333*n,0,.666666*n),o.addColorStop(0,"rgb(10, 9, 1)"),o.addColorStop(1,"rgb(42, 41, 37)"),f.fillStyle=o),f.fill();break;case"standardKnob":u||(o=f.createLinearGradient(0,0,0,n),o.addColorStop(0,"rgb(180, 180, 180)"),o.addColorStop(.46,"rgb(63, 63, 63)"),o.addColorStop(1,"rgb(40, 40, 40)"),f.fillStyle=o),f.beginPath(),f.arc(h,s,n/2,0,Math.PI*2,!0),f.closePath(),f.fill();if(!u){o=f.createLinearGradient(0,n-n*.77,0,n-n*.77+n*.77);switch(r.style){case"black":o.addColorStop(0,"rgb(191, 191, 191)"),o.addColorStop(.5,"rgb(45, 44, 49)"),o.addColorStop(1,"rgb(125, 126, 128)");break;case"brass":o.addColorStop(0,"rgb(223, 208, 174)"),o.addColorStop(.5,"rgb(123, 95, 63)"),o.addColorStop(1,"rgb(207, 190, 157)");break;case"silver":default:o.addColorStop(0,"rgb(215, 215, 215)"),o.addColorStop(.5,"rgb(116, 116, 116)"),o.addColorStop(1,"rgb(215, 215, 215)")}f.fillStyle=o}f.beginPath(),f.arc(h,s,n*.77/2,0,Math.PI*2,!0),f.closePath(),f.fill(),u||(o=f.createRadialGradient(h,s,0,h,s,n*.77/2),o.addColorStop(0,"rgba(0, 0, 0, 0)"),o.addColorStop(.75,"rgba(0, 0, 0, 0)"),o.addColorStop(.76,"rgba(0, 0, 0, 0.01)"),o.addColorStop(1,"rgba(0, 0, 0, 0.2)"),f.fillStyle=o),f.beginPath(),f.arc(h,s,n*.77/2,0,Math.PI*2,!0),f.closePath(),f.fill()}e.cache[c]=l}return e.cache[c]},e.cache={},v=function(n,i,u){var c,f,o=n/2,s=n/2,e,h=n.toString()+i+u.outerColor_ON;if(!v.cache[h]){c=t(n,n),f=c.getContext("2d");switch(i){case 0:e=f.createRadialGradient(o,s,0,o,s,n*.5/2),e.addColorStop(0,u.innerColor1_OFF),e.addColorStop(.2,u.innerColor2_OFF),e.addColorStop(1,u.outerColor_OFF),f.fillStyle=e,f.beginPath(),f.arc(o,s,n*.5/2,0,Math.PI*2,!0),f.closePath(),f.fill(),e=f.createRadialGradient(o,s,0,o,s,n*.5/2),e.addColorStop(0,"rgba(0, 0, 0, 0)"),e.addColorStop(.8,"rgba(0, 0, 0, 0)"),e.addColorStop(1,"rgba(0, 0, 0, 0.4)"),f.fillStyle=e,f.beginPath(),f.arc(o,s,n*.5/2,0,Math.PI*2,!0),f.closePath(),f.fill(),e=f.createLinearGradient(0,.35*n,0,.35*n+.15*n),e.addColorStop(0,"rgba(255, 255, 255, 0.4)"),e.addColorStop(1,"rgba(255, 255, 255, 0)"),f.fillStyle=e,f.beginPath(),f.arc(o,.35*n+.2*n/2,n*.2,0,Math.PI*2,!0),f.closePath(),f.fill();break;case 1:e=f.createRadialGradient(o,s,0,o,s,n*.5/2),e.addColorStop(0,u.innerColor1_ON),e.addColorStop(.2,u.innerColor2_ON),e.addColorStop(1,u.outerColor_ON),f.fillStyle=e,f.beginPath(),f.arc(o,s,n*.5/2,0,Math.PI*2,!0),f.closePath(),f.fill(),e=f.createRadialGradient(o,s,0,o,s,n*.5/2),e.addColorStop(0,"rgba(0, 0, 0, 0)"),e.addColorStop(.8,"rgba(0, 0, 0, 0)"),e.addColorStop(1,"rgba(0, 0, 0, 0.4)"),f.fillStyle=e,f.beginPath(),f.arc(o,s,n*.5/2,0,Math.PI*2,!0),f.closePath(),f.fill(),e=f.createLinearGradient(0,.35*n,0,.35*n+.15*n),e.addColorStop(0,"rgba(255, 255, 255, 0.4)"),e.addColorStop(1,"rgba(255, 255, 255, 0)"),f.fillStyle=e,f.beginPath(),f.arc(o,.35*n+.2*n/2,n*.2,0,Math.PI*2,!0),f.closePath(),f.fill(),e=f.createRadialGradient(o,s,0,o,s,n/2),e.addColorStop(0,r(u.coronaColor,0).color),e.addColorStop(.6,r(u.coronaColor,.4).color),e.addColorStop(.7,r(u.coronaColor,.25).color),e.addColorStop(.8,r(u.coronaColor,.15).color),e.addColorStop(.85,r(u.coronaColor,.05).color),e.addColorStop(1,r(u.coronaColor,0).color),f.fillStyle=e,f.beginPath(),f.arc(o,s,n/2,0,Math.PI*2,!0),f.closePath(),f.fill()}v.cache[h]=c}return v.cache[h]},v.cache={},w=function(n,i,r){var h,f,p=0,s=0,v=n,l=i,a=Math.min(n,i)*.095,u,b=1,o=1,k=n-2,c=i-2,y=a-1,e=n.toString()+i+JSON.stringify(r);return w.cache[e]||(h=t(n,i),f=h.getContext("2d"),u=f.createLinearGradient(0,s,0,s+l),u.addColorStop(0,"#4c4c4c"),u.addColorStop(.08,"#666666"),u.addColorStop(.92,"#666666"),u.addColorStop(1,"#e6e6e6"),f.fillStyle=u,at(f,p,s,v,l,a),f.fill(),u=f.createLinearGradient(0,o,0,o+c),u.addColorStop(0,r.gradientStartColor),u.addColorStop(.03,r.gradientFraction1Color),u.addColorStop(.49,r.gradientFraction2Color),u.addColorStop(.5,r.gradientFraction3Color),u.addColorStop(1,r.gradientStopColor),f.fillStyle=u,at(f,b,o,k,c,y),f.fill(),w.cache[e]=h),w.cache[e]},w.cache={},it=function(n,t,i,r){var f,u,e=n.toString()+t+i+r;return it.cache[e]||(f=l.createElement("canvas"),u=f.getContext("2d"),f.width=n,f.height=n,u.fillStyle=t,i?(u.beginPath(),u.moveTo(n*.5,n),u.lineTo(0,0),u.lineTo(n,0),u.closePath(),u.fill()):r?(u.beginPath(),u.moveTo(n,n*.5),u.lineTo(0,0),u.lineTo(0,n),u.closePath(),u.fill()):(u.beginPath(),u.moveTo(n*.5,0),u.lineTo(n,n),u.lineTo(0,n),u.closePath(),u.fill()),it.cache[e]=f),it.cache[e]},it.cache={},c=function(n,i,u){var e=n*2,a,f,o,y,l=i.state+n+JSON.stringify(u),s=function(){var t=u[0];i.state==="up"?(o=f.createRadialGradient(.5*n,.2*e,0,.5*n,.2*e,.5*n),o.addColorStop(0,t.innerColor1_ON),o.addColorStop(.2,t.innerColor2_ON),o.addColorStop(1,t.outerColor_ON)):(o=f.createLinearGradient(0,0,0,.5*e),o.addColorStop(0,"#323232"),o.addColorStop(1,"#5c5c5c")),f.fillStyle=o,f.beginPath(),f.moveTo(.5*n,0),f.lineTo(n,.2*e),f.lineTo(.752*n,.2*e),f.lineTo(.752*n,.37*e),f.lineTo(.252*n,.37*e),f.lineTo(.252*n,.2*e),f.lineTo(0,.2*e),f.closePath(),f.fill(),i.state!=="up"?(f.strokeStyle="rgba(0, 0, 0, 0.4)",f.beginPath(),f.moveTo(0,.2*e),f.lineTo(.5*n,0),f.lineTo(n,.2*e),f.moveTo(.252*n,.2*e),f.lineTo(.252*n,.37*e),f.stroke(),f.strokeStyle="rgba(255, 255, 255, 0.3)",f.beginPath(),f.moveTo(.252*n,.37*e),f.lineTo(.752*n,.37*e),f.lineTo(.752*n,.2*e),f.lineTo(n,.2*e),f.stroke()):(o=f.createRadialGradient(.5*n,.2*e,0,.5*n,.2*e,.7*n),o.addColorStop(0,r(t.coronaColor,0).color),o.addColorStop(.5,r(t.coronaColor,.3).color),o.addColorStop(.7,r(t.coronaColor,.2).color),o.addColorStop(.8,r(t.coronaColor,.1).color),o.addColorStop(.85,r(t.coronaColor,.05).color),o.addColorStop(1,r(t.coronaColor,0).color),f.fillStyle=o,f.beginPath(),f.arc(.5*n,.2*e,.7*n,0,Math.PI*2,!0),f.closePath(),f.fill())},h=function(){var t=u[1];f.beginPath(),i.state==="steady"?(o=t.outerColor_ON,f.fillStyle=o,f.rect(.128*n,.41*e,.744*n,.074*e),f.rect(.128*n,.516*e,.744*n,.074*e),f.closePath(),f.fill()):(o=f.createLinearGradient(0,.41*e,0,.41*e+.074*e),o.addColorStop(0,"#323232"),o.addColorStop(1,"#5c5c5c"),f.fillStyle=o,f.rect(.128*n,.41*e,.744*n,.074*e),f.closePath(),f.fill(),o=f.createLinearGradient(0,.516*e,0,.516*e+.074*e),o.addColorStop(0,"#323232"),o.addColorStop(1,"#5c5c5c"),f.fillStyle=o,f.rect(.128*n,.516*e,.744*n,.074*e),f.closePath(),f.fill()),i.state!=="steady"?(f.strokeStyle="rgba(0, 0, 0, 0.4)",f.beginPath(),f.moveTo(.128*n,.41*e+.074*e),f.lineTo(.128*n,.41*e),f.lineTo(.128*n+.744*n,.41*e),f.stroke(),f.beginPath(),f.moveTo(.128*n,.516*e+.074*e),f.lineTo(.128*n,.516*e),f.lineTo(.128*n+.744*n,.516*e),f.stroke(),f.strokeStyle="rgba(255, 255, 255, 0.3)",f.beginPath(),f.moveTo(.128*n+.744*n,.41*e),f.lineTo(.128*n+.744*n,.41*e+.074*e),f.lineTo(.128*n,.41*e+.074*e),f.stroke(),f.beginPath(),f.moveTo(.128*n+.744*n,.516*e),f.lineTo(.128*n+.744*n,.516*e+.074*e),f.lineTo(.128*n,.516*e+.074*e),f.stroke()):(o=f.createRadialGradient(.5*n,.5*e,0,.5*n,.5*e,.7*n),o.addColorStop(0,r(t.coronaColor,0).color),o.addColorStop(.5,r(t.coronaColor,.3).color),o.addColorStop(.7,r(t.coronaColor,.2).color),o.addColorStop(.8,r(t.coronaColor,.1).color),o.addColorStop(.85,r(t.coronaColor,.05).color),o.addColorStop(1,r(t.coronaColor,0).color),f.fillStyle=o,f.beginPath(),f.arc(.5*n,.5*e,.7*n,0,Math.PI*2,!0),f.closePath(),f.fill())},v=function(){var t=u[2];i.state==="down"?(o=f.createRadialGradient(.5*n,.8*e,0,.5*n,.8*e,.5*n),o.addColorStop(0,t.innerColor1_ON),o.addColorStop(.2,t.innerColor2_ON),o.addColorStop(1,t.outerColor_ON)):(o=f.createLinearGradient(0,.63*e,0,e),o.addColorStop(0,"#323232"),o.addColorStop(1,"#5c5c5c")),f.beginPath(),f.fillStyle=o,f.moveTo(.5*n,e),f.lineTo(n,.8*e),f.lineTo(.725*n,.8*e),f.lineTo(.725*n,.63*e),f.lineTo(.252*n,.63*e),f.lineTo(.252*n,.8*e),f.lineTo(0,.8*e),f.closePath(),f.fill(),i.state!=="down"?(f.strokeStyle="rgba(0, 0, 0, 0.4)",f.beginPath(),f.moveTo(0,.8*e),f.lineTo(.252*n,.8*e),f.moveTo(.252*n,.63*e),f.lineTo(.752*n,.63*e),f.stroke(),f.beginPath(),f.moveTo(.752*n,.8*e),f.lineTo(n,.8*e),f.stroke(),f.strokeStyle="rgba(255, 255, 255, 0.3)",f.beginPath(),f.moveTo(0,.8*e),f.lineTo(.5*n,e),f.lineTo(n,.8*e),f.stroke(),f.beginPath(),f.moveTo(.752*n,.8*e),f.lineTo(.752*n,.63*e),f.stroke()):(o=f.createRadialGradient(.5*n,.8*e,0,.5*n,.8*e,.7*n),o.addColorStop(0,r(t.coronaColor,0).color),o.addColorStop(.5,r(t.coronaColor,.3).color),o.addColorStop(.7,r(t.coronaColor,.2).color),o.addColorStop(.8,r(t.coronaColor,.1).color),o.addColorStop(.85,r(t.coronaColor,.05).color),o.addColorStop(1,r(t.coronaColor,0).color),f.fillStyle=o,f.beginPath(),f.arc(.5*n,.8*e,.7*n,0,Math.PI*2,!0),f.closePath(),f.fill())};if(!c.cache[l]){a=t(n*2,n*4),f=a.getContext("2d"),f.translate(n*.5,n*.5);switch(i.state){case"up":v(),h(),s();break;case"steady":v(),s(),h();break;case"down":default:s(),h(),v()}c.cache[l]=a}return c.cache[l]},c.cache={};var ti=function(n,t,i,r,u,f,e,o,s,h){h=undefined===h?h=steelseries.GaugeType.TYPE1:h,n.save(),n.textAlign=o?"center":"left",n.textBaseline="middle",n.strokeStyle=f.labelColor.getRgbaColor(),n.fillStyle=f.labelColor.getRgbaColor(),o?(n.font=.046728*t+"px sans-serif",n.fillText(r,t/2,i*.3,t*.3),n.fillText(u,t/2,i*.38,t*.3)):e?(n.font=.1*t+"px sans-serif",n.save(),n.translate(.671428*t,.1375*i),n.rotate(1.570796),n.fillText(r,0,0),n.translate(-.671428*t,-.1375*i),n.restore(),n.font=.071428*t+"px sans-serif",s?h.type==="type2"?(n.textAlign="right",n.fillText(u,.36*t,i*.79,t*.25)):n.fillText(u,.63*t,i*.85,t*.2):(n.textAlign="center",h.type==="type2"?n.fillText(u,t/2,i*.92,t*.2):n.fillText(u,t/2,i*.89,t*.2))):(n.font=.035*t+"px sans-serif",n.fillText(r,t*.15,i*.25,t*.3),n.font=.025*t+"px sans-serif",n.fillText(u,t*.0625,i*.7,t*.07)),n.restore()},ki=kt(12,12,function(n){var u=n.canvas.width,t=n.canvas.height,f=0,r=0,i;n.save(),n.save(),n.beginPath(),n.rect(0,0,u*.5,t*.5),n.closePath(),n.restore(),i=n.createLinearGradient(0,r*t,0,.5*t+r*t),i.addColorStop(0,"rgb(35, 35, 35)"),i.addColorStop(1,"rgb(23, 23, 23)"),n.fillStyle=i,n.fill(),n.save(),n.beginPath(),n.rect(u*.083333,0,u*.333333,t*.416666),n.closePath(),n.restore(),f=.083333,r=0,i=n.createLinearGradient(0,r*t,0,.416666*t+r*t),i.addColorStop(0,"rgb(38, 38, 38)"),i.addColorStop(1,"rgb(30, 30, 30)"),n.fillStyle=i,n.fill(),n.save(),n.beginPath(),n.rect(u*.5,t*.5,u*.5,t*.5),n.closePath(),n.restore(),f=.5,r=.5,i=n.createLinearGradient(0,r*t,0,.5*t+r*t),i.addColorStop(0,"rgb(35, 35, 35)"),i.addColorStop(1,"rgb(23, 23, 23)"),n.fillStyle=i,n.fill(),n.save(),n.beginPath(),n.rect(u*.583333,t*.5,u*.333333,t*.416666),n.closePath(),n.restore(),f=.583333,r=.5,i=n.createLinearGradient(0,r*t,0,.416666*t+r*t),i.addColorStop(0,"rgb(38, 38, 38)"),i.addColorStop(1,"rgb(30, 30, 30)"),n.fillStyle=i,n.fill(),n.save(),n.beginPath(),n.rect(u*.5,0,u*.5,t*.5),n.closePath(),n.restore(),f=.5,r=0,i=n.createLinearGradient(0,r*t,0,.5*t+r*t),i.addColorStop(0,"#303030"),i.addColorStop(1,"rgb(40, 40, 40)"),n.fillStyle=i,n.fill(),n.save(),n.beginPath(),n.rect(u*.583333,t*.083333,u*.333333,t*.416666),n.closePath(),n.restore(),f=.583333,r=.083333,i=n.createLinearGradient(0,r*t,0,.416666*t+r*t),i.addColorStop(0,"rgb(53, 53, 53)"),i.addColorStop(1,"rgb(45, 45, 45)"),n.fillStyle=i,n.fill(),n.save(),n.beginPath(),n.rect(0,t*.5,u*.5,t*.5),n.closePath(),n.restore(),f=0,r=.5,i=n.createLinearGradient(0,r*t,0,.5*t+r*t),i.addColorStop(0,"#303030"),i.addColorStop(1,"#282828"),n.fillStyle=i,n.fill(),n.save(),n.beginPath(),n.rect(u*.083333,t*.583333,u*.333333,t*.416666),n.closePath(),n.restore(),f=.083333,r=.583333,i=n.createLinearGradient(0,r*t,0,.416666*t+r*t),i.addColorStop(0,"#353535"),i.addColorStop(1,"#2d2d2d"),n.fillStyle=i,n.fill(),n.restore()}),bi=kt(15,15,function(n){var i=n.canvas.width,t=n.canvas.height,r;n.save(),n.save(),n.beginPath(),n.rect(0,0,i,t),n.closePath(),n.restore(),n.fillStyle="#1D2123",n.fill(),n.save(),n.beginPath(),n.moveTo(0,t*.266666),n.bezierCurveTo(0,t*.4,i*.066666,t*.466666,i*.2,t*.466666),n.bezierCurveTo(i*.333333,t*.466666,i*.4,t*.4,i*.4,t*.266666),n.bezierCurveTo(i*.4,t*.133333,i*.333333,t*.066666,i*.2,t*.066666),n.bezierCurveTo(i*.066666,t*.066666,0,t*.133333,0,t*.266666),n.closePath(),r=n.createLinearGradient(0,.066666*t,0,.466666*t),r.addColorStop(0,"#000000"),r.addColorStop(1,"#444444"),n.fillStyle=r,n.fill(),n.save(),n.beginPath(),n.moveTo(0,t*.2),n.bezierCurveTo(0,t*.333333,i*.066666,t*.4,i*.2,t*.4),n.bezierCurveTo(i*.333333,t*.4,i*.4,t*.333333,i*.4,t*.2),n.bezierCurveTo(i*.4,t*.066666,i*.333333,0,i*.2,0),n.bezierCurveTo(i*.066666,0,0,t*.066666,0,t*.2),n.closePath(),n.fillStyle="#050506",n.fill(),n.save(),n.beginPath(),n.moveTo(i*.466666,t*.733333),n.bezierCurveTo(i*.466666,t*.866666,i*.533333,t*.933333,i*.666666,t*.933333),n.bezierCurveTo(i*.8,t*.933333,i*.866666,t*.866666,i*.866666,t*.733333),n.bezierCurveTo(i*.866666,t*.6,i*.8,t*.533333,i*.666666,t*.533333),n.bezierCurveTo(i*.533333,t*.533333,i*.466666,t*.6,i*.466666,t*.733333),n.closePath(),r=n.createLinearGradient(0,.533333*t,0,.933333*t),r.addColorStop(0,"#000000"),r.addColorStop(1,"#444444"),n.fillStyle=r,n.fill(),n.save(),n.beginPath(),n.moveTo(i*.466666,t*.666666),n.bezierCurveTo(i*.466666,t*.8,i*.533333,t*.866666,i*.666666,t*.866666),n.bezierCurveTo(i*.8,t*.866666,i*.866666,t*.8,i*.866666,t*.666666),n.bezierCurveTo(i*.866666,t*.533333,i*.8,t*.466666,i*.666666,t*.466666),n.bezierCurveTo(i*.533333,t*.466666,i*.466666,t*.533333,i*.466666,t*.666666),n.closePath(),n.fillStyle="#050506",n.fill(),n.restore()}),wi=function(n,i,r,u,f){function o(n,t){return n+=(2*Math.random()-1)*t|0,n<0?0:n>255?255:n}function e(n){return n<0?0:n>255?255:n}function s(n,t,i,r,u,f){var o,v,e,a,s,h,c,l;for(u<i||(u=i-1),a=1/(u*2+1),s=0,v=0;v<r;v++){for(h=c=l=0,o=0;o<u;o++)e=(s+o)*4,h+=n.data[e],c+=n.data[e+1],l+=n.data[e+2];for(o=0;o<i;o++)o>u&&(e=(s-u-1)*4,h-=n.data[e],c-=n.data[e+1],l-=n.data[e+2]),o+u<i&&(e=(s+u)*4,h+=n.data[e],c+=n.data[e+1],l+=n.data[e+2]),e=s*4,t.data[e]=h*a|0,t.data[e+1]=c*a|0,t.data[e+2]=l*a|0,t.data[e+3]=f,s++}}return this.fill=function(h,c,l,a){var k,d,ut,st,p,w,et,b,v,ot,ht=255,lt=n>>16&255,ct=n>>8&255,at=n&255,g=0,nt=255*r,vt,pt,yt,y,rt,it,tt,ft;h=Math.floor(h),c=Math.floor(c),l=Math.ceil(l),a=Math.ceil(a),p=l-h,w=a-c,et=t(p,w),b=et.getContext("2d"),v=b.createImageData(p,w),ot=b.createImageData(p,w);if(f!==0)for(st=[],k=0;k<p;k++)st[k]=255*f*Math.sin(k/p*Math.PI)|0;for(ut=0;ut<w;ut++)for(i!==0&&(vt=pt=yt=0),d=0;d<p;d++)y=ut*p*4+d*4,rt=lt,it=ct,tt=at,f!==0&&(ft=st[d],rt+=ft,it+=ft,tt+=ft),u?(g=(2*Math.random()-1)*nt|0,v.data[y]=e(rt+g),v.data[y+1]=e(it+g),v.data[y+2]=e(tt+g),v.data[y+3]=ht):(v.data[y]=o(rt,nt),v.data[y+1]=o(it,nt),v.data[y+2]=o(tt,nt),v.data[y+3]=ht);return i>0?(s(v,ot,p,w,i,ht),b.putImageData(ot,h,c)):b.putImageData(v,h,c),et},this},n=function(n,t,i,r){function s(){e=h(n,255),f=h(t,255),u=h(i,255),o=h(r,1)}var e,f,u,o;arguments.length===1?(i=parseInt(n.substr(5,2),16),t=parseInt(n.substr(3,2),16),n=parseInt(n.substr(1,2),16),r=1):arguments.length===3&&(r=1),s(),this.getRed=function(){return e},this.setRed=function(n){e=h(n,255)},this.getGreen=function(){return f},this.setGreen=function(n){f=h(n,255)},this.getBlue=function(){return u},this.setBlue=function(n){u=h(n,255)},this.getAlpha=function(){return o},this.setAlpha=function(n){o=h(n,1)},this.getRgbaColor=function(){return"rgba("+e+", "+f+", "+u+", "+o+")"},this.getRgbColor=function(){return"rgb("+e+", "+f+", "+u+")"},this.getHexColor=function(){return"#"+e.toString(16)+f.toString(16)+u.toString(16)}},st=function(n,t,i){i=i===undefined?-Math.PI/2:i,this.fill=function(r,u,f,e,o){var h,s,p,v=2*Math.PI,c,a,w,b,y,k=180/Math.PI,d=e+(o-e)*.5,l=v/Math.max(360,o*2.2);for(r.save(),r.lineWidth=1.5,r.translate(u,f),r.rotate(i),r.translate(-u,-f),h=0,p=n.length-1;h<p;h++)for(c=v*n[h],a=v*n[h+1],w=a-c,b=t[h],y=t[h+1],s=c;s<a;s+=l)r.beginPath(),r.fillStyle=bt(b,y,w,s-c).getRgbaColor(),r.strokeStyle=r.fillStyle,e>0?r.arc(u,f,e,s+l,s,!0):r.moveTo(u,f),r.arc(u,f,o,s,s+l),r.fill(),r.stroke();r.restore()}},nr=function(n,t,i,r){this.getColorAt=function(n){var u=0,e=0,f=1,s=1,h=0,t,o;for(n=n<0?0:n>1?1:n,t=0;t<i.length;t++){i[t]<n&&u<i[t]&&(u=i[t],e=t);if(i[t]===n)return r[t];i[t]>n&&f>=i[t]&&(f=i[t],s=t)}return o=(n-u)/(f-u),bt(r[e],r[s],1,o)},this.getStart=function(){return n},this.getEnd=function(){return t}};Math.log10=function(n){return Math.log(n)/Math.LN10},function(){f=function(n,t,i,r,u,f){this.gradientStart=n,this.gradientFraction=t,this.gradientStop=i,this.labelColor=r,this.symbolColor=u,this.name=f}}(),function(){u=function(n,t,i,r,u,f){this.gradientStartColor=n,this.gradientFraction1Color=t,this.gradientFraction2Color=i,this.gradientFraction3Color=r,this.gradientStopColor=u,this.textColor=f}}(),function(){s=function(n,t,i,r,u,f){this.veryDark=n,this.dark=t,this.medium=i,this.light=r,this.lighter=u,this.veryLight=f}}(),function(){nt=function(n,t,i,r,u,f,e){this.innerColor1_ON=n,this.innerColor2_ON=t,this.outerColor_ON=i,this.coronaColor=r,this.innerColor1_OFF=u,this.innerColor2_OFF=f,this.outerColor_OFF=e}}(),function(){ft=function(n){this.type=n}}(),function(){et=function(n){this.type=n}}(),function(){wt=function(n){this.type=n}}(),function(){yt=function(n){this.style=n}}(),function(){a=function(n){this.design=n}}(),function(){o=function(n){this.type=n}}(),function(){rt=function(n){this.type=n}}(),function(){lt=function(n){this.format=n}}(),function(){ht=function(n){this.type=n}}(),function(){ot=function(n){this.state=n}}();var pi={DARK_GRAY:new f(new n(0,0,0,1),new n(51,51,51,1),new n(153,153,153,1),new n(255,255,255,1),new n(180,180,180,1),"DARK_GRAY"),SATIN_GRAY:new f(new n(45,57,57,1),new n(45,57,57,1),new n(45,57,57,1),new n(167,184,180,1),new n(137,154,150,1),"SATIN_GRAY"),LIGHT_GRAY:new f(new n(130,130,130,1),new n(181,181,181,1),new n(253,253,253,1),new n(0,0,0,1),new n(80,80,80,1),"LIGHT_GRAY"),WHITE:new f(new n(255,255,255,1),new n(255,255,255,1),new n(255,255,255,1),new n(0,0,0,1),new n(80,80,80,1),"WHITE"),BLACK:new f(new n(0,0,0,1),new n(0,0,0,1),new n(0,0,0,1),new n(255,255,255,1),new n(150,150,150,1),"BLACK"),BEIGE:new f(new n(178,172,150,1),new n(204,205,184,1),new n(231,231,214,1),new n(0,0,0,1),new n(80,80,80,1),"BEIGE"),BROWN:new f(new n(245,225,193,1),new n(245,225,193,1),new n(255,250,240,1),new n(109,73,47,1),new n(89,53,27,1),"BROWN"),RED:new f(new n(198,93,95,1),new n(212,132,134,1),new n(242,218,218,1),new n(0,0,0,1),new n(90,0,0,1),"RED"),GREEN:new f(new n(65,120,40,1),new n(129,171,95,1),new n(218,237,202,1),new n(0,0,0,1),new n(0,90,0,1),"GREEN"),BLUE:new f(new n(45,83,122,1),new n(115,144,170,1),new n(227,234,238,1),new n(0,0,0,1),new n(0,0,90,1),"BLUE"),ANTHRACITE:new f(new n(50,50,54,1),new n(47,47,51,1),new n(69,69,74,1),new n(250,250,250,1),new n(180,180,180,1),"ANTHRACITE"),MUD:new f(new n(80,86,82,1),new n(70,76,72,1),new n(57,62,58,1),new n(255,255,240,1),new n(225,225,210,1),"MUD"),PUNCHED_SHEET:new f(new n(50,50,54,1),new n(47,47,51,1),new n(69,69,74,1),new n(255,255,255,1),new n(180,180,180,1),"PUNCHED_SHEET"),CARBON:new f(new n(50,50,54,1),new n(47,47,51,1),new n(69,69,74,1),new n(255,255,255,1),new n(180,180,180,1),"CARBON"),STAINLESS:new f(new n(130,130,130,1),new n(181,181,181,1),new n(253,253,253,1),new n(0,0,0,1),new n(80,80,80,1),"STAINLESS"),BRUSHED_METAL:new f(new n(50,50,54,1),new n(47,47,51,1),new n(69,69,74,1),new n(0,0,0,1),new n(80,80,80,1),"BRUSHED_METAL"),BRUSHED_STAINLESS:new f(new n(50,50,54,1),new n(47,47,51,1),new n(110,110,112,1),new n(0,0,0,1),new n(80,80,80,1),"BRUSHED_STAINLESS"),TURNED:new f(new n(130,130,130,1),new n(181,181,181,1),new n(253,253,253,1),new n(0,0,0,1),new n(80,80,80,1),"TURNED")},ui={BEIGE:new u("#c8c8b1","rgb(241, 237, 207)","rgb(234, 230, 194)","rgb(225, 220, 183)","rgb(237, 232, 191)","#000000"),BLUE:new u("#ffffff","rgb(231, 246, 255)","rgb(170, 224, 255)","rgb(136, 212, 255)","rgb(192, 232, 255)","#124564"),ORANGE:new u("#ffffff","rgb(255, 245, 225)","rgb(255, 217, 147)","rgb(255, 201, 104)","rgb(255, 227, 173)","#503700"),RED:new u("#ffffff","rgb(255, 225, 225)","rgb(253, 152, 152)","rgb(252, 114, 115)","rgb(254, 178, 178)","#4f0c0e"),YELLOW:new u("#ffffff","rgb(245, 255, 186)","rgb(210, 255, 0)","rgb(158, 205, 0)","rgb(210, 255, 0)","#405300"),WHITE:new u("#ffffff","#ffffff","rgb(241, 246, 242)","rgb(229, 239, 244)","#ffffff","#000000"),GRAY:new u("#414141","rgb(117, 117, 117)","rgb(87, 87, 87)","#414141","rgb(81, 81, 81)","#ffffff"),BLACK:new u("#414141","#666666","#333333","#000000","#333333","#cccccc"),GREEN:new u("rgb(33, 67, 67)","rgb(33, 67, 67)","rgb(29, 58, 58)","rgb(28, 57, 57)","rgb(23, 46, 46)","rgba(0, 185, 165, 255)"),BLUE2:new u("rgb(0, 68, 103)","rgb(8, 109, 165)","rgb(0, 72, 117)","rgb(0, 72, 117)","rgb(0, 68, 103)","rgb(111, 182, 228)"),BLUE_BLACK:new u("rgb(22, 125, 212)","rgb(3, 162, 254)","rgb(3, 162, 254)","rgb(3, 162, 254)","rgb(11, 172, 244)","#000000"),BLUE_DARKBLUE:new u("rgb(18, 33, 88)","rgb(18, 33, 88)","rgb(19, 30, 90)","rgb(17, 31, 94)","rgb(21, 25, 90)","rgb(23, 99, 221)"),BLUE_GRAY:new u("rgb(135, 174, 255)","rgb(101, 159, 255)","rgb(44, 93, 255)","rgb(27, 65, 254)","rgb(12, 50, 255)","#b2b4ed"),STANDARD:new u("rgb(131, 133, 119)","rgb(176, 183, 167)","rgb(165, 174, 153)","rgb(166, 175, 156)","rgb(175, 184, 165)","rgb(35, 42, 52)"),STANDARD_GREEN:new u("#ffffff","rgb(219, 230, 220)","rgb(179, 194, 178)","rgb(153, 176, 151)","rgb(114, 138, 109)","#080C06"),BLUE_BLUE:new u("rgb(100, 168, 253)","rgb(100, 168, 253)","rgb(95, 160, 250)","rgb(80, 144, 252)","rgb(74, 134, 255)","#002cbb"),RED_DARKRED:new u("rgb(72, 36, 50)","rgb(185, 111, 110)","rgb(148, 66, 72)","rgb(83, 19, 20)","rgb(7, 6, 14)","#FE8B92"),DARKBLUE:new u("rgb(14, 24, 31)","rgb(46, 105, 144)","rgb(19, 64, 96)","rgb(6, 20, 29)","rgb(8, 9, 10)","#3DB3FF"),LILA:new u("rgb(175, 164, 255)","rgb(188, 168, 253)","rgb(176, 159, 255)","rgb(174, 147, 252)","rgb(168, 136, 233)","#076148"),BLACKRED:new u("rgb(8, 12, 11)","rgb(10, 11, 13)","rgb(11, 10, 15)","rgb(7, 13, 9)","rgb(9, 13, 14)","#B50026"),DARKGREEN:new u("rgb(25, 85, 0)","rgb(47, 154, 0)","rgb(30, 101, 0)","rgb(30, 101, 0)","rgb(25, 85, 0)","#233123"),AMBER:new u("rgb(182, 71, 0)","rgb(236, 155, 25)","rgb(212, 93, 5)","rgb(212, 93, 5)","rgb(182, 71, 0)","#593A0A"),LIGHTBLUE:new u("rgb(125, 146, 184)","rgb(197, 212, 231)","rgb(138, 155, 194)","rgb(138, 155, 194)","rgb(125, 146, 184)","#090051"),SECTIONS:new u("#b2b2b2","#ffffff","#c4c4c4","#c4c4c4","#b2b2b2","#000000")},fi={RED:new s(new n(82,0,0,1),new n(158,0,19,1),new n(213,0,25,1),new n(240,82,88,1),new n(255,171,173,1),new n(255,217,218,1)),GREEN:new s(new n(8,54,4,1),new n(0,107,14,1),new n(15,148,0,1),new n(121,186,37,1),new n(190,231,141,1),new n(234,247,218,1)),BLUE:new s(new n(0,11,68,1),new n(0,73,135,1),new n(0,108,201,1),new n(0,141,242,1),new n(122,200,255,1),new n(204,236,255,1)),ORANGE:new s(new n(118,83,30,1),new n(215,67,0,1),new n(240,117,0,1),new n(255,166,0,1),new n(255,255,128,1),new n(255,247,194,1)),YELLOW:new s(new n(41,41,0,1),new n(102,102,0,1),new n(177,165,0,1),new n(255,242,0,1),new n(255,250,153,1),new n(255,252,204,1)),CYAN:new s(new n(15,109,109,1),new n(0,109,144,1),new n(0,144,191,1),new n(0,174,239,1),new n(153,223,249,1),new n(204,239,252,1)),MAGENTA:new s(new n(98,0,114,1),new n(128,24,72,1),new n(191,36,107,1),new n(255,48,143,1),new n(255,172,210,1),new n(255,214,23,1)),WHITE:new s(new n(210,210,210,1),new n(220,220,220,1),new n(235,235,235,1),new n(255,255,255,1),new n(255,255,255,1),new n(255,255,255,1)),GRAY:new s(new n(25,25,25,1),new n(51,51,51,1),new n(76,76,76,1),new n(128,128,128,1),new n(204,204,204,1),new n(243,243,243,1)),BLACK:new s(new n(0,0,0,1),new n(5,5,5,1),new n(10,10,10,1),new n(15,15,15,1),new n(20,20,20,1),new n(25,25,25,1)),RAITH:new s(new n(0,32,65,1),new n(0,65,125,1),new n(0,106,172,1),new n(130,180,214,1),new n(148,203,242,1),new n(191,229,255,1)),GREEN_LCD:new s(new n(0,55,45,1),new n(15,109,93,1),new n(0,185,165,1),new n(48,255,204,1),new n(153,255,227,1),new n(204,255,241,1)),JUG_GREEN:new s(new n(0,56,0,1),new n(32,69,36,1),new n(50,161,0,1),new n(129,206,0,1),new n(190,231,141,1),new n(234,247,218,1))},ei={RED_LED:new nt("#FF9A89","#FF9A89","#FF3300","#FF8D70","#7E1C00","#7E1C00","#641B00"),GREEN_LED:new nt("#9AFF89","#9AFF89","#59FF2A","#A5FF00","#1C7E00","#1C7E00","#1B6400"),BLUE_LED:new nt("#899AFF","#899AFF","#0033FF","#708DFF","#001C7E","#001C7E","#001B64"),ORANGE_LED:new nt("#FEA23F","#FEA23F","#FD6C00","#FD6C00","#592800","#592800","#421F00"),YELLOW_LED:new nt("#FFFF62","#FFFF62","#FFFF00","#FFFF00","#6B6D00","#6B6D00","#515300"),CYAN_LED:new nt("#00FFFF","#00FFFF","#1BC3C3","#00FFFF","#083B3B","#083B3B","#052727"),MAGENTA_LED:new nt("#D300FF","#D300FF","#8600CB","#C300FF","#38004B","#38004B","#280035")},oi={TYPE1:new ft("type1"),TYPE2:new ft("type2"),TYPE3:new ft("type3"),TYPE4:new ft("type4"),TYPE5:new ft("type5")},ii={NORTH:new et("north"),SOUTH:new et("south"),EAST:new et("east"),WEST:new et("west")},ri={STANDARD_KNOB:new wt("standardKnob"),METAL_KNOB:new wt("metalKnob")},si={BLACK:new yt("black"),BRASS:new yt("brass"),SILVER:new yt("silver")},ai={BLACK_METAL:new a("blackMetal"),METAL:new a("metal"),SHINY_METAL:new a("shinyMetal"),BRASS:new a("brass"),STEEL:new a("steel"),CHROME:new a("chrome"),GOLD:new a("gold"),ANTHRACITE:new a("anthracite"),TILTED_GRAY:new a("tiltedGray"),TILTED_BLACK:new a("tiltedBlack"),GLOSSY_METAL:new a("glossyMetal")},vi={TYPE1:new o("type1"),TYPE2:new o("type2"),TYPE3:new o("type3"),TYPE4:new o("type4"),TYPE5:new o("type5"),TYPE6:new o("type6"),TYPE7:new o("type7"),TYPE8:new o("type8"),TYPE9:new o("type9"),TYPE10:new o("type10"),TYPE11:new o("type11"),TYPE12:new o("type12"),TYPE13:new o("type13"),TYPE14:new o("type14"),TYPE15:new o("type15"),TYPE16:new o("type16")},yi={TYPE1:new rt("type1"),TYPE2:new rt("type2"),TYPE3:new rt("type3"),TYPE4:new rt("type4"),TYPE5:new rt("type5")},hi={STANDARD:new lt("standard"),FRACTIONAL:new lt("fractional"),SCIENTIFIC:new lt("scientific")},ci={NORMAL:new ht("normal"),HORIZONTAL:new ht("horizontal"),TANGENT:new ht("tangent")},li={UP:new ot("up"),STEADY:new ot("steady"),DOWN:new ot("down"),OFF:new ot("off")};return{Radial:ur,RadialBargraph:rr,DisplaySingle:ir,WindDirection:or,Led:er,Odometer:fr,drawFrame:b,drawBackground:k,drawForeground:d,rgbaColor:n,ConicalGradient:st,setAlpha:r,getColorFromFraction:bt,gradientWrapper:nr,BackgroundColor:pi,LcdColor:ui,ColorDef:fi,LedColor:ei,GaugeType:oi,Orientation:ii,FrameDesign:ai,PointerType:vi,ForegroundType:yi,KnobType:ri,KnobStyle:si,LabelNumberFormat:hi,TickLabelOrientation:ci,TrendState:li,Section:gi}}()